DROP TABLE IF EXISTS `vrs7_access_options`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_access_options` (
  `access_option_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`access_option_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_activities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_activities` (
  `activity_id` int(11) NOT NULL AUTO_INCREMENT,
  `activity_type` enum('local','other') NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`activity_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_addons`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_addons` (
  `addon_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `price` varchar(30) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `charge_type` enum('onetime_person','onetime_listing','daily_person','daily_listing','weekly_person','weekly_listing','monthly_person','monthly_listing') NOT NULL,
  `addon_type` varchar(100) NOT NULL,
  PRIMARY KEY (`addon_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_adverts`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_adverts` (
  `advert_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `advert_position` varchar(255) DEFAULT NULL,
  `advert_type` varchar(50) NOT NULL,
  `title_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `title_3` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `title_4` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `title_5` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `description_1` text CHARACTER SET utf8 NOT NULL,
  `description_2` text CHARACTER SET utf8,
  `description_3` text CHARACTER SET utf8,
  `description_4` text CHARACTER SET utf8,
  `description_5` text CHARACTER SET utf8,
  `link` varchar(255) NOT NULL,
  `direct_link` tinyint(4) NOT NULL,
  `link_other` varchar(100) NOT NULL,
  `advert_file` varchar(255) DEFAULT NULL,
  `advert_code` mediumtext NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `featured` tinyint(1) NOT NULL,
  `impressions` int(10) unsigned NOT NULL DEFAULT '0',
  `views` int(10) unsigned NOT NULL DEFAULT '0',
  `clicks` int(11) DEFAULT '0',
  `active` tinyint(1) NOT NULL,
  `advert_suffix` mediumtext CHARACTER SET utf8 NOT NULL,
  `advert_prefix` mediumtext CHARACTER SET utf8 NOT NULL,
  `hierarchy` int(11) NOT NULL,
  PRIMARY KEY (`advert_id`),
  KEY `advert_position` (`advert_position`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_analytics`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_analytics` (
  `analytics_id` int(11) NOT NULL AUTO_INCREMENT,
  `url` tinytext CHARACTER SET utf8 NOT NULL,
  `referrer` tinytext CHARACTER SET utf8 NOT NULL,
  `ip` varchar(20) NOT NULL,
  `browser` varchar(20) CHARACTER SET utf8 NOT NULL,
  `ver` varchar(20) NOT NULL,
  `os` varchar(100) NOT NULL,
  `robot` varchar(50) CHARACTER SET utf8 NOT NULL,
  `tag` varchar(50) CHARACTER SET utf8 NOT NULL,
  `year` int(4) NOT NULL,
  `month` int(2) NOT NULL,
  `day` int(2) NOT NULL,
  `hour` int(11) NOT NULL,
  `minute` int(11) NOT NULL,
  PRIMARY KEY (`analytics_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_bathroom_options`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_bathroom_options` (
  `bathroom_option_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  `options` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`bathroom_option_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_bedroom_options`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_bedroom_options` (
  `bedroom_option_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`bedroom_option_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_bookings`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_bookings` (
  `booking_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `blank_booking` tinyint(1) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `listing_parent_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `booking_status` tinyint(1) NOT NULL,
  `admin_status` tinyint(1) NOT NULL,
  `booker_id` int(11) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `first_name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `last_name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `phone` varchar(30) NOT NULL,
  `country` varchar(255) CHARACTER SET utf8 NOT NULL,
  `location` varchar(255) CHARACTER SET utf8 NOT NULL,
  `address` mediumtext CHARACTER SET utf8 NOT NULL,
  `zip` varchar(255) NOT NULL,
  `company_name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `message` text CHARACTER SET utf8 NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `number_adults` int(11) NOT NULL,
  `number_children` int(11) NOT NULL,
  `number_infants` int(11) NOT NULL,
  `number_nights` int(11) NOT NULL,
  `rental_price` double NOT NULL,
  `booking_fee` double NOT NULL,
  `deposit` double NOT NULL,
  `extra_persons_price` double NOT NULL,
  `addons_optional` mediumtext NOT NULL,
  `addons_mandatory` mediumtext NOT NULL,
  `addons_info` mediumtext NOT NULL,
  `total_addons` double NOT NULL,
  `total_discount` double NOT NULL,
  `check_in_price` double NOT NULL,
  `debug_calculation_str` text CHARACTER SET utf8 NOT NULL,
  `subtotal` double NOT NULL,
  `total` double NOT NULL,
  PRIMARY KEY (`booking_id`),
  KEY `start_date` (`start_date`),
  KEY `end_date` (`end_date`),
  KEY `listing_id` (`listing_id`),
  KEY `booking_status` (`booking_status`),
  KEY `listing_parent_id` (`listing_parent_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_booking_requests`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_booking_requests` (
  `booking_request_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `booking_id` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `payment_system` varchar(50) NOT NULL,
  `payment_status` enum('send','approve','fail') NOT NULL,
  `coupon_code` varchar(255) NOT NULL,
  `hit_by_ipn` tinyint(1) NOT NULL,
  `split_payment` tinyint(1) NOT NULL,
  PRIMARY KEY (`booking_request_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_captcha`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_captcha` (
  `captcha_id` bigint(13) unsigned NOT NULL AUTO_INCREMENT,
  `captcha_time` int(10) unsigned NOT NULL,
  `ip_address` varchar(16) NOT NULL DEFAULT '0',
  `word` varchar(20) NOT NULL,
  PRIMARY KEY (`captcha_id`),
  KEY `word` (`word`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_chat`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_chat` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `from_id` varchar(255) NOT NULL DEFAULT '',
  `to_id` varchar(255) NOT NULL DEFAULT '',
  `message` text CHARACTER SET utf8 NOT NULL,
  `sent` bigint(19) NOT NULL,
  `recd` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `system_message` varchar(3) DEFAULT 'no',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_content`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_content` (
  `content_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title` varchar(80) CHARACTER SET utf8 NOT NULL,
  `content_1` text CHARACTER SET utf8 NOT NULL,
  `content_2` text CHARACTER SET utf8 NOT NULL,
  `content_3` text CHARACTER SET utf8 NOT NULL,
  `content_4` text CHARACTER SET utf8 NOT NULL,
  `content_5` text CHARACTER SET utf8 NOT NULL,
  `content_prefix` text NOT NULL,
  `content_suffix` text NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_coupons`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_coupons` (
  `coupon_id` int(11) NOT NULL AUTO_INCREMENT,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title` varchar(255) CHARACTER SET utf8 NOT NULL,
  `coupon_code` varchar(255) NOT NULL,
  `discount` varchar(30) NOT NULL,
  `utimes` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`coupon_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_currencies`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_currencies` (
  `currency_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) CHARACTER SET utf8 NOT NULL,
  `currency_code` varchar(10) CHARACTER SET utf8 NOT NULL,
  `symbol_lft` varchar(15) CHARACTER SET utf8 NOT NULL,
  `symbol_rgt` varchar(15) CHARACTER SET utf8 NOT NULL,
  `currency_rate` float NOT NULL,
  `active` tinyint(1) NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  PRIMARY KEY (`currency_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_discounts`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_discounts` (
  `discount_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `title_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `discount_night` varchar(255) NOT NULL,
  `discount_week` varchar(255) NOT NULL,
  `discount_month` varchar(255) NOT NULL,
  `persons` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`discount_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_distances`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_distances` (
  `distance_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`distance_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_facilities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_facilities` (
  `facility_id` int(11) NOT NULL AUTO_INCREMENT,
  `facility_type` enum('general','outdoor','indoor') NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  `slug_1` varchar(255) NOT NULL,
  `slug_2` varchar(255) NOT NULL,
  `slug_3` varchar(255) NOT NULL,
  `slug_4` varchar(255) NOT NULL,
  `slug_5` varchar(255) NOT NULL,
  PRIMARY KEY (`facility_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_flood_protection`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_flood_protection` (
  `ip` char(32) NOT NULL,
  `time` char(20) NOT NULL,
  `count` bigint(20) NOT NULL,
  `url` varchar(255) NOT NULL,
  `lock` tinyint(1) NOT NULL,
  PRIMARY KEY (`ip`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_gflash`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_gflash` (
  `gflash_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(80) CHARACTER SET utf8 NOT NULL,
  `description_1` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_2` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_3` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_4` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_5` varchar(180) CHARACTER SET utf8 NOT NULL,
  `flash_file` varchar(255) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`gflash_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_gimages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_gimages` (
  `gimage_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(80) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(80) CHARACTER SET utf8 NOT NULL,
  `description_1` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_2` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_3` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_4` varchar(180) CHARACTER SET utf8 NOT NULL,
  `description_5` varchar(180) CHARACTER SET utf8 NOT NULL,
  `img_file` varchar(255) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`gimage_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_guides`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_guides` (
  `guide_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `guide_status` enum('inactive','active') NOT NULL,
  `location_id` int(11) NOT NULL,
  `location_str` text CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `location_lft` int(11) NOT NULL,
  `location_rgt` int(11) NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `description_1` text CHARACTER SET utf8 NOT NULL,
  `description_2` text CHARACTER SET utf8 NOT NULL,
  `description_3` text CHARACTER SET utf8 NOT NULL,
  `description_4` text CHARACTER SET utf8 NOT NULL,
  `description_5` text CHARACTER SET utf8 NOT NULL,
  `views` int(11) NOT NULL,
  `featured` tinyint(1) NOT NULL,
  `featured_photo_id` int(11) NOT NULL,
  `top_destination` tinyint(1) NOT NULL,
  PRIMARY KEY (`guide_id`),
  KEY `guide_status` (`guide_status`),
  KEY `ctime` (`ctime`),
  KEY `featured` (`featured`),
  FULLTEXT KEY `location_str` (`location_str`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_guide_photos`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_guide_photos` (
  `guide_photo_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `guide_id` int(11) NOT NULL,
  `guide_photo_file` varchar(255) CHARACTER SET utf8 NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `description_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY (`guide_photo_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_holiday_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_holiday_types` (
  `holiday_type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`holiday_type_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_imports`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_imports` (
  `import_id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `import_file` varchar(255) CHARACTER SET utf8 NOT NULL,
  `xpath` mediumtext NOT NULL,
  `template` mediumtext NOT NULL,
  PRIMARY KEY (`import_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_inquiries`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_inquiries` (
  `inquiry_id` int(11) NOT NULL AUTO_INCREMENT,
  `inquiry_uid` varchar(50) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `rtime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `subject` varchar(255) CHARACTER SET utf8 NOT NULL,
  `message` text CHARACTER SET utf8 NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `phone` varchar(50) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `no_guests` int(11) NOT NULL,
  `from_email` varchar(255) NOT NULL,
  `to_email` varchar(255) NOT NULL,
  `from_user_id` int(11) NOT NULL,
  `to_user_id` int(11) NOT NULL,
  `inquiry_status` enum('unread','read','reply') NOT NULL,
  `admin_status` tinyint(1) NOT NULL,
  `spaminess` double NOT NULL,
  `is_spam` tinyint(1) NOT NULL,
  `priority` enum('low','medium','high') NOT NULL,
  `ip_address` varchar(40) NOT NULL,
  `sent_by` enum('contact_form','chat') NOT NULL,
  PRIMARY KEY (`inquiry_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_inquiry_replies`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_inquiry_replies` (
  `inquiry_reply_id` int(11) NOT NULL AUTO_INCREMENT,
  `inquiry_id` int(11) NOT NULL,
  `message` text CHARACTER SET utf8 NOT NULL,
  `from_email` text NOT NULL,
  `to_email` text NOT NULL,
  `from_role` varchar(50) NOT NULL,
  `ctime` datetime NOT NULL,
  `rtime` datetime NOT NULL,
  `system_message` varchar(3) NOT NULL,
  `ip_address` varchar(40) NOT NULL,
  PRIMARY KEY (`inquiry_reply_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_ip2country`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_ip2country` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `begin_ip` varchar(20) DEFAULT NULL,
  `end_ip` varchar(20) DEFAULT NULL,
  `begin_ip_num` int(11) unsigned DEFAULT NULL,
  `end_ip_num` int(11) unsigned DEFAULT NULL,
  `country_code` varchar(3) DEFAULT NULL,
  `country_name` varchar(150) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `begin_ip_num` (`begin_ip_num`,`end_ip_num`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_ipn_logs`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_ipn_logs` (
  `ipn_log_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `payment_system` varchar(255) NOT NULL,
  `post` text NOT NULL,
  `response` text NOT NULL,
  `ipn_status` tinyint(1) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`ipn_log_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_languages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_languages` (
  `language_id` int(11) NOT NULL AUTO_INCREMENT,
  `hierarchy` int(10) unsigned NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title` varchar(80) CHARACTER SET utf8 NOT NULL,
  `idiom` varchar(100) NOT NULL,
  `code_2` char(2) NOT NULL,
  `code_3` char(3) NOT NULL,
  `flag_file` varchar(255) NOT NULL,
  `system_flag_file` varchar(255) NOT NULL,
  `use_system_flag` tinyint(1) NOT NULL,
  `date_format` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`language_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_links`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_links` (
  `link_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `link_parent_id` int(11) NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `template` varchar(255) CHARACTER SET utf8 NOT NULL,
  `content_id` int(11) NOT NULL,
  `is_homepage` tinyint(1) NOT NULL,
  `add_to_menu` tinyint(1) NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `locked` tinyint(1) NOT NULL,
  `slug_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `external_link` varchar(255) CHARACTER SET utf8 NOT NULL,
  `internal_link` varchar(255) CHARACTER SET utf8 NOT NULL,
  `no_follow` tinyint(1) NOT NULL,
  `no_index` tinyint(1) NOT NULL,
  `in_sitemap` tinyint(1) NOT NULL,
  `extra_options` varchar(255) NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `seo_description_1` varchar(200) CHARACTER SET utf8 NOT NULL,
  `seo_description_2` varchar(200) CHARACTER SET utf8 NOT NULL,
  `seo_description_3` varchar(200) CHARACTER SET utf8 NOT NULL,
  `seo_description_4` varchar(200) CHARACTER SET utf8 NOT NULL,
  `seo_description_5` varchar(200) CHARACTER SET utf8 NOT NULL,
  `seo_keywords_1` varchar(150) CHARACTER SET utf8 NOT NULL,
  `seo_keywords_2` varchar(150) CHARACTER SET utf8 NOT NULL,
  `seo_keywords_3` varchar(150) CHARACTER SET utf8 NOT NULL,
  `seo_keywords_4` varchar(150) CHARACTER SET utf8 NOT NULL,
  `seo_keywords_5` varchar(150) CHARACTER SET utf8 NOT NULL,
  `controller` varchar(255) NOT NULL,
  `breadcrumbs_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `breadcrumbs_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `breadcrumbs_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `breadcrumbs_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `breadcrumbs_5` mediumtext CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `lft` (`lft`),
  KEY `rgt` (`rgt`),
  FULLTEXT KEY `slug_1` (`slug_1`),
  FULLTEXT KEY `slug_2` (`slug_2`),
  FULLTEXT KEY `slug_3` (`slug_3`),
  FULLTEXT KEY `slug_4` (`slug_4`),
  FULLTEXT KEY `slug_5` (`slug_5`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings` (
  `listing_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `listing_parent_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `cron_etime` datetime NOT NULL,
  `listing_status` enum('inactive','active','pending','sold','withdrawn','active_contingent') NOT NULL,
  `listing_main_type` enum('sale','rent') NOT NULL,
  `listing_type_id` int(11) NOT NULL,
  `listing_type_lft` int(11) NOT NULL,
  `listing_type_rgt` int(11) NOT NULL,
  `unit_type_id` int(11) NOT NULL,
  `listing_type_str` text CHARACTER SET latin1 COLLATE latin1_bin NOT NULL,
  `location_id` int(11) NOT NULL,
  `location_lft` int(11) NOT NULL,
  `location_rgt` int(11) NOT NULL,
  `location_str` varchar(500) NOT NULL,
  `zip_code` varchar(30) NOT NULL,
  `address` varchar(255) CHARACTER SET utf8 NOT NULL,
  `distances` text CHARACTER SET utf8 NOT NULL,
  `lat` double NOT NULL,
  `lng` double NOT NULL,
  `latlng` point NOT NULL,
  `quadtree` varchar(21) NOT NULL,
  `geohash` varchar(128) NOT NULL,
  `zoom` tinyint(2) NOT NULL,
  `neighborhood_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `neighborhood_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `neighborhood_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `neighborhood_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `neighborhood_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `directions_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `directions_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `directions_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `directions_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `directions_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `summary_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `summary_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `summary_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `summary_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `summary_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_1` text CHARACTER SET utf8 NOT NULL,
  `description_2` text CHARACTER SET utf8 NOT NULL,
  `description_3` text CHARACTER SET utf8 NOT NULL,
  `description_4` text CHARACTER SET utf8 NOT NULL,
  `description_5` text CHARACTER SET utf8 NOT NULL,
  `currency_id` int(11) NOT NULL,
  `price` double NOT NULL,
  `price_per_square` double NOT NULL,
  `price_status` tinyint(1) NOT NULL,
  `upfront_payment` double NOT NULL,
  `available_from` date NOT NULL,
  `open_house_date` date NOT NULL,
  `open_house_hour_from` varchar(15) CHARACTER SET utf8 NOT NULL,
  `open_house_hour_to` varchar(15) CHARACTER SET utf8 NOT NULL,
  `no_rooms` int(11) NOT NULL,
  `multiple_units` tinyint(1) NOT NULL,
  `no_units` int(11) NOT NULL,
  `no_bedrooms` smallint(6) NOT NULL,
  `no_bathrooms` smallint(6) NOT NULL,
  `no_half_bathrooms` smallint(6) NOT NULL,
  `min_guests` smallint(6) NOT NULL,
  `max_guests` smallint(6) NOT NULL,
  `parking` smallint(6) NOT NULL,
  `parking_type` mediumtext NOT NULL,
  `square_metrics` varchar(8) NOT NULL,
  `lot_size` varchar(255) CHARACTER SET utf8 NOT NULL,
  `live_square` float NOT NULL,
  `total_square` float NOT NULL,
  `land_square` float NOT NULL,
  `floor_number` int(11) NOT NULL,
  `no_floors` int(11) NOT NULL,
  `year_of_build` smallint(4) NOT NULL,
  `furniture` tinyint(1) NOT NULL,
  `views` int(11) NOT NULL,
  `featured` tinyint(1) NOT NULL,
  `featured_etime` datetime NOT NULL,
  `highlight` tinyint(1) NOT NULL,
  `highlight_etime` datetime NOT NULL,
  `facilities_general` text NOT NULL,
  `facilities_indoor` text NOT NULL,
  `facilities_outdoor` text NOT NULL,
  `min_nightly_rate` double NOT NULL,
  `max_nightly_rate` double NOT NULL,
  `min_weekly_rate` double NOT NULL,
  `max_weekly_rate` double NOT NULL,
  `min_monthly_rate` double NOT NULL,
  `max_monthly_rate` double NOT NULL,
  `min_min_stay` int(11) NOT NULL,
  `max_min_stay` int(11) NOT NULL,
  `reviews_total` int(11) NOT NULL,
  `reviews_rating` double NOT NULL,
  `board` mediumtext NOT NULL,
  `holiday_type` mediumtext NOT NULL,
  `view_type` mediumtext NOT NULL,
  `activities_local` text NOT NULL,
  `activities_other` text NOT NULL,
  `bedroom_options` text NOT NULL,
  `bathroom_options` text NOT NULL,
  `access_options` mediumtext NOT NULL,
  `car_essential` tinyint(1) NOT NULL,
  `services` text NOT NULL,
  `roi1` double NOT NULL,
  `roi2` double NOT NULL,
  `max_adults` int(11) NOT NULL,
  `max_children` int(11) NOT NULL,
  `stars` tinyint(2) NOT NULL,
  `utilities` text NOT NULL,
  `mls` varchar(255) CHARACTER SET utf8 NOT NULL,
  `fireplace` varchar(100) NOT NULL,
  `heating_system` mediumtext NOT NULL,
  `rental_price_term` varchar(100) NOT NULL,
  `lease_type` varchar(100) NOT NULL,
  `lease_details_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `lease_details_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `lease_details_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `lease_details_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `lease_details_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `terms_and_conditions_1` text CHARACTER SET utf8 NOT NULL,
  `terms_and_conditions_2` text CHARACTER SET utf8 NOT NULL,
  `terms_and_conditions_3` text CHARACTER SET utf8 NOT NULL,
  `terms_and_conditions_4` text CHARACTER SET utf8 NOT NULL,
  `terms_and_conditions_5` text CHARACTER SET utf8 NOT NULL,
  `policies_1` text CHARACTER SET utf8 NOT NULL,
  `policies_2` text CHARACTER SET utf8 NOT NULL,
  `policies_3` text CHARACTER SET utf8 NOT NULL,
  `policies_4` text CHARACTER SET utf8 NOT NULL,
  `policies_5` text CHARACTER SET utf8 NOT NULL,
  `check_in` varchar(5) NOT NULL,
  `check_out` varchar(5) NOT NULL,
  `security_deposit_description_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `security_deposit_description_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `security_deposit_description_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `security_deposit_description_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `security_deposit_description_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `suitability` mediumtext NOT NULL,
  `suitability_description_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `suitability_description_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `suitability_description_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `suitability_description_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `suitability_description_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `keywords_1` text CHARACTER SET utf8 NOT NULL,
  `keywords_2` text CHARACTER SET utf8 NOT NULL,
  `keywords_3` text CHARACTER SET utf8 NOT NULL,
  `keywords_4` text CHARACTER SET utf8 NOT NULL,
  `keywords_5` text CHARACTER SET utf8 NOT NULL,
  `si_keywords` text CHARACTER SET utf8 NOT NULL,
  `energy` char(1) NOT NULL,
  `seo_title_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_description_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_description_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_description_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_description_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_description_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_keywords_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_keywords_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_keywords_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_keywords_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `seo_keywords_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `featured_photo_id` int(11) NOT NULL,
  `show_address` tinyint(1) NOT NULL,
  `show_availability_calendar` tinyint(1) NOT NULL,
  `show_rates` tinyint(4) NOT NULL,
  `allow_bookings` tinyint(4) NOT NULL,
  `completeness` tinyint(3) NOT NULL,
  `show_walkscore` tinyint(1) NOT NULL,
  `no_photos` int(11) NOT NULL,
  `no_videos` int(11) NOT NULL,
  `energy_description_1` mediumtext CHARACTER SET utf8 NOT NULL,
  `energy_description_2` mediumtext CHARACTER SET utf8 NOT NULL,
  `energy_description_3` mediumtext CHARACTER SET utf8 NOT NULL,
  `energy_description_4` mediumtext CHARACTER SET utf8 NOT NULL,
  `energy_description_5` mediumtext CHARACTER SET utf8 NOT NULL,
  `orientation` varchar(2) NOT NULL,
  `construction_type` mediumtext NOT NULL,
  `notes` text CHARACTER SET utf8 NOT NULL,
  `payment_options` mediumtext NOT NULL,
  `discount_children` double NOT NULL,
  `discount_early_booking_days` int(11) NOT NULL,
  `discount_early_booking` double NOT NULL,
  `discounts_early_booking` text CHARACTER SET utf8 NOT NULL,
  `discount_long_stay_days` int(11) NOT NULL,
  `discount_long_stay` double NOT NULL,
  `discounts_long_stay` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`listing_id`),
  KEY `featured` (`featured`),
  KEY `listing_main_type` (`listing_main_type`),
  KEY `energy` (`energy`),
  KEY `orientation` (`orientation`),
  KEY `highlight` (`highlight`),
  KEY `completeness` (`completeness`),
  KEY `listing_parent_id_status` (`listing_parent_id`,`listing_status`),
  KEY `location_lft` (`location_lft`),
  KEY `listing_type_lft` (`listing_type_lft`),
  KEY `no_photos` (`no_photos`),
  KEY `user_id` (`user_id`),
  KEY `views` (`views`),
  KEY `roi1` (`roi1`,`roi2`),
  KEY `cron_etime` (`cron_etime`),
  FULLTEXT KEY `si_keywords` (`si_keywords`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_activities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_activities` (
  `listings_activities_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `activity_id` int(11) NOT NULL,
  PRIMARY KEY (`listings_activities_id`),
  KEY `listing_id` (`listing_id`),
  KEY `activity_id` (`activity_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_facilities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_facilities` (
  `listings_facilites_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `facility_id` int(11) NOT NULL,
  PRIMARY KEY (`listings_facilites_id`),
  KEY `listing_id` (`listing_id`),
  KEY `facility_id` (`facility_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_holiday_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_holiday_types` (
  `listings_holiday_types_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `holiday_type_id` int(11) NOT NULL,
  PRIMARY KEY (`listings_holiday_types_id`),
  KEY `listing_id` (`listing_id`),
  KEY `holiday_type_id` (`holiday_type_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_imports`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_imports` (
  `listing_import_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `import_id` int(11) NOT NULL,
  PRIMARY KEY (`listing_import_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_suitabilities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_suitabilities` (
  `listings_suitability_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `suitability` varchar(255) NOT NULL,
  PRIMARY KEY (`listings_suitability_id`),
  KEY `listing_id` (`listing_id`),
  KEY `suitability` (`suitability`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_utilities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_utilities` (
  `listings_utilities_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `utility_id` int(11) NOT NULL,
  PRIMARY KEY (`listings_utilities_id`),
  KEY `listing_id` (`listing_id`),
  KEY `utility_id` (`utility_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listings_view_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listings_view_types` (
  `listings_view_types_id` int(11) NOT NULL AUTO_INCREMENT,
  `listing_id` int(11) NOT NULL,
  `view_type_id` int(11) NOT NULL,
  PRIMARY KEY (`listings_view_types_id`),
  KEY `listing_id` (`listing_id`),
  KEY `view_type_id` (`view_type_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listing_photos`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listing_photos` (
  `listing_photo_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `listing_id` int(11) NOT NULL,
  `listing_photo_file` varchar(255) CHARACTER SET utf8 NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `description_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `description_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  PRIMARY KEY (`listing_photo_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listing_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listing_types` (
  `listing_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `lft` int(11) NOT NULL,
  `rgt` int(11) NOT NULL,
  `listing_type_parent_id` int(11) NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `locked` tinyint(1) NOT NULL,
  `marker_file` varchar(255) NOT NULL,
  `marker` varchar(255) NOT NULL,
  PRIMARY KEY (`listing_type_id`),
  KEY `lft` (`lft`),
  KEY `rgt` (`rgt`),
  FULLTEXT KEY `slug_1` (`slug_1`),
  FULLTEXT KEY `slug_2` (`slug_2`),
  FULLTEXT KEY `slug_3` (`slug_3`),
  FULLTEXT KEY `slug_4` (`slug_4`),
  FULLTEXT KEY `slug_5` (`slug_5`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_listing_videos`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_listing_videos` (
  `listing_video_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `video_type` enum('upload','embed') NOT NULL,
  `listing_id` int(11) NOT NULL,
  `listing_video_file` varchar(255) NOT NULL,
  `poster_file` varchar(255) NOT NULL,
  `embed_1` text NOT NULL,
  `embed_2` text NOT NULL,
  `embed_3` text NOT NULL,
  `embed_4` text NOT NULL,
  `embed_5` text NOT NULL,
  `hierarchy` int(11) NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `description_1` varchar(150) CHARACTER SET utf8 NOT NULL,
  `description_2` varchar(150) CHARACTER SET utf8 NOT NULL,
  `description_3` varchar(150) CHARACTER SET utf8 NOT NULL,
  `description_4` varchar(150) CHARACTER SET utf8 NOT NULL,
  `description_5` varchar(150) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`listing_video_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_locations`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_locations` (
  `location_id` int(11) NOT NULL AUTO_INCREMENT,
  `location_parent_id` int(11) NOT NULL,
  `lft` bigint(20) NOT NULL,
  `rgt` bigint(20) NOT NULL,
  `title_1` varchar(150) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(150) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(150) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(150) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(150) CHARACTER SET utf8 NOT NULL,
  `slug_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `lat` double NOT NULL,
  `lng` double NOT NULL,
  `zip_code` varchar(100) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `locked` tinyint(1) NOT NULL,
  `iso_alpha2` char(2) NOT NULL,
  `fips_code` char(2) NOT NULL,
  `population` bigint(20) NOT NULL,
  `fclass` varchar(6) NOT NULL,
  `fcode` varchar(6) NOT NULL,
  `country_code` char(2) NOT NULL,
  `admin1` varchar(6) NOT NULL,
  `sslug_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `sslug_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `sslug_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `sslug_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `sslug_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `total_listings` int(11) NOT NULL,
  PRIMARY KEY (`location_id`),
  KEY `lft` (`lft`),
  KEY `rgt` (`rgt`),
  KEY `location_parent_id` (`location_parent_id`),
  KEY `lft_rgt` (`lft`,`rgt`),
  KEY `total_listings` (`total_listings`),
  KEY `active` (`active`),
  FULLTEXT KEY `sslug_1` (`sslug_1`),
  FULLTEXT KEY `sslug_2` (`sslug_2`),
  FULLTEXT KEY `sslug_3` (`sslug_3`),
  FULLTEXT KEY `sslug_4` (`sslug_4`),
  FULLTEXT KEY `sslug_5` (`sslug_5`),
  FULLTEXT KEY `title_2` (`title_2`),
  FULLTEXT KEY `title_3` (`title_3`),
  FULLTEXT KEY `title_4` (`title_4`),
  FULLTEXT KEY `title_5` (`title_5`),
  FULLTEXT KEY `to_delete` (`title_1`,`title_2`,`title_3`,`title_4`,`title_5`),
  FULLTEXT KEY `title_1` (`title_1`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_login_attempts`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_login_attempts` (
  `login_attempt_id` int(11) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(40) NOT NULL,
  `login` varchar(50) CHARACTER SET utf8 NOT NULL,
  `time` datetime NOT NULL,
  PRIMARY KEY (`login_attempt_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_mail_q`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_mail_q` (
  `mail_q_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `send_time` datetime NOT NULL,
  `sent_time` datetime NOT NULL,
  `mail_template_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `start` int(11) NOT NULL,
  `sender_name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sender_email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject` varchar(255) CHARACTER SET utf8 NOT NULL,
  `body` text CHARACTER SET utf8 NOT NULL,
  `ugroup` varchar(255) NOT NULL,
  `test_mode` tinyint(1) NOT NULL,
  PRIMARY KEY (`mail_q_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_mail_templates`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_mail_templates` (
  `mail_template_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `sender_email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sender_name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `body_1` text CHARACTER SET utf8 NOT NULL,
  `body_2` text CHARACTER SET utf8 NOT NULL,
  `body_3` text CHARACTER SET utf8 NOT NULL,
  `body_4` text CHARACTER SET utf8 NOT NULL,
  `body_5` text CHARACTER SET utf8 NOT NULL,
  `alias` varchar(80) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `bcc_copy` varchar(50) NOT NULL,
  `is_bulk_mail` tinyint(1) NOT NULL,
  PRIMARY KEY (`mail_template_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_news`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_news` (
  `news_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title_1` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(100) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(100) CHARACTER SET utf8 NOT NULL,
  `description_1` text CHARACTER SET utf8 NOT NULL,
  `description_2` text CHARACTER SET utf8 NOT NULL,
  `description_3` text CHARACTER SET utf8 NOT NULL,
  `description_4` text CHARACTER SET utf8 NOT NULL,
  `description_5` text CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`news_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_packages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_packages` (
  `package_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `no_listings` int(11) NOT NULL,
  `no_units` int(11) NOT NULL,
  `no_photos` int(11) NOT NULL,
  `no_videos` int(11) NOT NULL,
  `no_days` int(11) NOT NULL,
  `price` double NOT NULL,
  `active` tinyint(1) NOT NULL,
  `hidden` tinyint(1) NOT NULL,
  `allow_contact` tinyint(1) NOT NULL,
  `booking_fee` varchar(50) NOT NULL,
  `deposit` varchar(50) NOT NULL,
  PRIMARY KEY (`package_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_payment_requests`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_payment_requests` (
  `payment_request_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `credits` double NOT NULL,
  `credits_request` double NOT NULL,
  `service` varchar(80) NOT NULL,
  `payment_system` varchar(50) CHARACTER SET utf8 NOT NULL,
  `payment_status` enum('send','approve','fail') NOT NULL,
  `request_type` enum('add','spend') NOT NULL,
  `locked` tinyint(1) NOT NULL,
  `coupon_code` varchar(255) NOT NULL,
  `hit_by_ipn` tinyint(1) NOT NULL,
  PRIMARY KEY (`payment_request_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_rates`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_rates` (
  `rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `nightly_rate` double NOT NULL,
  `nightly_rate_weekend` double NOT NULL,
  `weekly_rate` double NOT NULL,
  `monthly_rate` double NOT NULL,
  `min_stay` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `special_offer` tinyint(1) NOT NULL,
  `changeover_day` tinyint(2) NOT NULL,
  `persons` int(11) NOT NULL,
  `extra_person_price_night` double NOT NULL,
  `extra_person_price_week` double NOT NULL,
  `extra_person_price_month` double NOT NULL,
  `unit_type_id` int(11) NOT NULL,
  `rate_overwrite` tinyint(1) NOT NULL,
  PRIMARY KEY (`rate_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_reviews`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_reviews` (
  `review_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title` varchar(100) CHARACTER SET utf8 NOT NULL,
  `body` text CHARACTER SET utf8 NOT NULL,
  `body_reply` text CHARACTER SET utf8 NOT NULL,
  `user_id` int(11) NOT NULL,
  `listing_id` int(11) NOT NULL,
  `name` varchar(80) CHARACTER SET utf8 NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `location` varchar(100) CHARACTER SET utf8 NOT NULL,
  `age` tinyint(4) NOT NULL,
  `display_name` varchar(80) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `rating_stars` int(11) NOT NULL,
  `reviewer_id` int(11) NOT NULL,
  `votes_up` int(11) NOT NULL,
  `votes_down` int(11) NOT NULL,
  `arrival_date` datetime NOT NULL,
  `stay_month` tinyint(4) NOT NULL,
  `stay_year` int(11) NOT NULL,
  PRIMARY KEY (`review_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_search`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_search` (
  `search_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `search_hash` varchar(32) NOT NULL,
  `search_name` varchar(20) NOT NULL,
  `search_date_perform` datetime NOT NULL,
  `search_result_count` bigint(20) NOT NULL,
  `search_result` text NOT NULL,
  `search_where` text NOT NULL,
  `search_order_by` text NOT NULL,
  PRIMARY KEY (`search_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_seo`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_seo` (
  `seo_id` int(11) NOT NULL AUTO_INCREMENT,
  `filter` text CHARACTER SET utf8 NOT NULL,
  `seo_h1_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_h1_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_h1_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_h1_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_h1_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_title_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `seo_description_1` text CHARACTER SET utf8 NOT NULL,
  `seo_description_2` text CHARACTER SET utf8 NOT NULL,
  `seo_description_3` text CHARACTER SET utf8 NOT NULL,
  `seo_description_4` text CHARACTER SET utf8 NOT NULL,
  `seo_description_5` text CHARACTER SET utf8 NOT NULL,
  `seo_keywords_1` text CHARACTER SET utf8 NOT NULL,
  `seo_keywords_2` text CHARACTER SET utf8 NOT NULL,
  `seo_keywords_3` text CHARACTER SET utf8 NOT NULL,
  `seo_keywords_4` text CHARACTER SET utf8 NOT NULL,
  `seo_keywords_5` text CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`seo_id`),
  KEY `filter` (`filter`(255))
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_services`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_services` (
  `service_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `active` tinyint(1) NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`service_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_sessions`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_sessions` (
  `session_id` varchar(40) NOT NULL DEFAULT '0',
  `ip_address` varchar(16) NOT NULL DEFAULT '0',
  `user_agent` varchar(120) NOT NULL,
  `last_activity` int(10) unsigned NOT NULL DEFAULT '0',
  `user_data` longtext NOT NULL,
  PRIMARY KEY (`session_id`),
  KEY `last_activity` (`last_activity`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_settings`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(80) CHARACTER SET utf8 NOT NULL,
  `value` text CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `key` (`key`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_sms_packages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_sms_packages` (
  `sms_package_id` int(11) NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `no_sms` int(11) NOT NULL,
  `price` double NOT NULL,
  `active` tinyint(4) NOT NULL,
  `hidden` tinyint(1) NOT NULL,
  PRIMARY KEY (`sms_package_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_sms_requests`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_sms_requests` (
  `sms_request_id` int(11) NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `to_number` varchar(30) NOT NULL,
  `subject` varchar(100) CHARACTER SET utf8 NOT NULL,
  `message` text CHARACTER SET utf8 NOT NULL,
  `send_status` mediumtext NOT NULL,
  PRIMARY KEY (`sms_request_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_sms_templates`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_sms_templates` (
  `sms_template_id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_phone` varchar(255) CHARACTER SET utf8 NOT NULL,
  `sender_name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_1` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_2` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_3` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_4` varchar(255) CHARACTER SET utf8 NOT NULL,
  `subject_5` varchar(255) CHARACTER SET utf8 NOT NULL,
  `body_1` text CHARACTER SET utf8 NOT NULL,
  `body_2` text CHARACTER SET utf8 NOT NULL,
  `body_3` text CHARACTER SET utf8 NOT NULL,
  `body_4` text CHARACTER SET utf8 NOT NULL,
  `body_5` text CHARACTER SET utf8 NOT NULL,
  `alias` varchar(80) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `bcc_copy` varchar(255) NOT NULL,
  PRIMARY KEY (`sms_template_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_typing`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_typing` (
  `typing_from` int(11) NOT NULL,
  `typing_to` int(11) NOT NULL,
  `typing_ornot` int(11) NOT NULL,
  UNIQUE KEY `typing_from` (`typing_from`,`typing_to`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_unit_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_unit_types` (
  `unit_type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`unit_type_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_users`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `role` varchar(80) CHARACTER SET utf8 NOT NULL,
  `username` varchar(100) CHARACTER SET utf8 NOT NULL,
  `password` varchar(255) NOT NULL,
  `email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `active_newsletter` tinyint(1) NOT NULL,
  `banned` tinyint(1) NOT NULL,
  `ban_reason` varchar(255) CHARACTER SET utf8 NOT NULL,
  `new_password_key` varchar(50) DEFAULT NULL,
  `new_password_time` datetime DEFAULT NULL,
  `new_email` varchar(255) CHARACTER SET utf8 NOT NULL,
  `new_email_key` varchar(50) NOT NULL,
  `last_ip` varchar(40) NOT NULL,
  `last_login` datetime NOT NULL,
  `last_activity` datetime NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `reviews_total` int(11) NOT NULL,
  `reviews_rating` int(11) NOT NULL,
  `sms_phone` varchar(30) NOT NULL,
  `sms_active` tinyint(1) NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `phone` varchar(30) NOT NULL,
  `phone2` varchar(30) NOT NULL,
  `fax` varchar(30) NOT NULL,
  `country` varchar(255) CHARACTER SET utf8 NOT NULL,
  `location` varchar(255) CHARACTER SET utf8 NOT NULL,
  `address` mediumtext CHARACTER SET utf8 NOT NULL,
  `zip` varchar(255) NOT NULL,
  `chat_status` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT 'offline',
  `offlineshift` int(11) NOT NULL,
  `lhash` varchar(255) CHARACTER SET utf8 NOT NULL,
  `verified_user` tinyint(1) NOT NULL,
  `paypal_email` varchar(255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`user_id`),
  FULLTEXT KEY `name` (`name`,`username`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_user_autologin`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_user_autologin` (
  `key_id` char(32) NOT NULL,
  `user_id` int(11) NOT NULL,
  `user_agent` varchar(150) NOT NULL,
  `last_ip` varchar(40) NOT NULL,
  `last_login` datetime NOT NULL,
  PRIMARY KEY (`key_id`,`user_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_user_credits`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_user_credits` (
  `user_credit_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `credits` double NOT NULL,
  `mtime` datetime NOT NULL,
  PRIMARY KEY (`user_credit_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_user_packages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_user_packages` (
  `user_package_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `etime` datetime NOT NULL,
  `cron_etime` datetime NOT NULL,
  PRIMARY KEY (`user_package_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_user_profiles`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_user_profiles` (
  `profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `company_name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `website` varchar(255) NOT NULL,
  `logo_file` varchar(255) NOT NULL,
  `languages` varchar(255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`profile_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_user_sms_packages`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_user_sms_packages` (
  `user_sms_package_id` int(11) NOT NULL AUTO_INCREMENT,
  `sms_package_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `sms_remained` int(11) NOT NULL,
  `sms_sent` int(11) NOT NULL,
  PRIMARY KEY (`user_sms_package_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_utilities`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_utilities` (
  `utility_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ctime` datetime NOT NULL,
  `mtime` datetime NOT NULL,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`utility_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_view_types`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_view_types` (
  `view_type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_1` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_2` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_3` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_4` varchar(50) CHARACTER SET utf8 NOT NULL,
  `slug_5` varchar(50) CHARACTER SET utf8 NOT NULL,
  `active` tinyint(1) NOT NULL,
  `search_active` tinyint(1) NOT NULL,
  PRIMARY KEY (`view_type_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_wishlist`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_wishlist` (
  `wishlist_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `listing_ids` text NOT NULL,
  PRIMARY KEY (`wishlist_id`)
) ENGINE=MyISAM;

--command split--

DROP TABLE IF EXISTS `vrs7_wordlist`;

--command split--

CREATE TABLE IF NOT EXISTS `vrs7_wordlist` (
  `token` varchar(255) NOT NULL,
  `count_ham` int(10) unsigned DEFAULT NULL,
  `count_spam` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`token`)
) ENGINE=MyISAM;

