<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'adverts';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'advert_id'=>array( 'label'=>'#','width'=>5),
	'preview'=>array( 'label'=>$lang->translate('advert_preview'),'width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>10),
	'start_date'=>array('label'=>$lang->translate('start_date'),'width'=>'','editable'=>true,'editable_section'=>$obj,'editable_class'=>'jeditable_datepicker'),
	'end_date'=>array('label'=>$lang->translate('end_date'),'width'=>'','editable'=>true,'editable_section'=>$obj,'editable_class'=>'jeditable_datepicker'),
	'advert_position'=>array('label'=>$lang->translate('advert_position'),'width'=>''),
	'impressions'=>array('label'=>$lang->translate('impressions'),'width'=>''),
	'views'=>array('label'=>$lang->translate('views'),'width'=>''),
	'clicks'=>array('label'=>$lang->translate('clicks'),'width'=>''),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'advert_id',
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default'=>true
	)
);

$config['orderby'] = 'advert_position desc,hierarchy asc';
$config['form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'advert_position'=>array(
		'label'=>$lang->translate('advert_position'),
		'value'=>'',
		'rules'=>'',
		'options'=>array(
			'slideshow'=>$lang->translate('slideshow').' (1920x1280px)',
			//'left'=>$lang->translate('left'),
			//'top'=>$lang->translate('top'),
			//'top_banner'=>$lang->translate('top_banner'),
			//'bottom'=>$lang->translate('bottom'),
			//'right'=>$lang->translate('right')
			'search_results_top'=>$lang->translate('search_results_top'),
			'search_results_bottom'=>$lang->translate('search_results_bottom'),
			'listing_details_sidebar'=>$lang->translate('listing_details_sidebar'),
			'listing_details_bottom'=>$lang->translate('listing_details_bottom')
		)
	),
	'advert_type'=>array(
		'label'=>$lang->translate('advert_type'),
		'value'=>'image',
		'rules'=>'required',
		'options'=>array(
			'image'=>$lang->translate('image'),
			'flash'=>$lang->translate('flash'),
			'jscript'=>$lang->translate('jscript')
		)
	),
	'advert_file'=>array('label'=>$lang->translate('advert_file'),'value'=>'','rules'=>'trim'),
	'advert_file_upload'=>array('label'=>$lang->translate('advert_file'),'value'=>'','rules'=>'trim'),
	'advert_code'=>array('label'=>$lang->translate('advert_code'),'value'=>'','rules'=>'trim'),
	'width'=>array('label'=>$lang->translate('width'),'value'=>'','rules'=>'trim|numeric'),
	'height'=>array('label'=>$lang->translate('height'),'value'=>'','rules'=>'trim|numeric'),
	'featured'=>array('label'=>$lang->translate('featured'),'value'=>0,'rules'=>''),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'direct_link'=>array('label'=>$lang->translate('direct_link'),'value'=>0,'rules'=>''),
	'link'=>array('label'=>$lang->translate('link'),'value'=>'http://www.','rules'=>'prep_url'),
	'start_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'trim|required'),
	'end_date'=>array('label'=>$lang->translate('end_date'),'value'=>'','rules'=>'trim|required'),
	'impressions'=>array('label'=>$lang->translate('impressions'),'value'=>'','rules'=>'numeric'),
	'clicks'=>array('label'=>$lang->translate('clicks'),'value'=>'','rules'=>'numeric'),
	'views'=>array('label'=>$lang->translate('views'),'value'=>'','rules'=>'numeric'),
	'advert_suffix'=>array('label'=>$lang->translate('advert_suffix'),'value'=>'','rules'=>''),
	'advert_prefix'=>array('label'=>$lang->translate('advert_prefix'),'value'=>'','rules'=>''),
	'link_other'=>array('label'=>$lang->translate('link_other'),'value'=>'target="_blank"','rules'=>''),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'value'=>'0','rules'=>'numeric')
);

$config['form_data_fields'] = array(
	'active','featured',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'advert_type','advert_position',
	'advert_code','advert_file',
	'width','height',
	'link','direct_link',
	'start_date','end_date',
	'impressions','clicks','views',
	'advert_suffix','advert_prefix',
	'link_other',
	'hierarchy'
);

$config['upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/adverts/',
	'allowed_types'=>'jpg|gif|png|swf',
	'max_size'=>0,
	'max_width'=>0,
	'max_height'=>0
);
$config['form_fields']['advert_file_upload']['options'] = array(
	'max_size'=>$config['upload']['max_size']!=0?$config['upload']['max_size']:'&#8734;',
	'allowed_types'=>implode(', ',explode('|',$config['upload']['allowed_types']))
);