<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));
$theme = $g_O->smarty->get_theme();

$obj = 'inquiries';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
);
$config['options_bar']['view_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>true),
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
);
$config['options_bar']['add_wysiwyg'] = array(
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_view','visible'=>true,'current'=>true)
);
$config['options_bar']['edit_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_view','visible'=>true,'current'=>true)
);
//end options bar


if($g_O->session->userdata('role')=='admin')
{
	$config['quick_actions'] = array(
		array('id'=>'spam','label'=>$lang->translate('report_as_spam'),'href'=>'spam_multiple'),
		array('id'=>'not_spam','label'=>$lang->translate('report_as_not_spam'),'href'=>'not_spam_multiple'),
		
		array('id'=>'ham','label'=>$lang->translate('report_as_ham'),'href'=>'ham_multiple'),
		array('id'=>'not_ham','label'=>$lang->translate('report_as_not_ham'),'href'=>'not_ham_multiple'),
		
		array('id'=>'read','label'=>$lang->translate('mark_as_read'),'href'=>'read_multiple'),
		array('id'=>'unread','label'=>$lang->translate('mark_as_unread'),'href'=>'unread_multiple'),
		
		array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple'),
		
	);
	$config['quick_actions_wysiwyg'] = array(
		array('id'=>'read','label'=>$lang->translate('mark_as_read'),'href'=>'read_multiple_wysiwyg'),
		array('id'=>'unread','label'=>$lang->translate('mark_as_unread'),'href'=>'unread_multiple_wysiwyg'),
		array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
	);
}
else
{
	$config['quick_actions'] = array(
		array('id'=>'spam','label'=>$lang->translate('report_as_spam'),'href'=>'spam_multiple'),
		array('id'=>'not_spam','label'=>$lang->translate('report_as_not_spam'),'href'=>'not_spam_multiple'),
		
		//array('id'=>'ham','label'=>$lang->translate('report_as_ham'),'href'=>'ham_multiple'),
		//array('id'=>'not_ham','label'=>$lang->translate('report_as_not_ham'),'href'=>'not_ham_multiple'),
		
		array('id'=>'read','label'=>$lang->translate('mark_as_read'),'href'=>'read_multiple'),
		array('id'=>'unread','label'=>$lang->translate('mark_as_unread'),'href'=>'unread_multiple'),
		
		array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple'),
		
		
	);
	$config['quick_actions_wysiwyg'] = array(
		array('id'=>'read','label'=>$lang->translate('mark_as_read'),'href'=>'read_multiple_wysiwyg'),
		array('id'=>'unread','label'=>$lang->translate('mark_as_unread'),'href'=>'unread_multiple_wysiwyg'),
		array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple_wysiwyg')
	);
}

$config['list_header_fields'] = array(
	'spam_indicator'=>array('label'=>$lang->translate('spam'),'width'=>5,'order_by'=>'spaminess'),
	'admin_status'=>array('label'=>$lang->translate('admin_status'),'width'=>8),
	'priority'=>array('label'=>$lang->translate('priority'),'width'=>5),
	'name'=>array('label'=>$lang->translate('name'),'width'=>''),
	'subject'=>array('label'=>$lang->translate('subject'),'width'=>''),
	'listing_id'=>array( 'label'=>$lang->translate('listing'),'width'=>''),
	'ctime'=>array( 'label'=>$lang->translate('date'),'width'=>8),
);
if($g_O->session->userdata('role')!='admin') unset($config['list_header_fields']['admin_status']);

$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'inquiry_id'
	),
	'listing_id'=>array(
		'operator'=>'='
	),
	'name'=>array(
		'operator'=>'like'
	),
	'from_email'=>array(
		'label'=>$lang->translate('email'),
		'operator'=>'=',
		'wildcards'=>true
	),
	'subject'=>array(
		'operator'=>'=',
		'wildcards'=>true
	),
	'message'=>array(
		'operator'=>'like' 
	),
	'inquiry_status'=>array(
		'operator'=>'=',
		'hidden'=>true
	)
);

$config['orderby'] = 'ctime desc';

$config['form_fields'] = array(
	'name'=>array('label'=>$lang->translate('name'),'value'=>'','rules'=>''),
	'phone'=>array('label'=>$lang->translate('phone'),'value'=>'','rules'=>''),
	'from_email'=>array('label'=>$lang->translate('email'),'value'=>'','rules'=>''),
	'inquiry_status'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>'',
		'possible_options'=>array(
			'unread'=>'<input type="radio" id="mark_as_unread" name="inquiry_status" value="unread" /><label for="mark_as_unread"><strong>'.$lang->translate('mark_as_unread').'</strong></label>',
			'read'=>'<input type="radio" id="mark_as_read" name="inquiry_status" value="read" /><label for="mark_as_read"><strong>'.$lang->translate('mark_as_read').'</strong></label>',
			'reply'=>'<input type="radio" id="mark_as_reply" name="inquiry_status" value="reply" />'
		),
		'options'=>array()
	),
	'subject'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'message'=>array('label'=>$lang->translate('message'),'value'=>'','rules'=>''),
	'admin_status'=>array('label'=>$lang->translate('admin_status'),'value'=>'','rules'=>''),
	//'is_spam'=>array('label'=>$lang->translate(''),'value'=>'','rules'=>''),
	'mark_as'=>array('values'=>'',
		'possible_options'=>array(
			0=>'<input type="radio" id="mark_undefined" name="mark_as" value="0" /><label for="mark_undefined"><strong>'.$lang->translate('undefined').'</strong></label>',
			
			11=>'<input type="radio" id="mark_spam" name="mark_as" value="11" /><label for="mark_spam"><strong>'.$lang->translate('report_as_spam').'</strong></label>',
			10=>'<input type="radio" id="mark_not_spam" name="mark_as" value="10" /><label for="mark_not_spam"><strong>'.$lang->translate('report_as_not_spam').'</strong></label>',
			
			-11=>'<input type="radio" id="mark_ham" name="mark_as" value="-11" /><label for="mark_ham"><strong>'.$lang->translate('report_as_ham').'</strong></label>',
			-10=>'<input type="radio" id="mark_not_ham" name="mark_as" value="-10" /><label for="mark_not_ham"><strong>'.$lang->translate('report_as_not_ham').'</strong></label>'
		),
		'options'=>array()
	),
	'priority'=>array('label'=>$lang->translate('priority'),'value'=>'','rules'=>'required',
		'options'=>array(
			'low'=>$lang->translate('inquiry_priority_low'),
			'medium'=>$lang->translate('inquiry_priority_medium'),
			'high'=>$lang->translate('inquiry_priority_high')
		)
	),
	'reply_message'=>array(
		'label'=>$lang->translate('reply'),
		'rules'=>'trim',
		'value'=>'',
		'xss'=>true
	)
);
if($g_O->session->userdata('role')=='admin')
{
	$config['form_data_fields'] = array(
		'inquiry_status','name','from_email','phone','message','subject','admin_status','priority'
		//'is_spam'
	);
}else{
	$config['form_data_fields'] = array(
		'inquiry_status','priority'
		//'is_spam'
	);
}