<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = ($g_O->config->item('lang_key'));

$obj = 'listings';


/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array();
$config['options_bar']['photos'] = array();
$config['options_bar']['videos'] = array();
$config['options_bar']['units'] = array();
$config['options_bar']['rates'] = array();
$config['options_bar']['addons'] = array();
$config['options_bar']['discounts'] = array();
$config['options_bar']['paid_services'] = array();
$config['options_bar']['availability'] = array();
$config['options_bar']['settings'] = array();

$config['search_bar']['add'] = 
$config['search_bar']['edit'] = array('visible'=>false);
//end options bar 


$config['quick_actions'] = array(
	array('id'=>'active','label'=>$lang->translate('listing_status_active'),'href'=>'active_multiple'),
	/*array('id'=>'pending','label'=>$lang->translate('listing_status_pending'),'href'=>'pending_multiple'),
	array('id'=>'sold','label'=>$lang->translate('listing_status_sold'),'href'=>'sold_multiple'),
	array('id'=>'withdrawn','label'=>$lang->translate('listing_status_withdrawn'),'href'=>'withdrawn_multiple'),
	array('id'=>'active_contingent','label'=>$lang->translate('listing_status_active_contingent'),'href'=>'active_contingent_multiple'),*/
	array('id'=>'inactive','label'=>$lang->translate('listing_status_inactive'),'href'=>'inactive_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple'),
	array('id'=>'clone','label'=>$lang->translate('clone'),'href'=>'lclone_multiple')
	
);

$config['list_header_fields'] = array(
	'listing_id'=>array( 'label'=>'#','width'=>5),
	//'listing_main_type'=>array( 'label'=>'type','width'=>5),
	'listing_thumb'=>array('label'=>$lang->translate('photo'),'order'=>false,'width'=>5),
	'completeness'=>array('label'=>$lang->translate('completeness'),'width'=>8),
	'listing_status'=>array('label'=>$lang->translate('status'),'width'=>6),
	'featured'=>array('label'=>$lang->translate('featured'),'width'=>6),
	'highlight'=>array('label'=>$lang->translate('highlight'),'width'=>6),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	//'listing_main_type'=>array('label'=>$lang->translate('listing_main_type'),'width'=>6),
	'ctime'=>array('label'=>$lang->translate('ctime'),'width'=>8),
	'mtime'=>array('label'=>$lang->translate('mtime'),'width'=>8),
);
if($g_O->session->userdata('role')=='admin')
{
	//$config['list_header_fields']['user_id'] =  array('label'=>$lang->translate('user'),'width'=>'');
	$config['list_header_fields']['user_info'] =  array('label'=>$lang->translate('user'),'width'=>'','order'=>false);
}

$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);

if($g_O->session->userdata('role')=='admin')
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'listing_id'
	),
	'user'=>array(
		'operator'=>'join',
		'join_table'=>'users',
		'table'=>'listings',
		'join_field'=>'user_id',
		'join_query'=>"(##join_table##.name LIKE '%##q##%')"
	),
	'user_id'=>array(
		'operator'=>'='
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default'=>true
	),
	/*
	'type'=>array(
		'db_field'=>'listing_main_type'
	),*/
	'status'=>array(
		'db_field'=>'listing_status'
	),
	'featured'=>array(
		'operator'=>'=',
		'hidden'=>true
	),
	'highlight'=>array(
		'operator'=>'=',
		'hidden'=>true
	)
);
else
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'listing_id'
	),
	'title'=>array(
		'db_field'=>'title_'.$lang_key,
		'operator'=>'like',
		'is_default'=>true
	),
	'type'=>array(
		'db_field'=>'listing_main_type'
	),
	'status'=>array(
		'db_field'=>'listing_status'
	),
	'featured'=>array(
		'operator'=>'=',
		'hidden'=>true
	),
	'highlight'=>array(
		'operator'=>'=',
		'hidden'=>true
	)
);


$config['orderby'] = 'listing_id desc';

$conf_listing_main_type = $g_O->config->item('listing_main_type');//global config
$listing_main_type = array();
foreach ($conf_listing_main_type as $type) $listing_main_type[$type] = $g_O->lang->translate($type);

$check_inout_options = array(
	'00:00','01:00','02:00','03:00','04:00','05:00','06:00','07:00','08:00','09:00','10:00','11:00','12:00','13:00','14:00','15:00','16:00','17:00','18:00','19:00','20:00','21:00','22:00','23:00'
);

$config['form_fields'] = array(

	//general
	//-----------------------------------
	'user_id'=>array('label'=>$lang->translate('user'),'value'=>'','rules'=>'trim|required|numeric','options'=>array()),
	'user_id_autocomplete'=>array('value'=>''),
	
	'listing_main_type'=>array(
		'label'=>$lang->translate('listing_main_type'),'value'=>'rent','rules'=>'required',
		'options'=>$listing_main_type // to add more options. 1. main config / 2. alter table enum list
	),
	'stars'=>array( 'label'=>$lang->translate('stars'),'value'=>'','options'=>array()),
	
	'listing_type_id'=>array('label'=>$lang->translate('listing_type'),'value'=>'','rules'=>'required'),
	'listing_type_str'=>array('label'=>'','value'=>'','rules'=>''),
	
	'title_1'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'trim|required|strip_slashes|max_length[70]|htmlspecialchars','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes|max_length[70]|htmlspecialchars','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes|max_length[70]|htmlspecialchars','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes|max_length[70]|htmlspecialchars','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('listing_title'),'value'=>'','rules'=>'strip_slashes|max_length[70]|htmlspecialchars','xss'=>true),
	
	'summary_1'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|required|max_length[160]','xss'=>true),
	'summary_2'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|max_length[160]','xss'=>true),
	'summary_3'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|max_length[160]','xss'=>true),
	'summary_4'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|max_length[160]','xss'=>true),
	'summary_5'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>'trim|max_length[160]','xss'=>true),
	
	'description_1'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('listing_description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'keywords_1'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_2'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_3'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_4'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	'keywords_5'=>array('label'=>$lang->translate('keywords'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'multiple_units'=>array('label'=>$lang->translate('multiple_units'),'value'=>0,'rules'=>'required','options'=>array(
		0=>$lang->translate('no'),
		1=>$lang->translate('yes')
	)),
	'no_rooms'=>array('label'=>$lang->translate('number_rooms'),'value'=>'','rules'=>'numeric|is_natural'),
	'no_bedrooms'=>array( 'label'=>$lang->translate('number_bedrooms'),'value'=>'','rules'=>'numeric|intval|is_natural|required' ),
	'max_guests'=>array('label'=>$lang->translate('max_guests'),'value'=>'','rules'=>'numeric|required'),
	'max_adults'=>array('label'=>$lang->translate('max_adults'),'value'=>'','rules'=>'required|numeric|intval|is_natural'),
	'max_children'=>array('label'=>$lang->translate('max_children'),'value'=>'','rules'=>'numeric|intval|is_natural'),
	
	'no_bathrooms'=>array( 'label'=>$lang->translate('number_bathrooms'),'value'=>'','rules'=>'numeric|intval|is_natural|required'),
	

	
	//'price'=>array('label'=>$lang->translate('price'),'value'=>'','rules'=>'trim|required|numeric'),
	//'price_per_square'=>array('label'=>$lang->translate('price_per_square'),'value'=>'','rules'=>'trim|numeric'),
	
	//0-price negotiating is not possible / 1- possible
	//'price_status'=>array('label'=>'','value'=>0,'rules'=>''),
	//'upfront_payment'=>array('label'=>$lang->translate('upfront_payment'),'rules'=>'numeric'),
	'currency_id'=>array(),
	
	'available_from'=>array('label'=>$lang->translate('available_from'),'rules'=>'required'),
	'open_house_date'=>array('label'=>$lang->translate('open_house_date'),'rules'=>''),
	'open_house_hour_from'=>array('label'=>$lang->translate('open_house_hour_from'),'rules'=>''),
	'open_house_hour_to'=>array('label'=>$lang->translate('open_house_hour_from'),'rules'=>''),
	
	'total_square'=>array('label'=>$lang->translate('total_square'),'value'=>'','rules'=>'numeric'),
	'square_metrics'=>array(
		'label'=>'','value'=>'sqm','rules'=>'required',
		'options'=>array(
			'sqm'=>$lang->translate('sqm'),
			'sqf'=>$lang->translate('sqf'),
			/*'square_yards'=>$lang->translate('square_yards'),
			'acres'=>$lang->translate('acres'),
			'hectares'=>$lang->translate('hectares')*/
		)
	),
	
	'listing_status'=>array(
		'label'=>$lang->translate('listing_status'),
		'value'=>'active',
		'rules'=>'',
		'options'=>array(
			'inactive'=>$lang->translate('listing_status_inactive'),
			'active'=>$lang->translate('listing_status_active'),
			/*'pending'=>$lang->translate('listing_status_pending'),
			'sold'=>$lang->translate('listing_status_sold'),
			'withdrawn'=>$lang->translate('listing_status_withdrawn'),
			'active_contingent'=>$lang->translate('listing_status_active_contingent')*/
		)
	),// to add more options 1.add options 2. alter database enum list
	//general
	
	//location
	//-----------------------------------
	
	'location_id'=>array('label'=>'','value'=>'','rules'=>''),
	'location_str'=>array('label'=>'','value'=>'','rules'=>''),
	'address'=>array('label'=>$lang->translate('address'),'value'=>'','rules'=>'trim','xss'=>true),
	'zip_code'=>array('label'=>$lang->translate('zip_code'),'value'=>'','rules'=>'trim'),
	'lat'=>array('label'=>$lang->translate('lat'),'value'=>'','rules'=>'numeric'),
	'lng'=>array('label'=>$lang->translate('lng'),'value'=>'','rules'=>'numeric'),
	'zoom'=>array('label'=>$lang->translate('zoom'),'value'=>2,'rules'=>'numeric'),
	
	'neighborhood_1'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_2'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_3'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_4'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	'neighborhood_5'=>array('label'=>$lang->translate('neighborhood'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'directions_1'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_2'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_3'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_4'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	'directions_5'=>array('label'=>$lang->translate('directions'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'distances'=>array('label'=>$lang->translate('distances'),'value'=>'','rules'=>'', 'options'=>array(),
		'metrics'=>array(
			'km'=>$lang->translate('km'),
			'miles'=>$lang->translate('miles'),
			'meters'=>$lang->translate('meters'),
			'minutes'=>$lang->translate('minutes'),
		)
	),
	//end location
	
	//listing details
	//-----------------------------------
	'view_type'=>array( 'label'=>$lang->translate('view_type'),'value'=>'','rules'=>'','options'=>array()),
	'holiday_type'=>array('label'=>$lang->translate('holiday_type'),'value'=>'','rules'=>'','options'=>array()), 
	'board'=>array('label'=>$lang->translate('board'),'value'=>'','rules'=>'',
		'options'=>array( // should match the config from config_app.php
			'bed_and_breakfast'=>$lang->translate('board_bed_and_breakfast'),
			'half_board'=>$lang->translate('board_half_board'),
			'full_board'=>$lang->translate('board_full_board'),
			'all_inclusive'=>$lang->translate('board_all_inclusive'),
			'self_catered'=>$lang->translate('board_self_catered'),
			'catered'=>$lang->translate('board_catered')
		),
		'values'=>array()
	),
	'bedroom_options'=>array('label'=>$lang->translate('bedroom_options'),'value'=>'','rules'=>'','options'=>array()),
	'bathroom_options'=>array('label'=>$lang->translate('bathroom_options'),'value'=>'','rules'=>'','options'=>array()), 
	'access_options'=>array('label'=>$lang->translate('access_options'),'value'=>'','rules'=>'','options'=>array()),
	'car_essential'=>array('label'=>$lang->translate('car_essential'),'value'=>0,'rules'=>'','options'=>array(0=>$lang->translate('no'),1=>$lang->translate('yes'))),
	'mls'=>array('label'=>$lang->translate('mls'),'value'=>'','rules'=>'trim|alpha_dash'),
	'year_of_build'=>array('label'=>$lang->translate('year_of_build'),'value'=>'','rules'=>'numeric'),
	'no_half_bathrooms'=>array(
		'label'=>$lang->translate('number_half_bathrooms'),'value'=>'','rules'=>'numeric|intval'
	),
	'no_floors'=>array('label'=>$lang->translate('no_floors'),'value'=>'','rules'=>'numeric|intval'),
	'floor_number'=>array('label'=>$lang->translate('floor_number'),'value'=>'','rules'=>'numeric|intval'),
	
	'lot_size'=>array(
		'label'=>$lang->translate('lot_size'),'value'=>'','rules'=>''
	),
	
	'live_square'=>array('label'=>$lang->translate('live_square'),'value'=>'','rules'=>'numeric'),
	'land_square'=>array('label'=>$lang->translate('land_square'),'value'=>'','rules'=>'numeric'),
	'construction_type'=>array(//should match the config from config_app.php
		'label'=>$lang->translate('construction_type'),'value'=>'','rules'=>'','values'=>array(),
		'options'=>array(
			'brick_masonry'=>$lang->translate('construction_type_brick_masonry'),
			'large_area_shuttering'=>$lang->translate('construction_type_large_area_shuttering'),
			'climbing_shuttering'=>$lang->translate('construction_type_climbing_shuttering'),
			'panel'=>$lang->translate('construction_type_panel'),
			'trimmer_joists'=>$lang->translate('construction_type_trimmer_joists'),
			'metal_construction'=>$lang->translate('construction_type_metal_construction'),
			'wooden'=>$lang->translate('construction_type_wooden'),
			'monolith'=>$lang->translate('construction_type_monolith')
		)
	),
	'parking'=>array(
		'label'=>$lang->translate('parking'),'value'=>'','rules'=>'numeric|intval'
	),
	'parking_type'=>array(//should match the config from config_app.php
		'label'=>$lang->translate('garage_type'),'value'=>'','rules'=>'','values'=>array(),
		'options'=>array(
			'on_street'=>$lang->translate('parking_type_on_street'),
			'off_street'=>$lang->translate('parking_type_off_street'),
			'carport'=>$lang->translate('parking_type_carport'),
			'garage_attached'=>$lang->translate('parking_type_garage_attached'),
			'garage_detached'=>$lang->translate('parking_type_garage_detached'),
		)
	),
	'fireplace'=>array(// to add more options - alter listings table / fireplace field
		'label'=>$lang->translate('fireplace'),'value'=>'','rules'=>'',
		'options'=>array(
			'gas'=>$lang->translate('fireplace_gas'),
			'wood'=>$lang->translate('fireplace_wood'),
			'electric'=>$lang->translate('fireplace_electric'),
			'decorative'=>$lang->translate('fireplace_decorative')
		)
	),
	'heating_system'=>array(//should match config_app.php
		'label'=>$lang->translate('heating_system'),'value'=>'','rules'=>'','values'=>array(),
		'options'=>array(
			'gas'=>$lang->translate('heating_system_gas'),
			'electric'=>$lang->translate('heating_system_electric'),
			'radiant'=>$lang->translate('heating_system_radiant'),
			'baseboard'=>$lang->translate('heating_system_baseboard'),
			'forced_air'=>$lang->translate('heating_system_forced_air'),
			'heat_pump'=>$lang->translate('heating_system_heat_pump'),
			'stove'=>$lang->translate('heating_system_stove'),
			'wall'=>$lang->translate('heating_system_wall'),
			'other'=>$lang->translate('heating_system_other'),
		)
	),
	'orientation'=>array(
		'label'=>$lang->translate('orientation'),'value'=>'','rules'=>'',
		'options'=>array(
			'n'=>$lang->translate('orientation_n'),
			's'=>$lang->translate('orientation_s'),
			'e'=>$lang->translate('orientation_e'),
			'w'=>$lang->translate('orientation_w'),
			'ne'=>$lang->translate('orientation_ne'),
			'nw'=>$lang->translate('orientation_nw'),
			'se'=>$lang->translate('orientation_se'),
			'sw'=>$lang->translate('orientation_sw')
		)
	),
	//--end listing details
	
	//Policies
	//-----------------------------------------------------------------------------------------
	'check_in'=>array('label'=>$lang->translate('check_in'),'value'=>'14:00','rules'=>'','options'=>$check_inout_options),
	'check_out'=>array('label'=>$lang->translate('check_out'),'value'=>'12:00','rules'=>'','options'=>$check_inout_options),
	'terms_and_conditions_1'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>'','rules'=>'trim','xss'=>true),
	'terms_and_conditions_2'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>'','rules'=>'trim','xss'=>true),
	'terms_and_conditions_3'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>'','rules'=>'trim','xss'=>true),
	'terms_and_conditions_4'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>'','rules'=>'trim','xss'=>true),
	'terms_and_conditions_5'=>array('label'=>$lang->translate('terms_and_conditions'),'value'=>'','rules'=>'trim','xss'=>true),
	'policies_1'=>array('label'=>$lang->translate('policies'),'value'=>'','rules'=>'trim','xss'=>true),
	'policies_2'=>array('label'=>$lang->translate('policies'),'value'=>'','rules'=>'trim','xss'=>true),
	'policies_3'=>array('label'=>$lang->translate('policies'),'value'=>'','rules'=>'trim','xss'=>true),
	'policies_4'=>array('label'=>$lang->translate('policies'),'value'=>'','rules'=>'trim','xss'=>true),
	'policies_5'=>array('label'=>$lang->translate('policies'),'value'=>'','rules'=>'trim','xss'=>true),
	'rental_price_term'=>array(
		'label'=>$lang->translate('rental_price_term'),'value'=>'','rules'=>'',
		'options'=>array(
			'night'=>$lang->translate('night'),
			'week'=>$lang->translate('week'),
			'month'=>$lang->translate('month'),
			'year'=>$lang->translate('year')
		)
	),
	'lease_type'=>array(
		'label'=>$lang->translate('lease_type'),'value'=>'','rules'=>'',
		'options'=>array(
			'sublet'=>$lang->translate('lease_type_sublet'),
			'month_to_month'=>$lang->translate('lease_type_month_to_month'),
			'six_months'=>$lang->translate('lease_type_six_months'),
			'annual'=>$lang->translate('lease_type_annual'),
			'bi_annual'=>$lang->translate('lease_type_bi_annual'),
			'rent_to_own'=>$lang->translate('lease_type_rent_to_own')
		)
	),
	'payment_options'=>array('label'=>$lang->translate('payment_options'),'value'=>'','rules'=>'','xss'=>true,'options'=>array(
		'cc_visa'=>$lang->translate('payment_options_cc_visa'),
		'cc_maestro'=>$lang->translate('payment_options_cc_maestro'),
		'cc_mastercard'=>$lang->translate('payment_options_cc_mastercard'),
		'cc_american_express'=>$lang->translate('payment_options_cc_american_express'),
		'cc_discover'=>$lang->translate('payment_options_cc_discover'),
		'paypal'=>$lang->translate('payment_options_paypal'),
		'cash'=>$lang->translate('payment_options_cash'),
		'wire_transfer'=>$lang->translate('payment_options_wire_transfer'),
		'western_union'=>$lang->translate('payment_options_western_union'),
		'checks'=>$lang->translate('payment_options_checks'),
		'echeck'=>$lang->translate('payment_options_echeck')
		),
		'values'=>array()
	),
	
	'lease_details_1'=>array('label'=>$lang->translate('lease_details'),'value'=>'','rules'=>'trim','xss'=>true),
	'lease_details_2'=>array('label'=>$lang->translate('lease_details'),'value'=>'','rules'=>'trim','xss'=>true),
	'lease_details_3'=>array('label'=>$lang->translate('lease_details'),'value'=>'','rules'=>'trim','xss'=>true),
	'lease_details_4'=>array('label'=>$lang->translate('lease_details'),'value'=>'','rules'=>'trim','xss'=>true),
	'lease_details_5'=>array('label'=>$lang->translate('lease_details'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'security_deposit_description_1'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'security_deposit_description_2'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'security_deposit_description_3'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'security_deposit_description_4'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'security_deposit_description_5'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'suitability'=>array('label'=>$lang->translate('suitability'),'value'=>'','rules'=>'',
		'options'=>array(
			'longterm'=>array(
				'label'=>$lang->translate('suitability_longterm'),
				'options'=>array(
					0=>$lang->translate('suitability_longterm_0'),//not suitable
					1=>$lang->translate('suitability_longterm_1')//yes 
				),
				'value'=>0
			),
			'children'=>array(
				'label'=>$lang->translate('suitability_children'),
				'options'=>array(
					0=>$lang->translate('suitability_children_0'),//not suitable
					1=>$lang->translate('suitability_children_1'),//yes 
					2=>$lang->translate('suitability_children_2'),//not suitable under 5
				),
				'value'=>1
			),
			'eldery'=>array(
				'label'=>$lang->translate('suitability_eldery'),
				'options'=>array(
					0=>$lang->translate('suitability_eldery_0'),//not suitable
					1=>$lang->translate('suitability_eldery_1'),//yes
				),
				'value'=>0
			),
			'wheelchair'=>array(
				'label'=>$lang->translate('suitability_wheelchair'),
				'options'=>array(
					0=>$lang->translate('suitability_wheelchair_0'),//no
					1=>$lang->translate('suitability_wheelchair_1'),//yes
				),
				'value'=>0
			),
			'pets'=>array(
				'label'=>$lang->translate('suitability_pets'),
				'options'=>array(
					0=>$lang->translate('suitability_pets_0'),//no
					1=>$lang->translate('suitability_pets_1'),//yes
					2=>$lang->translate('suitability_pets_2'),//yes, some pets
				),
				'value'=>0
			),
			'smoke'=>array(
				'label'=>$lang->translate('suitability_smoke'),
				'options'=>array(
					0=>$lang->translate('suitability_smoke_0'),//no
					1=>$lang->translate('suitability_smoke_1')//yes
				),
				'value'=>0
			)
		)
	),
	'suitability_description_1'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'suitability_description_2'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'suitability_description_3'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'suitability_description_4'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'suitability_description_5'=>array('label'=>$lang->translate('security_deposit_description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	//end rental terms
	
	/*start utilities,facilities*/
	'utilities'=>array('label'=>$lang->translate('utilities'),'value'=>'','rules'=>''),
	'facilities_general'=>array('label'=>$lang->translate('facilities_general'),'value'=>'','rules'=>''),
	'facilities_indoor'=>array('label'=>$lang->translate('facilities_indoor'),'value'=>'','rules'=>''),
	'facilities_outdoor'=>array('label'=>$lang->translate('facilities_outdoor'),'value'=>'','rules'=>''),
	'activities_local'=>array('label'=>$lang->translate('activities_local'),'value'=>'','rules'=>'', 'options'=>array()),
	'activities_other'=>array('label'=>$lang->translate('activities_other'),'value'=>'','rules'=>'', 'options'=>array(),
		'metrics'=>array(
			'km'=>$lang->translate('km'),
			'miles'=>$lang->translate('miles'),
			'meters'=>$lang->translate('meters'),
			'minutes'=>$lang->translate('minutes'),
		)
	),
	'services'=>array('label'=>$lang->translate('services'),'value'=>'','rules'=>''),
	/*
	'furniture'=>array(
		'label'=>$lang->translate('furniture'),'value'=>'','rules'=>'',
		'options'=>array(
			-1=>$lang->translate('none'),
			1=>$lang->translate('furnitured')
		)
	),*/
	
	'energy'=>array(
		'label'=>$lang->translate('energy'),'value'=>'','rules'=>'',
		'options'=>$g_O->config->item('energy')
	),
	'energy_description_1'=>array('label'=>$lang->translate('energy_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'energy_description_2'=>array('label'=>$lang->translate('energy_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'energy_description_3'=>array('label'=>$lang->translate('energy_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'energy_description_4'=>array('label'=>$lang->translate('energy_description'),'value'=>'','rules'=>'trim','xss'=>true),
	'energy_description_5'=>array('label'=>$lang->translate('energy_description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	//seo
	'seo_title_1'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_2'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_3'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_4'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_title_5'=>array('label'=>$lang->translate('seo_title'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_1'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_2'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_3'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_4'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_description_5'=>array('label'=>$lang->translate('seo_description'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_1'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_2'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_3'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_4'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	'seo_keywords_5'=>array('label'=>$lang->translate('seo_keywords'),'value'=>'','rules'=>'','xss'=>true),
	
	'notes'=>array('label'=>$lang->translate('notes'),'value'=>'','rules'=>'trim','xss'=>true)
	
);

//stars
for ($i=0;$i<=5;$i++)
{
	$config['form_fields']['stars']['options'][$i] = $i.' '.$lang->translate('stars');
}

//completes the location fields
for($i=1;$i<=$g_O->config->item('number_levels','location_levels');$i++)
$config['form_fields']['location_'.$i] = array(
	'label'=>$lang->translate('choose_'.$g_O->config->item('location_'.$i)),'value'=>'','rules'=>'','options'=>array()
);
//used in form
$config['form_fields']['location_id']['params'] = array(
	'number_levels'=>$g_O->config->item('number_levels','location_levels'),
	'levels'=>$g_O->config->item('levels','location_levels')
);

$config['form_data_fields'] = array(
	'user_id',
	'stars',
	'listing_main_type',
	'listing_type_id',
	'listing_type_str',
	'title_1','title_2','title_3','title_4','title_5',
	'summary_1','summary_2','summary_3','summary_4','summary_5',
	'description_1','description_2','description_3','description_4','description_5',
	'keywords_1','keywords_2','keywords_3','keywords_4','keywords_5',
	'multiple_units',
	'no_rooms','no_bedrooms','no_bathrooms','no_half_bathrooms','max_guests','max_adults','max_children',
	
	'price','price_per_square','price_status','currency_id','upfront_payment',
	'available_from','open_house_date','open_house_hour_from','open_house_hour_to',
	'listing_status',
	
	'location_id','location_str','address','zip_code','lat','lng','zoom',
	'neighborhood_1','neighborhood_2','neighborhood_3','neighborhood_4','neighborhood_5',
	'directions_1','directions_2','directions_3','directions_4','directions_5',
	'distances',
	
	'view_type',
	'holiday_type',
	'board',
	'bedroom_options','bathroom_options','access_options',
	'activities_local','activities_other','services',
	'access_options','car_essential',
	'mls',
	'year_of_build','construction_type',
	'no_floors','floor_number',

	'square_metrics','live_square','total_square','land_square','lot_size',
	//'garage','garage_type',
	'parking','parking_type',
	'fireplace','heating_system', 'orientation',
	 
	'check_in','check_out',
	'rental_price_term',
	'lease_type',
	'payment_options',
	'lease_details_1','lease_details_2','lease_details_3','lease_details_4','lease_details_5',
	'security_deposit_description_1','security_deposit_description_2','security_deposit_description_3','security_deposit_description_4','security_deposit_description_5',
	'suitability',
	'suitability_description_1','suitability_description_2','suitability_description_3','suitability_description_4','suitability_description_5',
	'policies_1','policies_2','policies_3','policies_4','policies_5',
	'terms_and_conditions_1','terms_and_conditions_2','terms_and_conditions_3','terms_and_conditions_4','terms_and_conditions_5',
	 
	'utilities','facilities_general','facilities_indoor','facilities_outdoor',
	'energy','energy_description_1','energy_description_2','energy_description_3','energy_description_4','energy_description_5',
	//seo
	'seo_title_1','seo_title_2','seo_title_3','seo_title_4','seo_title_5',
	'seo_description_1','seo_description_2','seo_description_3','seo_description_4','seo_description_5',
	'seo_keywords_1','seo_keywords_2','seo_keywords_3','seo_keywords_4','seo_keywords_5',
	'notes'
);

$config['listing_menu'] = array(
	'listings_list'=>array(
		'label'=>$lang->translate('listings_list'),
		'extra_info'=>'',
		'href'=>'#',
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_list'
	),
	'overview'=>array(
		'label'=>$lang->translate('listing_overview'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_edit'
	),
	'media'=>array(
		'label'=>$lang->translate('listing_media'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_media',
		'submenu'=>array(
			'photos'=>array(
				'label'=>$lang->translate('listing_photos'),
				'extra_info'=>'',
				'href'=>'#',
				'active'=>0,
				'current'=>0,
				'visible'=>0,
				'ico'=>'btn_photo'
			),
			'videos'=>array(
				'label'=>$lang->translate('listing_videos'),
				'extra_info'=>'',
				'href'=>'#',
				'active'=>0,
				'current'=>0,
				'visible'=>0,
				'ico'=>'btn_video'
			)
		)
	),
	'units'=>array(
		'label'=>$lang->translate('listing_units'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>0,
		'ico'=>'btn_units'
	),
	'payment'=>array(
		'label'=>$lang->translate('payment'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_coin',
		'submenu'=>array(
			'rates'=>array(
				'label'=>$lang->translate('rates'),
				'extra_info'=>'',
				'href'=>'#',
				'active'=>0,
				'current'=>0,
				'visible'=>0,
				'ico'=>'btn_rates'
			),
			'addons'=>array(
				'label'=>$lang->translate('addons'),
				'extra_info'=>'',
				'href'=>'#',
				'active'=>0,
				'current'=>0,
				'visible'=>0,
				'ico'=>'btn_addons'
			),
			'discounts'=>array(
				'label'=>$lang->translate('discounts'),
				'extra_info'=>'',
				'href'=>'#',
				'active'=>0,
				'current'=>0,
				'visible'=>0,
				'ico'=>'btn_discounts'
			)
		)
	),
	'availability'=>array(
		'label'=>$lang->translate('listing_availability'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>0,
		'ico'=>'btn_calendar'
	),
	'paid_services'=>array(
		'label'=>$lang->translate('paid_services'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_paidservices'
	),
	'settings'=>array(
		'label'=>$lang->translate('settings'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>1,
		'ico'=>'btn_settings'
	),
	'preview'=>array(
		'label'=>$lang->translate('preview'),
		'extra_info'=>'',
		'href'=>'#',
		'active'=>0,
		'current'=>0,
		'visible'=>0,
		'other'=>'id="previewlisting"',
		'ico'=>'btn_preview'
	)
);

# PHOTOS
#------------------------------------------------------------------------------------------------------------
$config['photos_list_header_fields'] = array(
	'listing_photo_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5,'order'=>false),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>8,'order'=>false,'editable'=>true,'editable_section'=>'listing_photos'),
	'listing_photo_file'=>array('label'=>$lang->translate('photo'),'width'=>8,'order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>'listing_photos','order'=>false)
);
$config['photos_form_fields'] = array(
	'ctime'=>array('label'=>$lang->translate('ctime'),'value'=>date('Y-m-d H:i:s'),'rules'=>''),
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric'),
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	
	'listing_photo_file'=>array('label'=>'','value'=>'','rules'=>'','values'=>array()),
	'listing_photo_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	//uploadify
	'token'=>array(),
	
	'x'=>array('label'=>'','value'=>'','rules'=>''),
	'y'=>array('label'=>'','value'=>'','rules'=>''),
	
	'width'=>array('label'=>$lang->translate('width'),'value'=>'400','rules'=>'numeric'),
	'height'=>array('label'=>$lang->translate('height'),'value'=>'400','rules'=>'numeric'),
	
	'img_options'=>array('label'=>'','value'=>'','rules'=>''),
	'ctime'=>array('label'=>'','value'=>'','rules'=>''),
	
	'o_width'=>array('value'=>''),
	'o_height'=>array('value'=>'')
	
);
$config['photos_db_fields'] = array();
$config['photos_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['photos_form_data_fields'] = array(
	'listing_id','ctime',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'active','listing_photo_file','width','height',
	'delete_file'
);

$config['photos_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/listing_photos/',
	'upload_subdir'=>upload_subdir_p(),
	'allowed_types'=>'jpg|jpeg|png|gif',
	'max_size'=>$g_O->config->item('upload_max_filesize'), //KB
	'max_width'=>2000,//$g_O->config->item('upload_max_px'),
	'max_height'=>2000//$g_O->config->item('upload_max_px')
);
$config['photos_form_fields']['listing_photo_file_upload']['options'] = array(
	'max_size'=>$config['photos_upload']['max_size']!=0?$config['photos_upload']['max_size']:'&#8734;',
	'max_size_wxh'=>($config['photos_upload']['max_width'].' &times; '.$config['photos_upload']['max_height'].' px'),
	'allowed_types'=>implode(', ',explode('|',$config['photos_upload']['allowed_types'])),
	'max_size_uploadify'=>(1024*$config['photos_upload']['max_size']),
	'allowed_types_uploadify'=>"*.jpg;*.jpeg;*.png;*.gif",
	'i_width'=>1024,
	'i_height'=>768
);

$config['crop'] = array(
	'source_image'=>PUBLIC_PATH.'upload/listing_photos/%s',
	'new_image'=>PUBLIC_PATH.'upload/listing_photos/%s',
	'x_axis'=>'',
	'y_axis'=>'',
	'width'=>'',
	'height'=>'',
	'quality'=>100
);

$config['rotate'] = array(
	'source_image'=>PUBLIC_PATH.'upload/listing_photos/%s',
	'rotation_angle'=>90,
	'quality'=>100
);
 

# VIDEOS
#------------------------------------------------------------------------------------------------------------
$config['videos_list_header_fields'] = array(
	'listing_video_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5,'order'=>false),
	'hierarchy'=>array('label'=>$lang->translate('hierarchy'),'width'=>10,'order'=>false),
	//'listing_video_file'=>array('label'=>$lang->translate('video'),'width'=>8),
	//'embed_'.$lang_key=>array('label'=>$lang->translate('embed'),'width'=>''),
	'video'=>array('label'=>$lang->translate('video'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','editable'=>true,'editable_section'=>'listing_videos','order'=>false)
);
$config['videos_form_fields'] = array(
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric'),
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_1'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_2'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_3'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_4'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'description_5'=>array('label'=>$lang->translate('description'),'value'=>'','rules'=>'trim','xss'=>true),
	'embed_1'=>array('label'=>$lang->translate('embed'),'value'=>'','rules'=>'trim','xss'=>false),
	'embed_2'=>array('label'=>$lang->translate('embed'),'value'=>'','rules'=>'trim','xss'=>false),
	'embed_3'=>array('label'=>$lang->translate('embed'),'value'=>'','rules'=>'trim','xss'=>false),
	'embed_4'=>array('label'=>$lang->translate('embed'),'value'=>'','rules'=>'trim','xss'=>false),
	'embed_5'=>array('label'=>$lang->translate('embed'),'value'=>'','rules'=>'trim','xss'=>false),
	'listing_video_file'=>array('label'=>'','value'=>'','rules'=>''),
	'listing_video_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'video_type'=>array('label'=>$lang->translate('video_type'),'value'=>'embed','rules'=>'required'),
	//uploadify
	'token'=>array(),
	//poster
	'poster_file'=>array('label'=>'','value'=>'','rules'=>''),
	'poster_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'delete_poster'=>array(),
	'ctime'=>array('label'=>'','value'=>date('Y-m-d H:i:s'),'rules'=>'')
);
$config['videos_db_fields'] = array();
$config['videos_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['videos_form_data_fields'] = array(
	'listing_id',
	'title_1','title_2','title_3','title_4','title_5',
	'description_1','description_2','description_3','description_4','description_5',
	'embed_1','embed_2','embed_3','embed_4','embed_5',
	'active','listing_video_file','video_type','poster_file'
);
$config['videos_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/listing_videos/',
	'allowed_types'=>'mp4',
	'max_size'=>$g_O->config->item('upload_max_filesize') //KB
);

if($g_O->config->item('active','ffmpeg')) $config['videos_upload']['allowed_types'] = 'mp4|mov|avi|flv';

$config['videos_form_fields']['listing_video_file_upload']['options'] = array(
	'max_size'=>$config['videos_upload']['max_size']!=0?$config['videos_upload']['max_size']:'&#8734;',
	'allowed_types'=>implode(', ',explode('|',$config['videos_upload']['allowed_types'])),
	'max_size_uploadify'=>(1024*$config['photos_upload']['max_size']),
	'allowed_types_uploadify'=>"*.mp4;*.flv;*.avi;*.mov",
	'allowed_types_no_process'=>implode(', ',explode('|',str_replace(array('|avi','|mov','|flv'),array('',''),$config['videos_upload']['allowed_types']))),
);

if(!$g_O->config->item('active','ffmpeg')) $config['videos_form_fields']['listing_video_file_upload']['options']['allowed_types_uploadify'] = '*.mp4';

//
$config['posters_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/posters/',
	'upload_subdir'=>upload_subdir_p(),
	'allowed_types'=>'jpg|jpeg|png|gif',
	'max_size'=>0, //KB
	'max_width'=>1024,
	'max_height'=>768
);
$config['videos_form_fields']['poster_file_upload']['options'] = array(
	'max_size'=>$config['posters_upload']['max_size']!=0?$config['posters_upload']['max_size']:'&#8734;',
	'max_size_wxh'=>($config['posters_upload']['max_width'].' &times; '.$config['posters_upload']['max_height'].' px'),
	'allowed_types'=>implode(', ',explode('|',$config['posters_upload']['allowed_types']))
);
//

# Units
#------------------------------------------------------------------------------------------------------------
$config['units_list_header_fields'] = array(
	'unit_id'=>array('label'=>'#','width'=>5,'order'=>false),
	'listing_status'=>array('label'=>$lang->translate('unit_status'),'width'=>5,'order'=>false),
	'unit_type_id'=>array('label'=>$lang->translate('unit_type'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','order'=>false)
);
$config['units_form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'summary_1'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>''),
	'summary_2'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>''),
	'summary_3'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>''),
	'summary_4'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>''),
	'summary_5'=>array('label'=>$lang->translate('summary'),'value'=>'','rules'=>''),
	'listing_status'=>array(
		'label'=>$lang->translate('unit_status'),
		'value'=>'active',
		'rules'=>'',
		'options'=>array(
			'inactive'=>$lang->translate('listing_status_inactive'),
			'active'=>$lang->translate('listing_status_active')
		)
	),
	'unit_type_id'=>array('label'=>$lang->translate('unit_type'),'value'=>'','rules'=>'trim|required'),
	'no_rooms'=>array('label'=>$lang->translate('number_rooms'),'value'=>'','rules'=>'numeric|is_natural'),
	'no_bedrooms'=>array( 'label'=>$lang->translate('number_bedrooms'),'value'=>'','rules'=>'numeric|is_natural' ),
	'max_guests'=>array('label'=>$lang->translate('max_guests'),'value'=>'','rules'=>''),
	'max_adults'=>array('label'=>$lang->translate('max_adults'),'value'=>'','rules'=>'required|numeric|is_natural'),
	'max_children'=>array('label'=>$lang->translate('max_children'),'value'=>'','rules'=>'numeric|is_natural'),
	'no_bathrooms'=>array( 'label'=>$lang->translate('number_bathrooms'),'value'=>'','rules'=>'numeric|is_natural'),
	'no_half_bathrooms'=>array( 'label'=>$lang->translate('number_half_bathrooms'),'value'=>'','rules'=>'numeric|is_natural'),
	'bedroom_options'=>array('label'=>$lang->translate('bedroom_options'),'value'=>'','rules'=>''),
	'bathroom_options'=>array('label'=>$lang->translate('bathroom_options'),'value'=>'','rules'=>'')
);

$config['units_db_fields'] = array();
$config['units_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['units_form_data_fields'] = array(
	'title_1','title_2','title_3','title_4','title_5',
	'summary_1','summary_2','summary_3','summary_4','summary_5',
	'listing_id',
	'listing_status',
	'unit_type_id',
	'no_rooms','no_bedrooms','no_bathrooms','no_half_bathrooms','max_adults','max_guests','max_children',
	'bedroom_options','bathroom_options'
);

# RATES
#------------------------------------------------------------------------------------------------------------
$config['rates_list_header_fields'] = array(
	'rate_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5,'order'=>false),
	'unit_type_id'=>array('label'=>$lang->translate('unit_type'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','order'=>false),
	'start_date'=>array('label'=>$lang->translate('start_date'),'width'=>10,'order'=>false),
	'end_date'=>array('label'=>$lang->translate('end_date'),'width'=>10,'order'=>false),
	'nightly_rate'=>array('label'=>$lang->translate('nightly_rate'),'width'=>'','order'=>false),
	'nightly_rate_weekend'=>array('label'=>$lang->translate('nightly_rate_weekend'),'width'=>'','order'=>false),
	'weekly_rate'=>array('label'=>$lang->translate('weekly_rate'),'width'=>'','order'=>false),
	'monthly_rate'=>array('label'=>$lang->translate('monthly_rate'),'width'=>'','order'=>false),
	'min_stay'=>array('label'=>$lang->translate('min_stay'),'width'=>'','order'=>false),
	'changeover_day'=>array('label'=>$lang->translate('changeover'),'width'=>8,'order'=>false)
);
$config['rates_form_fields'] = array(
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric'),
	'start_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'required'),
	'end_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'required|date_greater_than[start_date]'),
	'currency_id'=>array(),
	'nightly_rate'=>array('label'=>$lang->translate('nightly_rate'),'value'=>'','rules'=>'required|numeric'),
	'nightly_rate_weekend'=>array('label'=>$lang->translate('nightly_rate_weekend'),'value'=>'','rules'=>'numeric'),
	'weekly_rate'=>array('label'=>$lang->translate('weekly_rate'),'value'=>'','rules'=>'numeric'),
	'monthly_rate'=>array('label'=>$lang->translate('monthly_rate'),'value'=>'','rules'=>'numeric'),
	'min_stay'=>array('label'=>$lang->translate('min_stay'),'value'=>'','rules'=>'',
		'options'=>array(
			1=>"1 ".$lang->translate('night'),
			2=>"2 ".$lang->translate('nights'),
			3=>"3 ".$lang->translate('nights'),
			4=>"4 ".$lang->translate('nights'),
			5=>"5 ".$lang->translate('nights'),
			6=>"6 ".$lang->translate('nights'),
			7=>"7 ".$lang->translate('nights'),
			14=>"14 ".$lang->translate('nights'),
			21=>"21 ".$lang->translate('nights'),
			28=>"28 ".$lang->translate('nights'),
			56=>"56 ".$lang->translate('nights'),
			64=>"64 ".$lang->translate('nights')
		)
	),
	'changeover_day'=>array(
		'label'=>$lang->translate('changeover_day'),'value'=>-1,'rules'=>'',
		'options'=>array()
	),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'special_offer'=>array('label'=>$lang->translate('special_offer'),'value'=>0,'rules'=>''),
	'persons'=>array('label'=>$lang->translate('persons'),'value'=>2,'rules'=>'trim|numeric|intval'),
	'extra_person_price_night'=>array('label'=>$lang->translate('extra_person_price_night'),'value'=>0,'rules'=>'trim|numeric'),
	'extra_person_price_week'=>array('label'=>$lang->translate('extra_person_price_week'),'value'=>0,'rules'=>'trim|numeric'),
	'extra_person_price_month'=>array('label'=>$lang->translate('extra_person_price_month'),'value'=>0,'rules'=>'trim|numeric'),
	'rate_overwrite'=>array('label'=>$lang->translate('rate_overwrite'),'value'=>0,'rules'=>''),
	'unit_type_id'=>array('label'=>$lang->translate('unit_type'),'value'=>'','rules'=>'')
);
//add changeover days
$lang->load('date_time');
$day_names = array('sun', 'mon', 'tue', 'wed', 'thu', 'fri', 'sat');
for($i=0;$i<7;$i++) $config['rates_form_fields']['changeover_day']['options'][$i]= $lang->translate($day_names[$i]).' - '.$lang->translate('any');
$config['rates_form_fields']['changeover_day']['options'][-999] = "------------------------";
for($i=7;$i<14;$i++)
	$config['rates_form_fields']['changeover_day']['options'][$i]= $lang->translate($day_names[$i-7]).' - '.$lang->translate($day_names[$i-7]);
	


$config['rates_db_fields'] = array();
$config['rates_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['rates_form_data_fields'] = array(
	'title_1','title_2','title_3','title_4','title_5',
	'listing_id',
	'active',
	'start_date','end_date',
	'nightly_rate','nightly_rate_weekend','weekly_rate','monthly_rate','min_stay','special_offer','changeover_day',
	'persons','extra_person_price_night','extra_person_price_week','extra_person_price_month','rate_overwrite','unit_type_id'
);

# ADDONS
#------------------------------------------------------------------------------------------------------------
$config['addons_list_header_fields'] = array(
	'addon_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5,'order'=>false),
	'addon_type'=>array('label'=>$lang->translate('addon_type'),'width'=>'','order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','order'=>false),
	'price'=>array('label'=>$lang->translate('price'),'width'=>5,'order'=>false),
	'charge_type'=>array('label'=>$lang->translate('charge_type'),'width'=>10,'order'=>false)
);
$config['addons_form_fields'] = array(
	//addons
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>'trim|required'),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'price'=>array('label'=>$lang->translate('price'),'value'=>'','rules'=>'trim|required|numeric_or_percent'),
	'charge_type'=>array(
		'label'=>$lang->translate('charge_type'),'value'=>'','rules'=>'required',
		'options'=>array(
			'onetime_person'=>$lang->translate('charge_type_onetime_person'),
			'onetime_listing'=>$lang->translate('charge_type_onetime_listing'),
			'daily_person'=>$lang->translate('charge_type_daily_person'),
			'daily_listing'=>$lang->translate('charge_type_daily_listing'),
			'weekly_person'=>$lang->translate('charge_type_weekly_person'),
			'weekly_listing'=>$lang->translate('charge_type_weekly_listing'),
			'monthly_person'=>$lang->translate('charge_type_monthly_person'),
			'monthly_listing'=>$lang->translate('charge_type_monthly_listing')
		)
	),
	'addon_type'=>array(
		'label'=>$lang->translate('addon_type'),'value'=>'','rules'=>'required',
		'options'=>array(
			'mandatory'=>$lang->translate('addon_type_mandatory'),
			'optional'=>$lang->translate('addon_type_optional'),
			'info'=>$lang->translate('addon_type_info')
		)
	)	
);


$config['addons_db_fields'] = array();
$config['addons_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['addons_form_data_fields'] = array(
	'title_1','title_2','title_3','title_4','title_5',
	'active','price','charge_type','addon_type'
);

# DISCOUNTS
#------------------------------------------------------------------------------------------------------------

$config['discounts_list_header_fields'] = array(
	'discount_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5,'order'=>false),
	'start_date'=>array('label'=>$lang->translate('start_date'),'width'=>10,'order'=>false),
	'end_date'=>array('label'=>$lang->translate('end_date'),'width'=>10,'order'=>false),
	'title_'.$lang_key=>array('label'=>$lang->translate('title'),'width'=>'','order'=>false),
	'persons'=>array('label'=>$lang->translate('persons'),'width'=>10,'order'=>false),
	'discount_night'=>array('label'=>$lang->translate('discount').' >=1'.$lang->translate('night'),'width'=>10,'order'=>false),
	'discount_week'=>array('label'=>$lang->translate('discount').' >=1'.$lang->translate('week'),'width'=>10,'order'=>false),
	'discount_month'=>array('label'=>$lang->translate('discount').' >=1'.$lang->translate('month'),'width'=>10,'order'=>false)
);
$config['discounts_db_fields'] = array();
$config['discounts_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['discounts_form_fields'] = array(
	//discounts
	'title_1'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_2'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_3'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_4'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'title_5'=>array('label'=>$lang->translate('title'),'value'=>'','rules'=>''),
	'start_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'required'),
	'end_date'=>array('label'=>$lang->translate('start_date'),'value'=>'','rules'=>'required|date_greater_than[start_date]'),
	'discount_night'=>array('label'=>$lang->translate('discount').' /'.$lang->translate('night'),'rules'=>'numeric_or_percent','value'=>''),
	'discount_week'=>array('label'=>$lang->translate('discount').' /'.$lang->translate('week'),'rules'=>'numeric_or_percent','value'=>''),
	'discount_month'=>array('label'=>$lang->translate('discount').' /'.$lang->translate('month'),'rules'=>'numeric_or_percent','value'=>''),
	'persons'=>array('label'=>$lang->translate('persons'),'value'=>2,'rules'=>'numeric|intval'),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	
	//settings
	'discount_children'=>array('label'=>$lang->translate('discount_children'),'value'=>'0','rules'=>'','xss'=>true,'form_2'=>true),//form_2 tell the script it's a field from form 2.
	/* not used anymore
	'discount_early_booking'=>array('label'=>$lang->translate('discount_early_booking'),'value'=>'0','rules'=>'','xss'=>true,'form_2'=>true),
	'discount_early_booking_days'=>array('label'=>$lang->translate('discount_early_booking_days'),'value'=>'','rules'=>'',
		'options'=>array(
			2 => "2 ". $lang->translate('days'),
			3 => "3 ". $lang->translate('days'),
			4 => "4 ". $lang->translate('days'),
			5 => "5 ". $lang->translate('days'),
			6 => "6 ". $lang->translate('days'),
			7 => "7 ". $lang->translate('days'),
			8 => "8 ". $lang->translate('days'),
			9 => "9 ". $lang->translate('days'),
			10 => "10 ". $lang->translate('days'),
			11 => "11 ". $lang->translate('days'),
			12 => "12 ". $lang->translate('days'),
			13 => "13 ". $lang->translate('days'),
			14 => "14 ". $lang->translate('days'),
			15 => "15 ". $lang->translate('days'),
			20 => "20 ". $lang->translate('days'),
			25 => "25 ". $lang->translate('days'),
			30 => "1 ". $lang->translate('month'),
			60 => "2 ". $lang->translate('months'),
			90 => "3 ". $lang->translate('months'),
			120 => "4 ". $lang->translate('months'),
			150 => "5 ". $lang->translate('months'),
			180 => "6 ". $lang->translate('months'),
			210 => "7 ". $lang->translate('months'),
			240 => "8 ". $lang->translate('months'),
			270 => "9 ". $lang->translate('months'),
			300 => "10 ". $lang->translate('months'),
			330 => "11 ". $lang->translate('months'),
			360 => "1 ". $lang->translate('year')
		),'form_2'=>true
	),
	*/
	'discounts_early_booking'=>array('label'=>$lang->translate('discount_early_booking'),'value'=>'','values'=>array(),'options'=>array(),'form_2'=>true),
	'discount_early_booking'=>array('form_2'=>true),
	'discount_early_booking_days'=>array(
		'options'=>array(
			2 => "2 ". $lang->translate('days'),
			3 => "3 ". $lang->translate('days'),
			4 => "4 ". $lang->translate('days'),
			5 => "5 ". $lang->translate('days'),
			6 => "6 ". $lang->translate('days'),
			7 => "7 ". $lang->translate('days'),
			8 => "8 ". $lang->translate('days'),
			9 => "9 ". $lang->translate('days'),
			10 => "10 ". $lang->translate('days'),
			11 => "11 ". $lang->translate('days'),
			12 => "12 ". $lang->translate('days'),
			13 => "13 ". $lang->translate('days'),
			14 => "14 ". $lang->translate('days'),
			15 => "15 ". $lang->translate('days'),
			20 => "20 ". $lang->translate('days'),
			25 => "25 ". $lang->translate('days'),
			30 => "1 ". $lang->translate('month'),
			60 => "2 ". $lang->translate('months'),
			90 => "3 ". $lang->translate('months'),
			120 => "4 ". $lang->translate('months'),
			150 => "5 ". $lang->translate('months'),
			180 => "6 ". $lang->translate('months'),
			210 => "7 ". $lang->translate('months'),
			240 => "8 ". $lang->translate('months'),
			270 => "9 ". $lang->translate('months'),
			300 => "10 ". $lang->translate('months'),
			330 => "11 ". $lang->translate('months'),
			360 => "1 ". $lang->translate('year')
		),
		'form_2'=>true
	),
	/* not used anymore
	'discount_long_stay'=>array('label'=>$lang->translate('discount_long_stay'),'value'=>'0','rules'=>'','xss'=>true,'form_2'=>true),
	'discount_long_stay_days'=>array('label'=>$lang->translate('discount_long_stay_days'),'value'=>'','rules'=>'',
		'options'=>array(
		),
		'form_2'=>true
	)*/
	'discounts_long_stay'=>array(
		'label'=>$lang->translate('discount_long_stay'),'value'=>'','values'=>array(),'options'=>array(),'form_2'=>true
	),
	'discount_long_stay_days'=>array('form_2'=>true),
	'discount_long_stay'=>array('form_2'=>true)
);
$config['discounts_form_data_fields'] = array(
	'title_1','title_2','title_3','title_4','title_5',
	'start_date','end_date','persons',
	'discount_night','discount_week','discount_month','active'
);
$config['discounts_form_data_fields_2'] = array(//settings
	'discount_children',
	//'discount_early_booking','discount_early_booking_days',//not used anymore
	'discounts_early_booking',
	//'discount_long_stay','discount_long_stay_days', //not used anymore
	'discounts_long_stay'
);

foreach ($config['discounts_form_fields']['discount_early_booking_days']['options'] as $k=>$v)
{
	$config['discounts_form_fields']['discount_early_booking_days']['options'][$k] = $g_O->lang->translate('days_till_checkin').'>='.$v;
}
for ($i=3;$i<=30;$i++) 
	$config['discounts_form_fields']['discount_long_stay_days']['options'][$i] = $g_O->lang->translate('booking_duration').'>='.$i.' '.$lang->translate('days');




# PAID SERVICES
#------------------------------------------------------------------------------------------------------------
$config['paid_services_form_fields'] = array(
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric'),
	'service'=>array('label'=>$lang->translate('service'),'value'=>'','rules'=>'required',
		'options'=>array(
			
			'featured_listing'=>array(
					'title'=>$lang->translate('listing_make_featured'),
					'credits'=>$g_O->config->item('listing_featured_credits'),
					'no_days'=>$g_O->config->item('listing_featured_no_days')
			),
			'highlight_listing'=>array(
					'title'=>$lang->translate('listing_make_highlight'),
					'credits'=>$g_O->config->item('listing_highlight_credits'),
					'no_days'=>$g_O->config->item('listing_highlight_no_days')
			)
		)
	),
	'spend_credits'=>array('label'=>$lang->translate('spend_credits'),'value'=>0,'rules'=>''),
	
	'featured_etime'=>array( 'label'=>'','value'=>'','rules'=>'' ),
	'highlight_etime'=>array( 'label'=>'','value'=>'','rules'=>'' )
	
);
$config['paid_services_form_data_fields'] = array('listing_id','service');
if($g_O->session->userdata('role')=='admin')
{
	$config['paid_services_form_data_fields'] = array(
		'listing_id','featured_etime','highlight_etime'
	);
}


# AVAILABILITY
#------------------------------------------------------------------------------------------------------------
$config['availability_list_header_fields'] = array(
	'booking_id'=>array( 'label'=>'#','width'=>5,'order'=>false),
	'unit'=>array( 'label'=>$lang->translate('unit').'#','width'=>5,'order'=>false),
	'booking_status'=>array('label'=>$lang->translate('status'),'width'=>5,'order'=>false),
	'start_date'=>array('label'=>$lang->translate('arrival'),'width'=>'','order'=>false),
	'end_date'=>array('label'=>$lang->translate('departure'),'width'=>'','order'=>false)
);
$config['availability_form_fields'] = array(
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric','options'=>array()),
	'listing_parent_id'=>array('label'=>'','value'=>'','rules'=>''),
	'start_date'=>array('label'=>$lang->translate('arrival'),'value'=>'','rules'=>'required'),
	'end_date'=>array('label'=>$lang->translate('departure'),'value'=>'','rules'=>'required|date_greater_than[start_date]'),
	'booking_status'=>array('label'=>$lang->translate('booking_status'),'value'=>1,'rules'=>''),
	'blank_booking'=>array('label'=>$lang->translate('blank_booking'),'value'=>1,'rules'=>''),
	'availability_section'=>array('value'=>''),//show hide options
	'ical_file_upload'=>array('label'=>'','value'=>'','rules'=>''),
	'ical_file'=>array('label'=>'','value'=>'','rules'=>'')
);
$config['ical_upload'] = array(
	'upload_path'=>PUBLIC_PATH.'upload/icals/',
	'allowed_types'=>'ics',
	'max_size'=>2048 //KB
);
$config['availability_form_fields']['ical_file']['options'] = array(
	'max_size'=>$config['ical_upload']['max_size']!=0?$config['ical_upload']['max_size']:'&#8734;',
	'allowed_types'=>implode(', ',explode('|',$config['ical_upload']['allowed_types']))
);

$config['availability_db_fields'] = array();
$config['availability_quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('book'),'href'=>'book_multiple'),
	array('id'=>'disable','label'=>$lang->translate('cancel'),'href'=>'cancel_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['availability_form_data_fields'] = array(
	'listing_id','listing_parent_id',
	'booking_status',
	'start_date','end_date','blank_booking'
);

# SETTINGS
#------------------------------------------------------------------------------------------------------------
$config['settings_form_fields'] = array(
	'listing_id'=>array('label'=>$lang->translate('listing_id'),'value'=>'','rules'=>'required|numeric'),
	'show_address'=>array('label'=>$lang->translate('show_address'),'value'=>'','rules'=>''),
	'show_availability_calendar'=>array('label'=>$lang->translate('show_availability_calendar'),'value'=>'','rules'=>''),
	'show_walkscore'=>array('label'=>$lang->translate('show_walkscore'),'value'=>'','rules'=>''),
	'show_rates'=>array('label'=>$lang->translate('show_rates'),'value'=>'','rules'=>''),
	'allow_bookings'=>array('label'=>$lang->translate('allow_bookings'),'value'=>'','rules'=>'')
);
$config['settings_form_data_fields'] = array('listing_id','show_address','show_walkscore','show_availability_calendar','show_rates','allow_bookings');