<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O = &get_instance();
$lang = $g_O->lang;
$lang_key = $g_O->config->item('lang_key');
$obj = 'mail_templates';

/*Options bar*/
$config['options_bar']['index'] =
$config['options_bar']['view'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>false)
);
$config['options_bar']['view_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>true),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>false)
);

$config['search_bar']['index'] = 
$config['search_bar']['view'] = array(
	'visible'=>true
);
$config['options_bar']['add'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['add_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_add'),'uri'=>'add_wysiwyg','ico'=>'btn_add','visible'=>true,'current'=>true)
);
$config['options_bar']['edit'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
$config['options_bar']['edit_wysiwyg'] = array(
	array('label'=>$lang->translate($obj.'_list'),'uri'=>'view_wysiwyg','ico'=>'btn_list','visible'=>true,'current'=>false),
	array('label'=>$lang->translate($obj.'_edit'),'uri'=>'','ico'=>'btn_edit','visible'=>true,'current'=>true)
);
//end options bar

$config['quick_actions'] = array(
	array('id'=>'enable','label'=>$lang->translate('enable'),'href'=>'enable_multiple'),
	array('id'=>'disable','label'=>$lang->translate('disable'),'href'=>'disable_multiple'),
	array('id'=>'delete','label'=>$lang->translate('delete'),'href'=>'delete_multiple')
);

$config['list_header_fields'] = array(
	'mail_template_id'=>array( 'label'=>'#','width'=>5),
	'active'=>array('label'=>$lang->translate('active'),'width'=>5),
	'alias'=>array('label'=>$lang->translate('alias'),'width'=>''),
	'sender_name'=>array('label'=>$lang->translate('sender_name'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	'sender_email'=>array('label'=>$lang->translate('sender_email'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	'bcc_copy'=>array('label'=>$lang->translate('bcc_copy'),'width'=>'','editable'=>true,'editable_section'=>$obj),
	'subject_'.$lang_key=>array('label'=>$lang->translate('subject'),'width'=>'','editable'=>true,'editable_section'=>$obj)
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>20,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array(
	'id'=>array(
		'db_field'=>'mail_template_id',
	),
	'subject'=>array(
		'db_field'=>'subject_'.$lang_key,
		'operator'=>'like'
	),
	'alias'=>array(
		'operator'=>'=',
		'wildcards'=>true,
		'is_default'=>true
	)
);

$config['orderby'] = 'alias asc';
$config['form_fields'] = array(
	'sender_name'=>array('label'=>$lang->translate('sender_name'),'value'=>'','rules'=>'trim|required'),
	'sender_email'=>array('label'=>$lang->translate('sender_email'),'value'=>'','rules'=>'trim|required|valid_email'),
	'bcc_copy'=>array('label'=>$lang->translate('bcc_copy'),'value'=>'','rules'=>'trim|valid_email'),
	
	'body_1'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>'trim|required'),
	'body_2'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>''),
	'body_3'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>''),
	'body_4'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>''),
	'body_5'=>array('label'=>$lang->translate('body'),'value'=>'','rules'=>''),
	
	'subject_1'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>'trim|required'),
	'subject_2'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_3'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_4'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	'subject_5'=>array('label'=>$lang->translate('subject'),'value'=>'','rules'=>''),
	
	'alias'=>array('label'=>$lang->translate('alias'),'value'=>'','rules'=>'trim|required'),
	'active'=>array('label'=>$lang->translate('active'),'value'=>1,'rules'=>''),
	'is_bulk_mail'=>array('label'=>$lang->translate('is_bulk_mail'),'value'=>0,'rules'=>'')
);

$config['form_data_fields'] = array(
	'active',
	'subject_1','subject_2','subject_3','subject_4','subject_5',
	'body_1','body_2','body_3','body_4','body_5',
	'sender_name','sender_email','alias','bcc_copy','is_bulk_mail'
);