<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;

$obj = 'settings';

$config['options_bar']['index'] =
$config['options_bar']['view'] = array();
$config['quick_actions'] = array();

$config['list_header_fields'] = array(
	'setting_id'=>array( 'label'=>'#','width'=>5),
	'key'=>array('label'=>$lang->translate('key'),'width'=>''),
	'value'=>array('label'=>$lang->translate('value'),'width'=>'')
);
$config['db_fields'] = array();
$config['pagination'] = array( 'base_url'=>'','per_page' =>10,'uri_segment' =>6,'total_rows' =>0);
$config['search_fields'] = array('setting_id'=>'=','key'=>'like');

$config['orderby'] = '';

$config['location_options'] = array(
	'continent'=>$lang->translate('continent'),
	'country'=>$lang->translate('country'),
	'region'=>$lang->translate('region'),
	'city'=>$lang->translate('city'),
	'area'=>$lang->translate('area'),
	'state'=>$lang->translate('state'),
	'island'=>$lang->translate('island')
);

$config['search_fields_options'] = array(
	'lid'=>$lang->translate('listing_id_or_title'),
	'type'=>$lang->translate('type'),
	'keywords'=>$lang->translate('keywords'),
	'location'=>$lang->translate('location'),
	'location_autocomplete'=>$lang->translate('location_autocomplete'),
	'availability'=>$lang->translate('availability'),
	'flexible_availability'=>$lang->translate('flexible_dates'),
	'price'=>$lang->translate('price'),
	//'live_square'=>$lang->translate('live_square'),
	//'land_square'=>$lang->translate('land_square'),
	'total_square'=>$lang->translate('total_square'),
	'sleeps'=>$lang->translate('sleeps'),
	//'rooms'=>$lang->translate('rooms'),
	'bedrooms'=>$lang->translate('bedrooms'),
	'bathrooms'=>$lang->translate('bathrooms'),
	'stars'=>$lang->translate('stars'),
	'special_offer'=>$lang->translate('special_offer'),
	'with_photos'=>$lang->translate('with_photos'),
	'with_videos'=>$lang->translate('with_videos')
);

$config['form_fields'] = array(
	//general configs
	//-------------------------------------------
	'theme'=>array(
		'label'=>$lang->translate('theme'),
		'value'=>'',
		'rules'=>'required'
	),
	
	'site_title_1'=>array('label'=>$lang->translate('site_title'),'value'=>'','rules'=>'required'),
	'site_title_2'=>array('label'=>$lang->translate('site_title'),'value'=>'','rules'=>''),
	'site_title_3'=>array('label'=>$lang->translate('site_title'),'value'=>'','rules'=>''),
	'site_title_4'=>array('label'=>$lang->translate('site_title'),'value'=>'','rules'=>''),
	'site_title_5'=>array('label'=>$lang->translate('site_title'),'value'=>'','rules'=>''),
	
	'site_description_1'=>array('label'=>$lang->translate('site_description'),'value'=>'','rules'=>'required'),
	'site_description_2'=>array('label'=>$lang->translate('site_description'),'value'=>'','rules'=>''),
	'site_description_3'=>array('label'=>$lang->translate('site_description'),'value'=>'','rules'=>''),
	'site_description_4'=>array('label'=>$lang->translate('site_description'),'value'=>'','rules'=>''),
	'site_description_5'=>array('label'=>$lang->translate('site_description'),'value'=>'','rules'=>''),
	
	'site_keywords_1'=>array('label'=>$lang->translate('site_keywords'),'value'=>'','rules'=>''),
	'site_keywords_2'=>array('label'=>$lang->translate('site_keywords'),'value'=>'','rules'=>''),
	'site_keywords_3'=>array('label'=>$lang->translate('site_keywords'),'value'=>'','rules'=>''),
	'site_keywords_4'=>array('label'=>$lang->translate('site_keywords'),'value'=>'','rules'=>''),
	'site_keywords_5'=>array('label'=>$lang->translate('site_keywords'),'value'=>'','rules'=>''),
	
	'twitter_link'=>array('label'=>$lang->translate('twitter_link'),'value'=>'','rules'=>'prep_url'),
	'facebook_link'=>array('label'=>$lang->translate('facebook_link'),'value'=>'','rules'=>'prep_url'),
	'googleplus_link'=>array('label'=>$lang->translate('googleplus_link'),'value'=>'','rules'=>'prep_url'),
	'pinterest_link'=>array('label'=>$lang->translate('pinterest_link'),'value'=>'','rules'=>'prep_url'),
	
	'no_featured_listings'=>array('label'=>$lang->translate('no_featured_listings'),'value'=>0,'rules'=>'numeric'),
	'no_latest_listings'=>array('label'=>$lang->translate('no_latest_listings'),'value'=>0,'rules'=>'numeric'),
	'no_listings_same_location'=>array('label'=>$lang->translate('no_listings_same_location'),'value'=>0,'rules'=>'numeric'),
	'no_listings_same_member'=>array('label'=>$lang->translate('no_listings_same_member'),'value'=>0,'rules'=>'numeric'),
	'no_popular_listings'=>array('label'=>$lang->translate('no_popular_listings'),'value'=>0,'rules'=>'numeric'),
	'no_nearby_listings'=>array('label'=>$lang->translate('no_nearby_listings'),'value'=>0,'rules'=>'numeric'),
	'no_featured_guides'=>array('label'=>$lang->translate('no_featured_guides'),'value'=>0,'rules'=>'numeric'),
	
	'multilevel_listing_type'=>array('label'=>$lang->translate('multilevel_listing_type'),'value'=>0,'rules'=>'','options'=>array(
		0=>$lang->translate('no'),
		1=>$lang->translate('yes')
	)),
	'search_price'=>array(
		'label'=>$lang->translate('s_search_price'),'value'=>'','rules'=>'required','options'=>array(
			'nightly_rate'=>$lang->translate('nightly_rate'),
			'weekly_rate'=>$lang->translate('weekly_rate'),
			'monthly_rate'=>$lang->translate('monthly_rate')
		)
	),
	'use_stars'=>array('label'=>$lang->translate('use_stars'),'value'=>0,'rules'=>'','options'=>array(
		0=>$lang->translate('no'),
		1=>$lang->translate('yes')
	)),
	'min_completeness'=>array('label'=>$lang->translate('s_min_completeness'),'value'=>40,'rules'=>'required|is_natural'),
	'availability_calendar_months'=>array('label'=>$lang->translate('s_availability_calendar_months'),'value'=>12,'rules'=>'required|is_natural'),
	'availability_calendar_units_months'=>array('label'=>$lang->translate('s_availability_calendar_units_months'),'value'=>1,'rules'=>'required|is_natural'),
	'quick_search_fields' => array(
		'label'=>$lang->translate('s_quick_search_fields'),'value'=>'','values'=>array(),'rules'=>'required',
		'options'=>$config['search_fields_options']
	),
	'refine_search_fields' => array(
		'label'=>$lang->translate('s_quick_search_fields'),'value'=>'','values'=>array(),'rules'=>'required',
		'options'=>$config['search_fields_options']
	),
	
	'ga_tracking_code'=>array('label'=>$lang->translate('s_ga_tracking_code'),'value'=>'','rules'=>''),
	'ga_client_id'=>array('label'=>$lang->translate('s_ga_client_id'),'value'=>'','rules'=>''),
	'ga_email'=>array('label'=>$lang->translate('s_ga_email'),'value'=>'','rules'=>'trim|valid_email'),
	'ga_private_key_file'=>array('label'=>$lang->translate('s_ga_private_key_file'),'value'=>'','rules'=>''),
	'ga_account_id'=>array('label'=>$lang->translate('s_ga_account_id'),'value'=>'','rules'=>''),
	
	'contact_gmap_lat'=>array('label'=>$lang->translate('contact_gmap_lat'),'value'=>'','rules'=>''),
	'contact_gmap_lng'=>array('label'=>$lang->translate('contact_gmap_lat'),'value'=>'','rules'=>''),
	'contact_gmap_zoom'=>array('label'=>$lang->translate('contact_gmap_lat'),'value'=>'','rules'=>'numeric'),
	'contact_address'=>array('label'=>$lang->translate('contact_address'),'value'=>'','rules'=>''),
	'contact_phone1'=>array('label'=>$lang->translate('contact_phone1'),'value'=>'','rules'=>''),
	'contact_phone2'=>array('label'=>$lang->translate('contact_phone2'),'value'=>'','rules'=>''),
	
	
	//mails
	//-------------------------------------------
	'mail_smtp_active'=>array('label'=>$lang->translate('use_smtp'),'value'=>0,'rules'=>''),
	'mail_smtp_host'=>array('label'=>$lang->translate('smtp_host'),'value'=>'','rules'=>''),
	'mail_smtp_user'=>array('label'=>$lang->translate('smtp_user'),'value'=>'','rules'=>''),
	'mail_smtp_pass'=>array('label'=>$lang->translate('smtp_password'),'value'=>'','rules'=>''),
	'mail_smtp_port'=>array('label'=>$lang->translate('smtp_port'),'value'=>25,'rules'=>''),
	'mail_mailtype'=>array('label'=>$lang->translate('mailtype'),'value'=>'html','rules'=>'',
		'options'=>array(
			'text'=>'text',
			'html'=>'html'
		)
	),
	
	
	
	//payment
	'use_credits'=>array('label'=>$lang->translate('use_credits'),'value'=>1,'rules'=>''),
	//paid services
	'listing_featured_credits'=>array('label'=>$lang->translate('listing_featured_credits'),'value'=>0,'rules'=>'numeric'),
	'listing_highlight_credits'=>array('label'=>$lang->translate('listing_highlight_credits'),'value'=>0,'rules'=>'numeric'),
	'listing_featured_no_days'=>array('label'=>$lang->translate('listing_featured_no_days'),'value'=>0,'rules'=>'numeric'),
	'listing_highlight_no_days'=>array('label'=>$lang->translate('listing_featured_no_days'),'value'=>0,'rules'=>'numeric'),
	
	'credit_to_currency'=>array('label'=>$lang->translate('credit_to_currency'),'value'=>1,'rules'=>'trim|numeric'),
	'credit_currency'=>array('label'=>$lang->translate('credit_currency'),'value'=>'EUR','rules'=>''),
	
	//paypal
	'paypal_active'=>array('label'=>$lang->translate('use_paypal'),'value'=>1,'rules'=>''),
	'paypal_test_mode'=>array('label'=>$lang->translate('test_mode'),'value'=>1,'rules'=>''),
	'paypal_business'=>array('label'=>$lang->translate('business'),'value'=>'','rules'=>'trim|valid_email'),
	'paypal_api_username'=>array('label'=>$lang->translate('paypal_api_username'),'value'=>'','rules'=>''),
	'paypal_api_password'=>array('label'=>$lang->translate('paypal_api_password'),'value'=>'','rules'=>''),
	'paypal_api_signature'=>array('label'=>$lang->translate('paypal_api_signature'),'value'=>'','rules'=>''),
	'paypal_application_id'=>array('label'=>$lang->translate('paypal_application_id'),'value'=>'','rules'=>''),
	'paypal_developer_email'=>array('label'=>$lang->translate('paypal_developer_email'),'value'=>'','rules'=>'trim|valid_email'),
	'paypal_device_id'=>array('label'=>$lang->translate('paypal_device_id'),'value'=>'','rules'=>''),
	
	'wire_transfer_active'=>array('label'=>$lang->translate('use_wire_transfer'),'value'=>1,'rules'=>''),
	'wire_transfer_invoice_1'=>array('label'=>$lang->translate('wire_transfer_invoice'),'value'=>'','rules'=>''),
	'wire_transfer_invoice_2'=>array('label'=>$lang->translate('wire_transfer_invoice'),'value'=>'','rules'=>''),
	'wire_transfer_invoice_3'=>array('label'=>$lang->translate('wire_transfer_invoice'),'value'=>'','rules'=>''),
	'wire_transfer_invoice_4'=>array('label'=>$lang->translate('wire_transfer_invoice'),'value'=>'','rules'=>''),
	'wire_transfer_invoice_5'=>array('label'=>$lang->translate('wire_transfer_invoice'),'value'=>'','rules'=>''),
	
	'signup_credits'=>array('label'=>$lang->translate('signup_credits'),'value'=>0,'rules'=>'required|numeric'),
	'signup_package'=>array('label'=>$lang->translate('signup_package'),'value'=>'','rules'=>''),
	'signup_sms_package'=>array('label'=>$lang->translate('signup_sms_package'),'value'=>'','rules'=>''),
	
	'booking_fee'=>array('label'=>$lang->translate('booking_fee'),'value'=>0,'rules'=>'trim|required|numeric_or_percent'),
	'booking_confirmation'=>array('label'=>$lang->translate('booking_fee'),'value'=>1,'rules'=>''),
	'booking_confirmation_email'=>array('label'=>$lang->translate('booking_confirmation_email'),'value'=>'','rules'=>'trim|required|valid_email'),
	'booking_cancel_days'=>array('label'=>$lang->translate('s_booking_cancel_days'),'value'=>'','rules'=>'trim|required|numeric'), 
	
	'vat'=>array('label'=>$lang->translate('vat'),'value'=>'19%','rules'=>'trim|numeric_or_percent'),
	
	//map k
	'map_google_key'=>array('label'=>$lang->translate('map_google_key'),'value'=>'','rules'=>'','options'=>$config['location_options']),
	'location_1'=>array('label'=>$lang->translate('location_level').'#1','value'=>'','rules'=>'required','options'=>$config['location_options']),
	'location_2'=>array('label'=>$lang->translate('location_level').'#2','value'=>'','rules'=>'','options'=>$config['location_options']),
	'location_3'=>array('label'=>$lang->translate('location_level').'#3','value'=>'','rules'=>'','options'=>$config['location_options']),
	'location_4'=>array('label'=>$lang->translate('location_level').'#4','value'=>'','rules'=>'','options'=>$config['location_options']),
	'location_5'=>array('label'=>$lang->translate('location_level').'#5','value'=>'','rules'=>'','options'=>$config['location_options']),
	'location_start_path'=>array('label'=>$lang->translate('location_start_path'),'value'=>'/world','rules'=>'trim|required'),
	//walkscore
	'use_walkscore'=>array('label'=>$lang->translate('use_walkscore'),'value'=>'','rules'=>''),
	'ws_wsid'=>array('label'=>$lang->translate('walkscore_api_id'),'value'=>'','rules'=>''),
	
	//sms
	'sms_service'=>array(
		'label'=>$lang->translate('sms_service'),'value'=>'','rules'=>'',
		'options'=>array(
			'clickatell'=>$lang->translate('clickatell'),
			'mobilant'=>$lang->translate('mobilant')
		)
	),
	'sms_test_mode'=>array('label'=>$lang->translate('sms_test_mode'),'value'=>1,'rules'=>''),
	//clickatell
	'clickatell_api_id'=>array('label'=>$lang->translate('clikatell_api_id'),'value'=>'','rules'=>'trim'),
	'clickatell_user'=>array('label'=>$lang->translate('clikatell_user'),'value'=>'','rules'=>'trim'),
	'clickatell_password'=>array('label'=>$lang->translate('clikatell_password'),'value'=>'','rules'=>'trim')
	
);
/*
$config['form_data_fields'] = array(
	'theme',
	'site_title_1','site_title_2','site_title_3','site_title_4','site_title_5',
	'site_description_1','site_description_2','site_description_3','site_description_4','site_description_5',
	'site_keywords_1','site_keywords_2','site_keywords_3','site_keywords_4','site_keywords_5',
	'facebook_link','twitter_link','no_featured_listings','no_latest_listings','no_listings_same_location','no_listings_same_member',
	
	//mail
	'mail_smtp_active','mail_smtp_user','mail_smtp_pass','mail_smtp_port','mail_smtp_host',
	//payment
	'use_credits','listing_featured_credits','listing_featured_no_days','listing_highlight_no_days','listing_highlight_credits',
	'credit_currency','credit_to_currency',
	'paypal_active','paypal_test','paypal_business',
	'wire_transfer_active','wire_transfer_invoice_1','wire_transfer_invoice_2','wire_transfer_invoice_3','wire_transfer_invoice_4','wire_transfer_invoice_5',
	
	'signup_package','signup_credits','signup_sms_package',
	
	//map
	'map_google_key',
	'location_1','location_2','location_3','location_4','location_5','location_start_path',
	//walkscore
	'use_walkscore',
	'ws_wsid',
	
	//sms
	'sms_service','clickatell_api_id','clickatell_user','clickatell_password','sms_test_mode'
);*/

foreach ($config['form_fields'] as $k=>$v) $config['form_data_fields'][] = $k;