<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

$g_O =&get_instance();
$lang = $g_O->lang;
$g_O->load->util('url');

$total_pending_bookings = '';
$total_pending_inquiries = '';
$total_pending_booking_requests = '';
$total_pending_reviews = '';
$total_pending_payment_requests = '';
if(in_array($g_O->session->userdata('role'),array('admin','member')))
{
	//get pending bookings
	$g_O->load->model('mo_bookings');
	$total_pending_bookings = $g_O->mo_bookings->stats_pending();
	if($total_pending_bookings>0) $total_pending_bookings = ' <sup class="new">'.$total_pending_bookings.'</sup>';
	else $total_pending_bookings = ''; 
	
	//get pending inquiries
	$g_O->load->model('mo_inquiries');
	$total_pending_inquiries = $g_O->mo_inquiries->stats_pending();
	if($total_pending_inquiries>0)
		$total_pending_inquiries = ' <sup class="new">'.$total_pending_inquiries.'</sup>';
	else 
		$total_pending_inquiries = '';
	
	//get pending payment request
	$g_O->load->model('mo_payment_requests');
	$total_pending_payment_requests = $g_O->mo_payment_requests->stats_total_awaiting_moderation();
	if($total_pending_payment_requests>0) 
		$total_pending_payment_requests = ' <sup class="new">'.$total_pending_payment_requests.'</sup>';
	else 
		$total_pending_payment_requests = '';
		
	//get pending booking requests
	$g_O->load->model('mo_booking_requests');
	$total_pending_booking_requests = $g_O->mo_booking_requests->stats_pending();
	if($total_pending_booking_requests>0) 
		$total_pending_booking_requests = ' <sup class="new">'.$total_pending_booking_requests.'</sup>';
	else 
		$total_pending_booking_requests = '';
	
	//get pending reviews
	$g_O->load->model('mo_reviews');
	$total_pending_reviews = $g_O->mo_reviews->stats_pending();
	if($total_pending_reviews>0) 
		$total_pending_reviews = ' <sup class="new">'.$total_pending_reviews.'</sup>';
	else 
		$total_pending_reviews = ''; 

}


$config['admin_new_nav'] = array(
	array(
		'label'		=> $lang->translate('link'),
		'href'		=> site_url('admin/links/add')
	),
	array(
		'label'		=> $lang->translate('listing'),
		'href'		=> site_url('admin/listings/add')
	),
	array(
		'label'		=> $lang->translate('user'),
		'href'		=> site_url('admin/users/add')
	)
);
$config['member_new_nav'] = array(
	array(
		'label'		=> $lang->translate('listing'),
		'href'		=> site_url('member/listings/add')
	)
);

$config['admin_menu'] = array(
	
	array(
		'label'		=> $lang->translate('view_site'),
		'href'		=> site_url(),
		'other'		=> 'target="_blank"',
		'ico'		=> 'ico_home',
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('dashboard'),
		'href'		=> site_url('admin/home'),
		'ico'		=> 'ico_dashboard',
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('listings').((!empty($total_pending_inquiries)||!empty($total_pending_inquiries)||!empty($total_pending_bookings))?' <sup class="new_star">*</sup>':''),
		'href'		=> "#",
		'ico'		=> 'ico_listings',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('listings_view'),
				"href"		=>	site_url('admin/listings'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('bookings_view').$total_pending_bookings,
				"href"		=>	site_url('admin/bookings'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('inquiries_view').$total_pending_inquiries,
				"href"		=>	site_url('admin/inquiries'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('reviews_view').$total_pending_reviews,
				"href"		=>	site_url('admin/reviews'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('listing_types_view'),
				"href"		=>	site_url('admin/listing_types'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('unit_types_view'),
				"href"		=>	site_url('admin/unit_types'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('bedroom_options_view'),
				"href"		=>	site_url('admin/bedroom_options'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('bathroom_options_view'),
				"href"		=>	site_url('admin/bathroom_options'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('access_options_view'),
				"href"		=>	site_url('admin/access_options'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('holiday_types_view'),
				"href"		=>	site_url('admin/holiday_types'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('view_types_view'),
				"href"		=>	site_url('admin/view_types'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('utilities_view'),
				"href"		=>	site_url('admin/utilities'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('facilities_view'),
				"href"		=>	site_url('admin/facilities'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('activities_view'),
				"href"		=>	site_url('admin/activities'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('services_view'),
				"href"		=>	site_url('admin/services'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('distances_view'),
				"href"		=>	site_url('admin/distances'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('payment').(!empty($total_pending_payment_requests)?' <sup class="new_star">*</sup>':''),
		'href'		=> "#",
		'ico'		=> 'ico_payment',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('booking_requests').$total_pending_booking_requests,
				"href"		=>	site_url('admin/booking_requests'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('coupons_view'),
				"href"		=>	site_url('admin/coupons'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('buy_credits').' ('.$lang->translate('test_only').')',
				"href"		=>	site_url('admin/buy_credits'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('payment_history').$total_pending_payment_requests,
				"href"		=>	site_url('admin/payment_requests'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('packages_view'),
				"href"		=>	site_url('admin/packages'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('ipn_logs'),
				"href"		=>	site_url('admin/ipn_logs'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('cms'),
		'href'		=> "#",
		'ico'		=> 'ico_cms',//class
		'children'	=> array(
			array(
				'label'		=> $lang->translate('links'),
				'href'		=> site_url('admin/links'),
				'children'	=> array()
			),
			array(
				'label'		=> $lang->translate('guides_view'),
				'href'		=> site_url('admin/guides'),
				'children'	=> array()
			),
			array(
				'label'		=> $lang->translate('news_view'),
				'href'		=> site_url('admin/news'),
				'children'	=> array()
			), 
			array(
				'label'		=>	$lang->translate('adverts_view'),
				"href"		=>	site_url('admin/adverts'),
				"children"	=>	array()
			),
			array(
				'label'		=> $lang->translate('content_view'),
				'href'		=> site_url('admin/content'),
				'children'	=> array()
			),
			
			array(
				'label'		=> $lang->translate('gimages_view'),
				'href'		=> site_url('admin/gimages'),
				'children'	=> array()
			),
			array(
				'label'		=> $lang->translate('gflash_view'),
				'href'		=> site_url('admin/gflash'),
				'children'	=> array()
			),
			array(
				'label'		=> $lang->translate('templates_view'),
				'href'		=> site_url('admin/templates/edit'),
				'children'	=> array()
			),
			array(
				'label'		=> $lang->translate('css_view'),
				'href'		=> site_url('admin/css/edit'),
				'children'	=> array()
			),
			array(
				'label'		=>	$lang->translate('seo_view'),
				"href"		=>	site_url('admin/seo'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('regional'),
		'href'		=> "#",
		'ico'		=> 'ico_regional',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('locations_view'),
				"href"		=>	site_url('admin/locations'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('languages_view'),
				'href'		=>	site_url('admin/languages'),
				'children'	=>	array()
			),
			array(
				'label'		=>	$lang->translate('currencies_view'),
				'href'		=>	site_url('admin/currencies'),
				'children'	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('users'),
		'href'		=> "#",
		'ico'		=> 'ico_users',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('users_view'),
				"href"		=>	site_url('admin/users'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('messages'),
		'href'		=> "#",
		'ico'		=> 'ico_email',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('mail_templates_view'),
				"href"		=>	site_url('admin/mail_templates'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('bulk_mails_view'),
				"href"		=>	site_url('admin/bulk_mails'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('sms_packages_view'),
				"href"		=>	site_url('admin/sms_packages'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('sms_requests_view'),
				"href"		=>	site_url('admin/sms_requests'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('sms_templates_view'),
				"href"		=>	site_url('admin/sms_templates'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('tools_and_settings'),
		'href'		=> "#",
		'current_href' => 'admin/settings',
		'ico'		=> 'ico_settings',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('settings_general'),
				"href"		=>	site_url('admin/settings/edit#general'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('settings_messages'),
				"href"		=>	site_url('admin/settings/edit#messages'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('settings_maps'),
				"href"		=>	site_url('admin/settings/edit#maps'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('settings_payment'),
				"href"		=>	site_url('admin/settings/edit#payment'),
				"children"	=>	array()
			),
			/*
			array(
				'label'		=>	$lang->translate('clear_cache'),
				"href"		=>	site_url('admin/settings/clear_cache'),
				"children"	=>	array()
			),*/
			array(
				'label'		=>	$lang->translate('tools'),
				"href"		=>	site_url('admin/tools'),
				"children"	=>	array()
			)
		)
	)

);

$config['member_menu'] = array(
	array(
		'label'		=> $lang->translate('view_my_listings'),
		'href'		=> site_url().'%search_word%/member.'.'%user_id%',
		'other'		=> 'target="_blank"',
		'ico'		=> 'ico_home',
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('dashboard'),
		'href'		=> site_url('member/home'),
		'ico'		=> 'ico_dashboard',
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('payment'),
		'href'		=> "#",
		'ico'		=> 'ico_payment',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('buy_credits'),
				"href"		=>	site_url('member/buy_credits'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('payment_history'),
				"href"		=>	site_url('member/payment_requests'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('listings').((!empty($total_pending_inquiries)||!empty($total_pending_bookings)||!empty($total_pending_reviews))?' <sup class="new_star">*</sup>':''),
		'href'		=> "#",
		'ico'		=> 'ico_home',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('listings_view'),
				"href"		=>	site_url('member/listings'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('bookings_view').$total_pending_bookings,
				"href"		=>	site_url('member/bookings'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('inquiries_view').$total_pending_inquiries,
				"href"		=>	site_url('member/inquiries'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('reviews_view').$total_pending_reviews,
				"href"		=>	site_url('member/reviews'),
				"children"	=>	array()
			)
		)
	),
	array(
		'label'		=> $lang->translate('my_account').(!empty($total_pending_reviews)?' <sup class="new_star">*</sup>':''),
		'href'		=> "#",
		'ico'		=> 'ico_users',
		'children'	=> array(
			array(
				'label'		=>	$lang->translate('sms_requests_view'),
				"href"		=>	site_url('member/sms_requests'),
				"children"	=>	array()
			),
			array(
				'label'		=>	$lang->translate('change_profile'),
				"href"		=>	site_url('member/users'),
				"children"	=>	array()
			)
		)
	)
	
);


$config['guest_menu'] = array(
	array(
		'label'		=> $lang->translate('my_account'),
		'href'		=> site_url('guest/account'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('bookings'),
		'href'		=> site_url('guest/bookings'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('reviews'),
		'href'		=> site_url('guest/reviews'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('inquiries'),
		'href'		=> site_url('guest/inquiries'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('wishlist'),
		'href'		=> site_url('search/wishlist.1'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('logout'),
		'href'		=> site_url('auth/logout'),
		'children'	=> array()
	)
);

$config['inquiry_visitor_menu'] = array(
	array(
		'label'		=> $lang->translate('my_inquiries'),
		'href'		=> site_url('visitor/inquiries/view'),
		'children'	=> array()
	),
	array(
		'label'		=> $lang->translate('logout'),
		'href'		=> site_url('visitor/inquiries/logout'),
		'children'	=> array()
	)
);