<?php  if ( ! defined('PRIVATE_PATH')) exit('Access is denied !');

require(PRIVATE_PATH.'config/routes_suffix.php');

//test
//$route['(\w{2})/barbados/shopping-in-barbados'] = 'pages/index/contact';
//$route['barbados/shopping-in-barbados'] = 'pages/index/contact';

// admin, owner
// ==============================================================

$route['(\w{2})/admin/(.*)'] = 'admin/$2';
$route['admin/(.*)'] = 'admin/$1';

$route['(\w{2})/member/(.*)'] = 'member/$2';
$route['member/(.*)'] = 'member/$1';


//images
$route['(\w{2})/images/(.*)'] = 'images/index/$2';
$route['images/(.*)'] = 'images/index/$1';

$route['(\w{2})/process_upload/(.*)'] = 'process_upload/$2';


//currency
$route['(\w{2})/currency/(.*)'] = 'currency/index/$2';
$route['currency/(.*)'] = 'currency/index/$1';

//square
$route['(\w{2})/square_metric/(.*)'] = 'square_metric/index/$2';
$route['square_metric/(.*)'] = 'square_metric/index/$1';

//this should be removed ? - in alias
$route['(\w{2})/activate/(:any)']= 'pages/index/activate/$2';
$route['activate/(:any)']= 'pages/index/activate/$1';
$route['(\w{2})/activate-newsletter/(:any)']= 'pages/index/activate-newsletter/$2';
$route['activate-newsletter/(:any)']= 'pages/index/activate-newsletter/$1';




// pages with aliases
//===========================================================
include PRIVATE_PATH.'config/alias.php'; 

// search
// ==============================================================

//search word
include(PRIVATE_PATH.'config/search_words.php');
$search_words = isset($config['search_words'])?$config['search_words']:array();
if(!empty($search_words))
{
	foreach ($search_words as $lang_key=>$search_word)
	{
		if(!empty($search_word))
		{
			$search_word = preg_quote($search_word);
			$route['(\w{2})/'.$search_word.'/(.*)'] = 'search/index/$2';
			$route[$search_word.'/(.*)'] = 'search/index/$1'; 
		
			$route['(\w{2})/'.$search_word] = 'search/index';
			$route[$search_word] = 'search/index';
		}
	}
}

$route['(\w{2})/search/(.*)'] = 'search/index/$2';
$route['search/(.*)'] = 'search/index/$1'; 


// adverts 
// ==============================================================
$route['(\w{2})/advert/(.*)'] = 'advert/index/$2';
$route['advert/(.*)'] = 'advert/index/$1';

// news
// ==============================================================
$route['(\w{2})/[a-zA-Z0-9\-]*/'.$config['routes_suffix']['news'].'[\.](:num)'] = 'news/details';
$route['[a-zA-Z0-9\-]*/'.$config['routes_suffix']['news'].'[\.](:num)'] = 'news/details';

$route['(\w{2})/news/(.*)'] = 'news/view/$2';
$route['news/(.*)'] = 'news/view/$1';
$route['news'] = 'news/view';


// properties
// ==============================================================
$route['(\w{2})/[a-zA-Z0-9\-]*/'.$config['routes_suffix']['listings'].'[\.](:num)(.*)?'] = 'listing/details';
$route['[a-zA-Z0-9\-]*/'.$config['routes_suffix']['listings'].'[\.](:num)(.*)?'] = 'listing/details';

// guides
// ==============================================================
$route['(\w{2})/[a-zA-Z0-9\-]*/'.$config['routes_suffix']['guides'].'[\.](:num)'] = 'guides/details';
$route['[a-zA-Z0-9\-]*/'.$config['routes_suffix']['guides'].'[\.](:num)'] = 'guides/details'; 

#rss
$route['(\w{2})/rss/(.*)'] = 'rss/index/$2';
$route['rss/(.*)'] = 'rss/index/$1';


// other pages
// ============================================================
$route['(\w{2})/[a-zA-Z0-9\-]*/'.$config['routes_suffix']['pages'].'(.*)'] = 'pages/index/$2';
$route['[a-zA-Z0-9\-]*/'.$config['routes_suffix']['pages'].'(.*)'] = 'pages/index/$1';


// default
// ============================================================
$route['default_controller'] = "home";
$route['(\w{2})/(.*)'] = '$2';
$route['(\w{2})'] = $route['default_controller'];

 