//custom marker
function CustomMarker(options) 
{
	if(typeof options != 'object') return;
	this.options = options;
	this.latlng_ = options.position;
	this.width_ = options.width;
	this.height_ = options.height;
	// Once the LatLng and text are set, add the overlay to the map.  This will // trigger a call to panes_changed which should in turn call draw.
	this.setMap(options.map);
}
CustomMarker.prototype = new google.maps.OverlayView();	
CustomMarker.prototype.draw = function() {
	var me = this; 		
	// Check if the div has been created.
	var div = this.div_;	    
	var numdiv = this.numdiv_;
	if (!div) 
	{
		// Create a overlay text DIV
	    div = this.div_ = document.createElement('DIV');
	    			
	    // Create the DIV representing our CustomMarker
	    div.setAttribute ( "class", "map_icon" )
	    div.style.width = this.width_+'px';
	    div.style.height = this.height_+'px';
	    div.style.lineHeight = this.height_+'px';
	    div.style.background = 'url('+base_url+'public/images/google_map/'+this.options.icon+') no-repeat 50% 50%';
	    div.innerHTML = this.options.number || '';
	    
	    //var span = document.createElement('SPAN');
	    //span.style.marginTop = '-'+(Math.round(this.height_/2))+'px';
	    //span.innerHTML = this.options.number || '';
	    
	    //div.appendChild(span);
	    			
	    google.maps.event.addDomListener(div, "click", function(event) 
	    {
	    	google.maps.event.trigger(me, "click");
	    });
	    			
	    // Then add the overlay to the DOM
	    var panes = this.getPanes();
	    panes.overlayImage.appendChild(div);
	}
	// Position the overlay 
	var point = this.getProjection().fromLatLngToDivPixel(this.latlng_);
	point.x -= parseInt(this.width_ / 2, 10);
	point.y -= parseInt(this.height_ / 2, 10);
	//console.log(point);
	if (point) 
	{
		div.style.left = point.x + 'px';
	    div.style.top = point.y + 'px';
	}
};
CustomMarker.prototype.remove = function() 
{
	// Check if the overlay was on the map and needs to be removed.
	if (this.div_) 
	{
		this.div_.parentNode.removeChild(this.div_);
		this.div_ = null;
	}
};
CustomMarker.prototype.getPosition = function() 
{
	return this.latlng_;
};
//end custom marker 