function generate_upload_id()
{
    var text = "";
    var possible = "abcdefghijklmnopqrstuvwxyz";

    for( var i=0; i < 5; i++ )
        text += possible.charAt(Math.floor(Math.random() * possible.length));

    return text;
}


var html5_images = function () 
{
	return {
		select:function(evt)
		{
			evt.stopPropagation();
    		evt.preventDefault();
			if (window.File && window.FileReader && window.FileList && window.Blob) 
			{
				var files = evt.target.files;
				var result = [];
				var file;
				for (var i = 0; file = files[i]; i++) 
				{
					// if the file is not an image, continue
            		if (!file.type.match('image.*')) continue;
            		
	            	//add to queue
	            	var upload_id = generate_upload_id();
					var byteSize = Math.round(file.size / 1024 * 100) * .01;
					var suffix = 'KB';
					var file_name = '';
					if (byteSize > 1000) 
					{
						byteSize = Math.round(byteSize *.001 * 100) * .01;
						suffix = 'MB';
					}
					var sizeParts = byteSize.toString().split('.');
					if (sizeParts.length > 1) 
					{
						byteSize = sizeParts[0] + '.' + sizeParts[1].substr(0,2);
					} 
					else 
					{
						byteSize = sizeParts[0];
					}
					if (file.name.length > 20) 
					{
						file_name = file.name.substr(0,20) + '...';
					} 
					else 
					{
						file_name = file.name;
					}
					if($("#html5_queue")[0])
		            {
		            	$("#html5_queue").append('<div id="html5_img_'+upload_id+'" class="html5_queue_item">\
		            		<div class="loading">\
								<img src="'+ base_url+'public/images/loading.gif' + '" border="0" />\
							</div>\
							<span class="file_name">' + file_name + ' (' + byteSize + suffix + ')</span>\
							</div>');
		            }
		            //end add to queue
            		
					result.push({'file':file,'queue_id':upload_id});
				}
				
				return result;
			} 
			else 
			{
				//alert('The File APIs are not fully supported in this browser.');
			}
		},
		resize:function(files,opts) 
		{
			var file_obj;
			for (var i = 0; file_obj=files[i]; i++)
			{
				this.resize_file(file_obj,opts);
			}
			if($("#html5_queue")[0])
				$("#html5_queue").append('<div class="clear" style="height:10px"></div>');
      	},
		resize_file:function(file_obj,opts)
		{
			if (window.File && window.FileReader && window.FileList && window.Blob) 
			{
				var reader = new FileReader();
				reader.onloadend = function() 
				{
					var temp_img = new Image();
					temp_img.src = reader.result;
						
					temp_img.onload = function() 
					{
						var MAX_WIDTH = opts.width?opts.width:1024;
						var MAX_HEIGHT = opts.height?opts.height:768;
						
						
						var tempW = temp_img.width;
						var tempH = temp_img.height;
					    
						if( (tempW < tempH) && (MAX_WIDTH>MAX_HEIGHT) )
						{
							var temp = MAX_WIDTH;
							MAX_WIDTH = MAX_HEIGHT;
							MAX_HEIGHT = temp;
						}
						
					    if (tempW > tempH) 
					    {
					    	if (tempW > MAX_WIDTH) 
					    	{
					    		tempH *= MAX_WIDTH / tempW;
					    		tempW = MAX_WIDTH;
					    	}
					    } 
					    else 
					    {
					    	if (tempH > MAX_HEIGHT) 
					    	{
					    		tempW *= MAX_HEIGHT / tempH;
					    		tempH = MAX_HEIGHT;
					    	}
					    }
					    
					    var canvas = document.createElement('canvas');
					    canvas.width = tempW;
					    canvas.height = tempH;
					    var ctx = canvas.getContext("2d");
					    ctx.drawImage(this, 0, 0, tempW, tempH);
					    out_img = canvas.toDataURL("image/jpeg");
					    
					    if(opts.field_name)
					    {
					    	var newinput = document.createElement("input");
					    	newinput.type = 'hidden';
					    	newinput.name = 'html5_'+opts.field_name+'[]';
					    	newinput.value = out_img;
					    	
					    	$("#"+opts.field_name).after(newinput);
					    	
					    	//$("#html5_img_"+upload_id).find('.loading').fadeOut(250);
					    	//console.log(opts.queue_id);
					    	$("#html5_img_"+file_obj.queue_id).find('.loading').html('&check;');
					    }
					}
				}
				reader.readAsDataURL(file_obj.file);
			}
		}
	}
}();

$(document).ready(
	function()
	{
		
	}
);