function ajaxTranslateCallback(r)
{
	alert(r);
}

(function($) {
    
    $.rtranslate = function(text, settings, callback) {
        var settings = $.extend({}, $.rtranslate.defaults, settings);
        translate(settings, function(settings) {
            getTranslation(text, settings, function(response) {
                callback(response);
            });
        });
    };

    // ------------------------------------------------------

    $.fn.rtranslateReset = function() {
        return this.each(function() {
			 $(this).unbind('.rtranslate');					  
		});
	}
	
	$.fn.rtranslate = function(settings) {
        var settings = $.extend({}, $.rtranslate.defaults, settings);
        return this.each(function() {
            var $$ = $(this);
            var text = $$.html();
            var originalText = text;
            var originalLang = (settings.source == '') ? getSource($$) : settings.source;
            
            if (settings.source == '') {
                settings.source = getSource($$);
            }

            if (settings.trigger) {        
                $$.bind(settings.trigger+'.rtranslate', function(evt) {
					if (settings.ctrlKey != evt.ctrlKey) {
						return false;	
					}
					if (settings.shiftKey != evt.shiftKey) {
						return false;	
					}
                    settings.menuLeft = evt.pageX;
                    settings.menuTop  = evt.pageY;
                    
                    if (settings.destination != '') {
                        if (settings.source == settings.destination) {
                            return false;
                        }
                        
                        if (getSource($$) == settings.destination) {
                            $$.fadeTo('fast', 0.1, function() {    
                                $$.html(originalText);
                                $$.attr('lang', originalLang);
                                $$.fadeTo('fast', 1);
                            });
                            return false;
                        }
                    }
                    translate(settings, function(settings) {
                        contentReplacement($$, text, settings)
                    });
                    evt.preventDefault();
					evt.stopPropagation();
                });
            } else {
                translate(settings, function(settings) {
                    contentReplacement($$, text, settings)
                });
            }
        });
    };
    // ------------------------------------------------------

    $.rtranslate.translatable = {
        en:'English', 
        ar:'العربية', 
        bg:'българ?ки', 
        ca:'català', 
        cs:'česky', 
        da:'Dansk', 
        de:'Deutsch', 
        el:'Ελληνικά', 
        es:'Español', 
        fi:'suomi', 
        fr:'Français', 
        id:'Indonesia', 
        it:'Italiano', 
        iw:'עברית', 
        ja:'日本語', 
        ko:'한국어', 
        lt:'Lietuvių', 
        lv:'latviešu', 
        nl:'Nederlands', 
        no:'norsk', 
        pl:'Polski', 
        pt:'Português', 
        hi:'हिन्दी', 
        hr:'hrvatski', 
        ro:'Român?', 
        ru:'Р???кий', 
        sk:'slovenčina', 
        sl:'slovenščina', 
        sr:'?рп?ки', 
        sv:'Svenska', 
        tl:'Filipino', 
        uk:'?країн?ька', 
        vi:'Tiếng Việt', 
        CN:'中文 (简体)', 
        TW:'中文 (?體)'
    }
    
    $.rtranslate.defaults = {
        apiKey:      'CFEE484BF4336D72852348D4C980477C0FF5386A',
        delay:       3000,
        //menuTop:     50,
        //menuLeft:    50,
        trigger:     false,
        source:      '',
        destination: '',
		ctrlKey:     false,
		shiftKey:    false,
        destinationFallback:$.rtranslate.translatable
    };
        
    // ------------------------------------------------------

    function translate(settings, callback) {
        	if (settings.destination == '') {
            var lang = '';
            if (navigator.browserLanguage) {
                lang = navigator.browserLanguage;
            } else if (navigator.language) {
                lang = navigator.language;
            }
            var splits = lang.split('-');
            if ($.rtranslate.translatable[lang]) {
                settings.destination = lang;
            } else if ($.rtranslate.translatable[splits[0]]) {
                settings.destination = splits[0];
            } else if ($.rtranslate.translatable[splits[1]]) {
                settings.destination = splits[1];
            } else {
                settings.destination = settings.destinationFallback;
                translate(settings, callback);
                return false;
            }
        }
        callback(settings);
    }
    
    function getTranslation(text, settings, callback) {
    	if(text=='') return;
    	var btn = $("#gt_submit_text");
		//var width = btn.width();
					
		//create loader
		$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').hide().appendTo(btn);
		
        $.ajax({
            url: 'http://mymemory.translated.net/api/get?mt=1&q='+text.substr(0, 5000)+'&langpair='+settings.source +'|'+ settings.destination,
           	method:'GET',
           	dataType:'json',
           	beforeSend: function()
           	{
				$('#spinner').fadeIn();
			},	
            success: function(response) { 
            	//response = jQuery.parseJSON(response);
            	
                if (response.responseStatus != 200) {
                    alert('Translation error: '+response.responseDetails);
                    return false;
                }
                
                callback({
                    translation: response.responseData.translatedText   || '',
                    source:      response.responseData.detectedSourceLanguage || '',
                    destination: settings.destination
                }); 
                
                $("#spinner").fadeOut();
            }
        });
		
    };
    
    function contentReplacement($$, text, settings) {
        $$.fadeTo('fast', 0.1, function() {    
            getGoogleTranslation(text, settings, function(response) {
                $$.html(response.translation);
                $$.attr('lang', response.destination);
                $$.fadeTo('fast', 1);
            });
        });    
    }
    
    function getSource($$) {
        source = $($$).attr('lang');
        if (source) {
            return source;
        }
        return '';
    }
    
})(jQuery);