function winW() { return window.innerWidth || $(window).width(); }
function winH() { return window.innerHeight || $(window).height(); } 

(function() {

	var DOM = tinymce.DOM, 
		Event = tinymce.dom.Event, 
		each = tinymce.each;

	// Create the editor plugin
	tinymce.create('tinymce.plugins.rInlinePopups', {
			
		init : function(ed, url) {

			// Replace window manager
			ed.onBeforeRenderUI.add(function() {				
				ed.windowManager = new tinymce.InlineWindowManager(ed);
			});
		},

		getInfo : function() {
			return {
				longname : 'r Inline Popups',
				author : 'R-Scripts',
				authorurl : 'http://www.r-scripts.com',
				infourl : 'http://www.r-scripts.com',
				version : '1'
			};
		}
	});

	// Create the window manager
	tinymce.create('tinymce.InlineWindowManager:tinymce.WindowManager', {
			
		InlineWindowManager : function(ed) {
			var t = this;

			t.parent(ed);
			t.zIndex = 300000;
			t.count = 0;
			t.windows = {};
		},

		open : function(f, p) {
			var t = this, id,config, dialog, w, ed = t.editor;
			
			f = f || {};
			p = p || {};

			// Run native windows
			if (!f.inline) {
				return t.parent(f, p);
			}
			
			if (!f.type) 
				this.bookmark = ed.selection.getBookmark(1);
			
			
			id = DOM.uniqueId();

			// Dialog config
			config = {
				title: f.title || '',
				width: false,
				height: false,
				// match the tinymce inlinepopups starting z-index (fixes #3)
				zIndex: 300000,
				html:''
			};

			// Dialog element
			//dialog = $('<div />').attr('id', 'dialog-' + id).hide().appendTo('body');

			// Window info
			w = {
				id : id,
				features : f,
				element: dialog
			};
			
			f.width = f.width?f.width:winW()*0.9;
			f.height = f.height?f.height:winH()*0.9;
			p.mce_width = f.width;
			p.mce_height = f.height;
			p.mce_inline = true;
			p.mce_window_id = id;
			p.mce_auto_focus = f.auto_focus;

			t.features = f;
			t.params = p;
			
			t.onOpen.dispatch(t, f, p);

			// Inline content
			if (f.content){

				if (f.type == 'confirm'){
					config.buttons = [{
						'text': 'Ok',
						'click': function(e){
							f.button_func(true);
						}
					}, {
						'text': 'Cancel',
						'click': function(e){
							f.button_func(false);
						}
					}];										
				}
				else if (f.type == 'alert'){
					config.buttons = [{
						'text': 'Ok',
						'click': function(e){
							f.button_func(true);
						}
					}];
				}

				config.html = f.content;
			}
			// iFramed document
			else 
			{
				var iframe = $('<iframe />', { 
					id: id + '_ifr',
					frameborder: 0 
				})
				.css({ 
					width: f.width,
					height: f.height + 5
				})
				.attr('scrollbars', 'no');
				config.html = iframe;
			}

			//console.log(config);
			$.colorbox(config);
			$.colorbox.resize();
			
			// Load in iframe src
			if (!f.content) {
				iframe.attr( 'src', f.url || f.file );
			}

			// Add window
			t.windows[id] = w;
			return w;
		},

		resizeBy : function(dw, dh, id) { return; },

		focus : function(id) { return; },

		close : function(win, id) {
	
			var t = this, w, id = id || win.frameElement.id.replace(/_ifr$/, '');

			// Probably not inline
			if (!t.windows[id]) {
				t.parent(win);
				return;
			}

			// Iframed popup
			if (win && win.frameElement) {
				win.frameElement.src = 'javascript:""';	
			}

			if (w = t.windows[id]) {
				//w.element.dialog('destroy').remove();
				$.colorbox.close();
				delete t.windows[id];
			}
		},
		setTitle : function(w, ti) {
			$("#cboxTitle").html(ti);
		},

		alert : function(txt, cb, s) {
			this._messagePopup('alert', 'Alert', txt, cb, s);
		},

		confirm : function(txt, cb, s) {
			this._messagePopup('confirm', 'Confirm', txt, cb, s);
		},
		
		_messagePopup : function(type, title, txt, cb, s) {
			var t = this, w;
			w = t.open({
				title : title,
				type : type,
				button_func : function(s) {
					(cb) && cb.call(s || t, s);
					t.close(null, w.id);
				},
				content : DOM.encode(t.editor.getLang(txt, txt)),
				inline : 1,
				width : 400,
				height : 130,
				x:2
			});
		}
	});

	// Register plugin
	tinymce.PluginManager.add('rinlinepopups', tinymce.plugins.rInlinePopups);
})();
