var adverts = function(){
	return {
		'start_date_init':function(){
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#start_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#start_date").val());
				}
				else 
				{
					return today;
				}
			}
			var selected = check_start_date();
			
			
			$("#start_date_picker").datepicker({
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#start_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#end_date_picker" ).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day);
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(){
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#end_date").val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#end_date").val());
				}
				else 
				{
					return tomorrow;
				}
			}
			var selected = check_end_date();
			
			$( "#end_date_picker" ).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 3,
				altField: "#end_date",
				altFormat: "yy-mm-dd",
				onClose: function( selectedDate ) 
				{
					$( "#start_date_picker" ).datepicker( "option", "maxDate", selectedDate );
				}
			}).datepicker('setDate',selected);
		},
		'show_hide_by_advert_type': function(advert_type)
		{
			advert_type = advert_type?advert_type:'image';
			//show hide options
			var s_image = ['.s_link','.s_link_other','.s_direct_link','.s_advert_file'];
			var s_flash = ['.s_advert_file'];
			var s_jscript = ['.s_advert_code'];
			
			switch(advert_type)
			{
				case 'image':
					$.each(s_flash,function(index,s)
					{
						$(s).hide();
					});
					$.each(s_jscript,function(index,s){
						$(s).hide();
					});
					$.each(s_image,function(index,s)
					{
						$(s).show();
					});
					break;
				case 'flash':
					$.each(s_image,function(index,s)
					{
						$(s).hide();
					});
					$.each(s_jscript,function(index,s){
						$(s).hide();
					});
					$.each(s_flash,function(index,s)
					{
						$(s).show();
					});
					break;
				case 'jscript':
					$.each(s_image,function(index,s)
					{
						$(s).hide();
					});
					$.each(s_flash,function(index,s)
					{
						$(s).hide();
					});
					$.each(s_jscript,function(index,s){
						$(s).show();
					});
					break;
			}
		},
		'init_advert_type': function(){
			var val = $("input[name='advert_type']:checked").val();	
			val = val?val:'image';
			//alert(val);
			this.show_hide_by_advert_type(val);
			var $this = this;
			$("input[name='advert_type']").on('click',
				function(){
					val = $("input[name='advert_type']:checked").val();	
					$this.show_hide_by_advert_type(val);
				}
			);
		}
		
	}
}();

$(document).ready(
	function()
	{
		if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
		
		adverts.start_date_init();
		adverts.end_date_init();
		$( "#advert_type_radio" ).buttonset();
		adverts.init_advert_type();
	}
);
