function apply_sortable()
{
	$(this).sortable({
		//items:'li',
		placeholder:'placeholder',
		cursor:'crosshair',
		update: function(event, ui) {
			var sort_data = $(this).sortable('serialize');
			$.ajax(
			{
				url: site_url+"admin/ajax_links/link_sortable_hierarchy/",
				type: 'POST',
				data :sort_data,
				beforeSend: function(){
											
				},	
				success: function(data) {
					$(".tree_actions").highlightFade('#E4F9CF');
					//var el = ui.item[0];
					//listing_categories_list.folder_clicked(last_clicked);
				}
			});
									
		}
	});
	$(this).find("> li > ul").each(apply_sortable); 
}

var links_list = function(){
	return {
		'get_link_path':function(link_id)
		{
			var $this = this;
			$.ajax(
					{
						url: site_url+"admin/ajax_links/get_link_path/",
						type: 'POST',
						data :'link_id='+link_id,
						beforeSend: function(){
							
						},	
						success: function(data) {
							var data_split = data.split('##');
							if(data_split.length==2)
							{
			  					$("#link_selected").html(data_split[0]);
			  					$("#link_selected_hierarchy").html(data_split[1]);
							}
							$this.sortable_hierarchy();
			 			}
			});
		},
		'hierarchy_up': function(link_id)
		{
			var $this = this;
			$.ajax(
			{
				url: site_url+"admin/ajax_links/link_hierarchy/",
				type: 'POST',
				data :'link_id='+link_id+'&dir=up',
				beforeSend: function(){},	
				success: function(data) {
					$this.init_links_tree();
					$this.get_link_path(link_id);
					//$(".tree_actions").highlightFade();
				}
			});
		},
		'hierarchy_down': function(link_id)
		{
			var $this = this;
			$.ajax(
			{
				url: site_url+"admin/ajax_links/link_hierarchy/",
				type: 'POST',
				data :'link_id='+link_id+'&dir=down',
				beforeSend: function(){},	
				success: function(data) {
					$this.init_links_tree();
					$this.get_link_path(link_id);
					//$(".tree_actions").highlightFade();
				}
			});
		},
		
		'sortable_hierarchy':function()
		{
			$("#sortable_links").each(apply_sortable);
		},
		
		'delete_link':function(link_id,msg)
		{
			var confirmation = confirm(msg);
			if(confirmation)
			{
				var $this = this;
				$.ajax(
				{
					url: site_url+"admin/ajax_links/delete_link/",
					type: 'POST',
					data :'link_id='+link_id,
					beforeSend: function(){},	
					success: function(data) {
						$this.init_links_tree();
						$this.get_link_path();
						//$(".tree_actions").highlightFade();
					}
				});	
			}
		},
		'init_links_tree':function()
		{
			var $this =this;
			$('#links_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_links/links_list_tree/',
				expandSpeed:1,
				collapseSpeed:1,
				multiFolder:false
			}, 
			function(response)
			{ 
				var link_id = response.replace('/','');
				link_id = parseInt(link_id);
				if(link_id!=0)
				{
					$("#link_selected_id").val(link_id);
					$this.get_link_path(link_id);
					//$(".tree_actions").highlightFade();
				}
			}
			);

		},
		'show_links_tree':function()
		{
			var $this = this;
			$(document).on('click','#show_links_tree',
				function(e)
				{
					e.preventDefault();
					$.colorbox(
					{
						width:"50%",
						height:"70%", 
						inline:true, 
						href:"#links_tree",
						title:'',
						onClosed:function(){ 
							$("#temp").remove();
							window.location.reload(); 
						},
						onComplete:function()
						{						
							$("#cboxTitle").addClass('cboxTitle_bottom');
							$("#cboxTitle").html('<div id="temp">'+$("#tree_actions_box").html()+'</div>');
							$("#tree_actions_box").remove();
							$this.sortable_hierarchy();
						}
					});
				}
			);
			
		},
		'folder_clicked':function(link_id)
		{
			if(link_id==1 || link_id==2) return;
			var $this = this;
			$("#link_selected_id").val(link_id);
			$this.get_link_path(link_id);
		}
	}
}();

$(document).ready(function(){
	links_list.init_links_tree();
	links_list.show_links_tree();
	
	$(document).on('click',"#btn_link_edit",
		function(e){
			e.preventDefault();
			var link_id = $("#link_selected_id").val();
			link_id = parseInt(link_id);
			//alert(location_id);
			if(link_id!=0)
			{
				window.location.href = $(this).attr('href')+'edit/'+link_id;
			}
		}
	);
	
	$(document).on('click',"#btn_link_hierarchy_up",
		function(e){
			e.preventDefault();
			var link_id = $("#link_selected_id").val();
			link_id = parseInt(link_id);
			if(link_id!=0)
			{
				links_list.hierarchy_up(link_id);
			}
		}
	);
	
	$(document).on('click',"#btn_link_hierarchy_down",
		function(e){
			e.preventDefault();
			var link_id = $("#link_selected_id").val();
			link_id = parseInt(link_id);
			if(link_id!=0)
			{
				links_list.hierarchy_down(link_id);
			}
		}
	);
	
});
