var locations_gmap = null;
var locations_geocoder = null;
var locations_markers = [];

var locations = function(){
	return {
		'get_location_path':function(location_id)
		{
			$.ajax(
			{
				url: site_url+"admin/ajax_locations/get_location_path/",
				type: 'POST',
				data :'location_id='+location_id,
				beforeSend: function(){
							
				},	
				success: function(data) {
			  		$(".location_selected").html(data);
			 	}
			});
		},
		'init_locations_tree':function()
		{
			var $this = this;
			$('#locations_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_locations/locations_tree/',
				expandSpeed:1,
				collapseSpeed:1,
				multiFolder:false
			}, 
			function(response)
			{ 
				var location_id = response.replace('/','');
				$("#location_parent_id").val(location_id);
				if(location_id!=0)
				{
					$("#location_selected_id").val(location_id);
					$this.get_location_path(location_id);
				}

			}
			);

		},
		'show_locations_tree':function()
		{
			$('#show_locations_tree').colorbox(
				{
					width:"50%",
					height:"70%", 
					inline:true, 
					href:"#locations_tree",
					title:browse_title,
					onClosed:function(){ $("#temp").remove(); },
					onComplete:function()
					{
						$("#cboxTitle").addClass('cboxTitle_bottom');
						$("#cboxTitle").html('<div id="temp">'+$("#tree_actions_box").html()+'</div>');
						//$("#cboxLoadedContent").addClass('move_down');
					}
				});
			
		},
		'reset_locations':function()
		{
			$('#reset_locations').click(
				function()
				{
					$("#location_parent_id").val(-1);
					$.ajax(
					{
						url: site_url+"admin/ajax_locations/get_location_path/",
						type: 'POST',
						data :'location_id=-1',
						beforeSend: function(){
							$("#location_info").append('<div id="tpl_ajax"><img src="'+base_url+'public/images/loading.gif'+'" /></div>');
						},	
						success: function(data) {
		  					$("#location_info").html(data);
		  					$("#tpl_ajax").remove();
		 				}
					});
				}
			);
		},
		'folder_clicked':function(location_id)
		{
			var $this = this;
			$("#location_selected_id").val(location_id);
			$this.get_location_path(location_id);
		},
		'init_map':function()
		{
			if(locations_gmap==null)
			{
				locations_gmap = new google.maps.Map(document.getElementById("google_map"),
    			{
    				center: new google.maps.LatLng(0,0),
    				zoom: 1,
    				mapTypeId: google.maps.MapTypeId.ROADMAP
    			}
    			);
    			locations_geocoder = new google.maps.Geocoder();
			}
		},
		
		'toggle_markers': function(opt)
    	{
    		if(locations_gmap==null) return;
    		if(typeof opt == 'undefined') opt = !locations_markers[0].getMap();
    		for (var n = 0, marker; marker = locations_markers[n]; n++) 
    		{
    			marker.setMap(opt?locations_gmap : null);
    		}
    	},
		'find_address':function(opts)
		{
			var $this = this;
			if(locations_gmap == null || locations_geocoder == null) return false;
			this.init_map();
			this.toggle_markers(false);
			
			locations_gmap.setZoom(1);
			
			$('#search_results').children().remove().end().append('<option value="">'+$("#no_results_text").val()+'</option>') ;
			locations_geocoder.geocode(
				{'address':opts.address},function(results,status)
				{
					if (status == google.maps.GeocoderStatus.OK) 
					{
						if(results.length>0)
						{
							$("#search_results").children().remove().end();
							for(j=0;j<results.length;j++)
							{
								var current_lat_lng = $("#lat").val()+','+$("#lng").val();
								var opt_lat_lng = results[j].geometry.location.lat()+','+results[j].geometry.location.lng();
								
								//selected is not used!!
								var selected = (current_lat_lng == opt_lat_lng)?'selected="selected"':'';
								$("#search_results").children().end().append('<option value="'+opt_lat_lng+'" '+selected+'>'+(j+1)+'. '+results[j].formatted_address+'</option>');
								
								
								//marker icon
								if(selected)
								{
									var iconImageUrl = "http://gmaps-samples.googlecode.com/svn/trunk/" +"markers/red/marker" + parseInt(j+1) + ".png";
									$(".lat_span").html($("#lat").val()).highlightFade();
									$(".lng_span").html($("#lng").val()).highlightFade();
								}
								else
  									var iconImageUrl = "http://gmaps-samples.googlecode.com/svn/trunk/" +"markers/orange/marker" + parseInt(j+1) + ".png";
  								var markerImage = new google.maps.MarkerImage(iconImageUrl);

								//end marker icon
								var marker = new google.maps.Marker(
									{
										map:locations_gmap,
										position:results[j].geometry.location,
										icon : markerImage
									}
								);
								locations_markers.push(marker);
							}
						}
        			} else {}
				}
			);
			
			$("#search_results").change(
				function()
				{
					if($(this).val()=='') return false;
					$this.toggle_markers(false);//clear markers
					var latlng = eval('new google.maps.LatLng('+$(this).val()+');');
					locations_gmap.setZoom(6);
					locations_gmap.setCenter(latlng);
					
					$("#temp_lat").val(latlng.lat());
					$("#temp_lng").val(latlng.lng());
					
					$(".lat_span").html(latlng.lat());
					$(".lng_span").html(latlng.lng());
					
					//marker icon
  					var iconImageUrl = "http://gmaps-samples.googlecode.com/svn/trunk/" +"markers/orange/marker" + parseInt($(this)[0].selectedIndex+1) + ".png";;
  					var markerImage = new google.maps.MarkerImage(iconImageUrl);

					//end marker icon
					var marker = new google.maps.Marker(
						{
							map:locations_gmap,
							position:latlng,
							icon : markerImage,
							draggable:true
						}
					);
				
					google.maps.event.addListener(marker,'dragend', 
						function() {
							var new_position = marker.getPosition();				
							
    						$("#temp_lat").val(new_position.lat());
							$("#temp_lng").val(new_position.lng());
							
							$(".lat_span").html(new_position.lat()).highlightFade();
							$(".lng_span").html(new_position.lng()).highlightFade();
						}
					);
					locations_markers.push(marker);
					//var href = window.location.href;
					//href = href.split('#');
					//window.location.href = href[0]+'#lat';
				}
			);
		},
		'init_find_address':function()
		{
			var $this = this;
			if($("#title_1").val()!='' && $("#lat").val()==0 && $("#lng").val()) $this.find_address({'address':$('#title_1').val()});
			$("#title_1").change(
				function()
				{
					$this.find_address({'address':$(this).val()});
				}
			);
			
			$("#search_go").click(
				function()
				{
					$this.find_address({'address':$("#search_address").val()});
				}
			);
			$("#search_address").change(function(){
				$this.find_address({'address':$(this).val()});
			});
		},
		'show_latlng_box': function(){
			var $this = this;
			$('#show_latlng_box').colorbox(
				{
					width:"800",
					height:"490", 
					inline:true, 
					href:"#latlng_box",
					title:'...',
					onClosed:function(){ $("#temp").remove(); },
					onComplete:function(){
						$this.toggle_markers(false);
						locations.init_find_address();
						var lat = parseFloat($("#lat").val());
						var lng = parseFloat($("#lng").val());
						var latlng = new  google.maps.LatLng(lat,lng);
						if(lat!=0 && lng!=0)
						{
							//end marker icon
							locations_gmap.setZoom(6);
							locations_gmap.setCenter(latlng);
							var marker = new google.maps.Marker(
							{
								map:locations_gmap,
								position:latlng,
								draggable:true
							});
							$(".lat_span").html(lat);
							$(".lng_span").html(lng);
							google.maps.event.addListener(marker,'dragend', 
								function() {
									var new_position = marker.getPosition();
									
	    							$("#temp_lat").val(new_position.lat());
									$("#temp_lng").val(new_position.lng());
									
									$(".lat_span").html(new_position.lat()).highlightFade();
									$(".lng_span").html(new_position.lng()).highlightFade();
								}
							);
							locations_markers.push(marker);
						}
						
						$("#cboxTitle").addClass('cboxTitle_bottom');
						$("#cboxTitle").html('<div id="temp">'+$("#latlng_done_box").html()+'</div>');
						google.maps.event.trigger(locations_gmap, 'resize');
						locations_gmap.setCenter(new google.maps.LatLng(parseFloat($("#lat").val()),parseFloat($("#lng").val())));
					}
				}
			);
			$(document).on('click','.btn_latlng_done',
				function(){
					$("#lat").val($("#temp_lat").val());
					$("#lng").val($("#temp_lng").val());
					$("#temp").remove();
					$.colorbox.close();
			});
		}
	}
}();

$(window).load(
	function(){
		locations.init_map();	
	}
);
$(document).ready(function(){
	locations.init_locations_tree();
	locations.show_locations_tree();
	locations.reset_locations();
	locations.show_latlng_box();
	
	$(document).on('click',"#btn_save_parent",
		function(e){
			e.preventDefault();
			var location_id = $("#location_selected_id").val();
			location_id = parseInt(location_id);
			//alert(location_id);
			if(location_id!=0)
			{
				$("#location_parent_id").val(location_id);
				$("#location_info").html($(".location_selected").html());
				$.colorbox.close();
			}
		}
	);
	
	var location_parent_id = $('#location_parent_id').val();
	if(location_parent_id) 
	{
		$.ajax(
		{
			url: site_url+"admin/ajax_locations/get_location_path/",
			type: 'POST',
			data :'location_id='+location_parent_id,
			beforeSend: function(){
			},	
			success: function(data) {
		  		$("#location_info").html(data);
		  		$("#tpl_ajax").remove();
		 	}
		});
	}
});
