var locations_list = function(){
	return {
		'get_location_path':function(location_id)
		{
			$.ajax(
					{
						url: site_url+"admin/ajax_locations/get_location_path/",
						type: 'POST',
						data :'location_id='+location_id,
						beforeSend: function(){
							
						},	
						success: function(data) {
			  				$("#location_selected").html(data);
			  				$(".tree_actions").highlightFade();
			 			}
			});
		},
		'delete_location':function(location_id,msg)
		{
			var confirmation = confirm(msg);
			if(confirmation)
			{
				var $this = this;
				$.ajax(
				{
					url: site_url+"admin/ajax_locations/delete_location/",
					type: 'POST',
					data :'location_id='+location_id,
					beforeSend: function(){},	
					success: function(data) {
						$this.init_locations_tree();
						$this.get_location_path();
						$(".tree_actions").highlightFade();
					}
				});	
			}
		},
		'init_locations_tree':function()
		{
			var $this =this;
			$('#locations_tree').fileTree(
			{ 
				root:'', 
				script: site_url+'admin/ajax_locations/locations_list_tree',
				expandSpeed:1,
				collapseSpeed:1,
				multiFolder:false
			}, 
			function(response)
			{ 
				var location_id = response.replace('/','');
				location_id = parseInt(location_id);
				if(location_id!=0)
				{
					$("#location_selected_id").val(location_id);
					$this.get_location_path(location_id);
					$(".tree_actions").highlightFade();
				}
			}
			);

		},
		'show_locations_tree':function()
		{
			$('#show_locations_tree').click(
				function(e){
					e.preventDefault();
					$.colorbox(
					{
						width:"50%",
						height:"70%", 
						inline:true, 
						href:"#locations_tree",
						title:browse_title,
						onClosed:function()
						{ 
							$("#temp").remove();
							window.location.reload(); 
						},
						onComplete:function()
						{
							$("#cboxTitle").addClass('cboxTitle_bottom');
							$("#cboxTitle").html('<div id="temp">'+$("#tree_actions_box").html()+'</div>');
							$("#tree_actions_box").remove();
							//$("#cboxLoadedContent").addClass('move_down');
						}
					});	
				}
			);
			
		},
		'folder_clicked':function(location_id)
		{
			var $this = this;
			$("#location_selected_id").val(location_id);
			$this.get_location_path(location_id);
		}
	}
}();

$(document).ready(function(){
	locations_list.init_locations_tree();
	locations_list.show_locations_tree();
	
	$(document).on('click',"#btn_location_edit",
		function(e){
			e.preventDefault();
			var location_id = $("#location_selected_id").val();
			location_id = parseInt(location_id);
			//alert(location_id);
			if(location_id!=0)
			{
				window.location.href = $(this).attr('href')+'edit/'+location_id;
			}
		}
	);
	
});
