var $L_gmap = null;
var $L_geocoder = null;
var $L_markers = []; 
var $L_panorama = null;
var $L_gmap_circles = [4096000, 2048000, 1024000, 512000, 256000, 128000, 64000, 32000, 16000, 8000, 4000, 2000, 1000, 500, 500, 500, 500, 500, 500, 500];

function walk_score(opts)
{
	var $el = $("#walk_score");
	if(!$el[0]) return;
	
	var opts = opts || {};
	var lat = (opts.lat)?opts.lat:0;
	var lng = (opts.lng)?opts.lng:0;

	var position = $el.offset();
	var width = $el.width();
	
	if(!$("#spinner")[0])
		$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css('position','absolute').hide().appendTo('body');
	
	$el.empty();
	$el.html('Walkscore loading...');
	$.ajax(
	{
		url: site_url+'ajax/walk_score/'+lat+'/'+lng,
		type: 'GET',
		beforeSend: function()
		{
			$('#spinner').css({ top: position.top+5 , left: position.left+5}).fadeIn();
		},	
		success: function(data) 
		{
			$el.html(data);	
		},
		complete:function()
		{
			$("#spinner").fadeOut();	
		}
	});
	
}

var listing_details = function(){
	return {
		scroll_to: function(this_obj,that_obj,base_speed)
		{
			 var this_offset = this_obj.offset();
			 var that_offset = that_obj.offset();
			 var offset_diff = Math.abs(that_offset.top - this_offset.top);
			 var speed       = (offset_diff * base_speed) / 1000;
			 
			 $("html,body").animate({
			 	scrollTop: that_offset.top
			 }, speed);
		},
		tabs_init:function()
		{
			var $tab_link = $('#ld_tabs a, .ld_menu a');
			var $first_tab = $('#ld_tabs a[role="tab"]:first');
			var $this = this;
			var $hash = window.location.hash;
			
			
			$tab_link.click( 
				function(e)
				{
					if($(this).attr('role')=='tab')
					{
						e.preventDefault();
						window.scrollTo(0,0);
						var href = $(this).attr('href');
						window.location.hash = href;
						//console.log(href);
						$('#ld_tabs a[href="'+href+'"').tab('show');
					}
					else 
					{
						$first_tab.tab('show');
					}
				}
			);
			
			if($hash)
			{
				var $tab_by_hash = $('#ld_tabs a[href="'+$hash+'"]');				
				if ($tab_by_hash[0]) 
				{
					if($tab_by_hash.attr('role')=='tab')
					{
						$tab_by_hash.tab('show');
					}
					else 
					{

						$first_tab.on('shown.bs.tab', function (e) 
						{
							location.hash = window.location.hash;
							//$this.scroll_to($('body'),$($hash),500);
						});
						$first_tab.tab('show');
					}
				}
				else 
				{
					$first_tab.on('shown.bs.tab', function (e) 
					{
						
						location.hash = window.location.hash;
						//$this.scroll_to($('body'),$($hash),500);
					});
					$first_tab.tab('show');
				}
			}
			else
				$first_tab.tab('show');
				
		},
		'google_map_init':function(opts)//loaded from template
		{
			
			if(!opts && BO_JSON_obj.google_map)
			{
				opts = {
					'lat':BO_JSON_obj.google_map.lat,
					'lng':BO_JSON_obj.google_map.lng,
					'zoom':BO_JSON_obj.google_map.zoom,
					'fuzzy':BO_JSON_obj.google_map.fuzzy
				}
			}
			if($L_gmap==null)
			{
				$L_gmap = new google.maps.Map(document.getElementById("map_canvas"),
    			{
    				center: new google.maps.LatLng(JSCFG_map.center.lat,JSCFG_map.center.lng),
    				zoom: JSCFG_map.zoom,
    				mapTypeId: eval('google.maps.MapTypeId.'+JSCFG_map.maptype),
    				streetViewControl: eval(JSCFG_map.streetViewControl),
    				scrollwheel:false
    			}
    			);
			}
    		$L_geocoder = new google.maps.Geocoder();
    		this.toggle_markers(false);
    		
    		//add marker
    		if(!opts.lat || !opts.lng) return;
    		var zoom = opts.zoom?opts.zoom:3;
    		zoom = parseInt(zoom,10);
    		zoom = zoom>0?zoom:3;
    		
    		
    		if(opts.fuzzy)
    		{
    			opts.lat = opts.lat-2;
    			opts.lng = opts.lng-2;
    		}
    		
    		var latlng = new google.maps.LatLng(opts.lat,opts.lng);
    		
    		var temp_accuracy = 11;
    		var accuracy = opts.accuracy?opts.accuracy:7;
            if (accuracy >= 3 && accuracy <= 9) temp_accuracy = accuracy + 6
            else
            {
            	if (accuracy == 2) temp_accuracy = 6
            	else
            	{
            		if (accuracy == 1) temp_accuracy = 4;
            		else temp_accuracy = 1;
            	}
            }
            accuracy = temp_accuracy;
    		if(opts.fuzzy)
    		{
    			zoom = accuracy;
    			var marker = new google.maps.Circle({
                    center: latlng,
                    map: $L_gmap,
                    fillColor: "rgb(255, 0, 162)",
                    fillOpacity: 0.25,
                    radius: $L_gmap_circles[accuracy],
                    strokeOpacity: 0,
                    clickable: false
                });
    		}
    		else
    		{
	    		var marker= new google.maps.Marker(
	    		{
	    			map: $L_gmap, 
	    			position: latlng,
	    			icon: base_url+'public/images/google_map/gmap_marker.png'
	    		});
    		}
    		
    		$L_markers.push(marker);
    		
    		google.maps.event.trigger($L_gmap, 'resize');
			$L_gmap.setZoom(zoom);
			$L_gmap.setCenter(latlng);
			
			if($L_panorama==null && ($L_gmap!=null))
			{
				$L_panorama = $L_gmap.getStreetView();
				$L_panorama.setPosition(latlng);
				$L_panorama.setPov(/* @type {google.maps.StreetViewPov} */({
    				heading: 265,
    				pitch: 0
  				}));
			}
			$(document).on('click',"#toggle_street_view",function(e){
				e.preventDefault();
				if(!opts.fuzzy)
					listing_details.toggle_street_view();
				else
					$("#toggle_street_view").hide();
			});

		},
		'toggle_street_view':function() {
			if($L_panorama==null) return false;
  			var toggle = $L_panorama.getVisible();
  			//console.log(toggle);
  			if (toggle == false) 
  			{
  				$L_panorama.setVisible(true);
  			} 
  			else 
  			{
    			$L_panorama.setVisible(false);
  			}
		},
		'toggle_markers': function(opt)
    	{
    		if($L_gmap==null) return;
    		if(typeof opt == 'undefined') opt = !$L_markers[0].getMap();
    		for (var n = 0, marker; marker = $L_markers[n]; n++) 
    		{
    			marker.setMap(opt?$L_gmap : null);
    		}
    	},
		menu_init: function()
		{
			var y = $(document).scrollTop();
			//console.log(y);
			if (y > 350) {
				$('#ld_menu_box').fadeIn();
			} 
			else 
			{
				$('#ld_menu_box').stop().hide();
			} 
			
			$('.ld_menu a').removeClass('selected');
			$('.ld_section').each(
			 	function()
			 	{
			 		var $el = $('.ld_menu a[href="#'+$(this).attr('id')+'"]');
			 		if ( $(this).offset().top < window.pageYOffset +30
			 		//begins before top
			 		&& $(this).offset().top + $(this).height() > window.pageYOffset + 30
			 		//but ends in visible area
			 		//+ 10 allows you to change hash before it hits the top border
        		) 
        		{
        			//window.location.hash = $(this).attr('id');
        			$el.addClass('selected');
        		}
			 	}
			);
		},
		sn_init:function()
		{
			var $template = '<a href="#"><i class="fa"></i><span class="counter">{total}</span></a>';
			if(!$("#sn_twitter")[0] && !$("#sn_facebook")[0] && !$("#sn_pinterest")[0] && !$("#sn_googleplus")[0]) return;
			$('#sn_twitter').sharrre({
				share: {
					twitter: true
				},
				template: $template,
				enableHover: false,
				enableTracking: true,
				buttons: { twitter: {via: '_rscripts'}},
				render: function(api,options)
				{
					var count = options.count.twitter;
					if(count ==0) { $(api.element).find('.counter').hide(); }
				},
				click: function(api, options){
					api.simulateClick();
					api.openPopup('twitter');
				}
			});
			
			$('#sn_facebook').sharrre({
				share: {
					facebook: true
				},
				template: $template,
				enableHover: false,
				enableTracking: true,
				render: function(api,options)
				{
					var count = options.count.facebook;
					if(count ==0) { $(api.element).find('.counter').hide(); }
				},
				click: function(api, options)
				{
					api.simulateClick();
					api.openPopup('facebook');
				}
			});
			
			$('#sn_googleplus').sharrre({
				share: {
					googlePlus: true
				},
				template: $template,
				enableHover: false,
				enableTracking: true,
				urlCurl:site_url+'ajax/sn_counter/type.googleplus/?url='+$('#sn_googleplus').data('url'),
				render: function(api,options)
				{
					var count = options.count.googlePlus;
					if(count ==0) { $(api.element).find('.counter').hide(); }
				},
				click: function(api, options){
					api.simulateClick();
					api.openPopup('googlePlus');
				}
			});
			
			$('#sn_pinterest').sharrre({
				share: {
					pinterest: true
				},
				template: $template,
				enableHover: false,
				enableTracking: true,
				render: function(api,options)
				{
					var count = options.count.pinterest;
					if(count ==0) { $(api.element).find('.counter').hide(); }
				},
				click: function(api, options){
					api.simulateClick();
					api.openPopup('pinterest');
				}
			});
			
			
		}
	}
}();

var send_to_friend = function()
{
	return {
		'init':function()
		{
			var $calculate_modal = all.calculate_modal($("#sendtofriend_modal"));
				$(window).resize(
					function(){ $calculate_modal = all.calculate_modal($("#sendtofriend_modal")); }
			);
			$("#show_send_to_friend").click(
				function(e)
				{
					e.preventDefault();
					var listing_id = $(this).data('listing_id');
					//$.colorbox({href:site_url+'listing/send_to_friend/'+listing_id,width:500,height:600,iframe:true});
					var url = site_url+'listing/send_to_friend/'+listing_id;
					$("#sendtofriend_modal").on("show.bs.modal", function() 
					{

						var $modal_body = $(this).find(".modal-body");
						var $modal_dialog = $(this).find(".modal-dialog");
						$modal_dialog.css({'width':$calculate_modal.width});
						$modal_body.css({"max-height": $calculate_modal.height,"overflow":"auto"});
						
					});
					$("#sendtofriend_modal").modal('show');
					$("#sendtofriend_iframe").attr('src',url); 
				}
			);
		}	
	}
}();

$(window).load(
	function()
	{
		//listing_details.map_init();
	}
);

$(document).ready(
	function()
	{
		
		listing_details.tabs_init();
		
		//load photo gallery
		if($('.photo_gallery')[0])
		{
			$('.photo_gallery').on('fotorama:fullscreenenter fotorama:fullscreenexit', function (e, fotorama) 
			{
	    		if (e.type === 'fotorama:fullscreenenter') {
	      			if($(window).width()<960)
	      				fotorama.setOptions({nav: false});
	    	} else {
	      		// Back to normal settings
	      		fotorama.setOptions({nav: 'thumbs'});
	    	}
	  		}).fotorama();
		}
		
		
		listing_details.sn_init();
		/*$("#print_page").click(
			function(e)
			{
				e.preventDefault();
				window.print();
			}
		);*/
		send_to_friend.init();
		
		$availability_scroller = $("#availability_scroller");
		if($availability_scroller[0])
			$availability_scroller.tinyscrollbar();
		
		bookings.init_qb_calculator();
		
		$(document).on('hover','.rate_popover',function(e){
			e.preventDefault();
			var $this = $(this);
			$this.popover(
				{
					container:'body',
					html:true,
					content:$this.next('.popover_html_box').html()
				}
			).popover('show');
		}).on('mouseleave','.rate_popover',function(e){
			e.preventDefault();			
			$(this).popover('hide');
		});
		
		if(typeof inquiries!=='undefined')
		{
			inquiries.start_date_init();
			inquiries.end_date_init();
		}
		
		$(document).on('click',"#btn_contact_owner",
			function(e)
			{
				e.preventDefault();
				if($("#contact_member")[0])
				{
					window.scrollTo(0,0);
					$('#ld_tabs a[href="'+$(this).data('hash')+'"]').tab('show');
				}
				else
					window.location.href = $(this).data('href')+$(this).data('hash');
			}
		);
		
	}
);

$(document).scroll(
	function () 
	{
		listing_details.menu_init();
		if($("#walk_score")[0] && $("#walk_score").is(':empty'))
		{
			var lat = $("#ws_lat").val();
			var lon = $("#ws_lon").val();
			walk_score({'lat':lat,'lng':lon});

		} 
	}
);