var initial_text = [];
var $L_gmap = null;
var $L_geocoder = null;
var $L_markers = [];
var infowindow = null;

var autocomplete = function(){
	return {
		'locations':function(modal)
		{
			var $modal_suffix = modal?'_m':'';
			var $location_autocomplete = $("#location_autocomplete"+$modal_suffix);
			if(!$location_autocomplete[0]) return;
		
			var locations_db = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('title'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
			  	remote: {
			    	url: site_url+'ajax/autocomplete_locations/q:%QUERY/limit:20',
			    	wildcard: '%QUERY',
			    	rateLimitWait:300//ms
			  	}
			});
			$location_autocomplete.typeahead(null, 
			{
				name: 'location_autocomplete',
				display: 'title',
				source: locations_db,
				hint:true,
				highlight:true,
				templates: 
				{
				    empty: [
				      '<div class="empty-message">',$("#no_location_message"+$modal_suffix).val(),'</div>'
				    ].join('\n'),
				    suggestion: Handlebars.compile('<div><strong>{{title}}</strong>, {{parent_title}} ({{number_listings}})</div>')
				}
			});
			$location_autocomplete.bind('typeahead:select', function(ev, suggestion) 
			{
				$("#location"+$modal_suffix).val(suggestion.location_id);
			});
			$location_autocomplete.bind('typeahead:asyncrequest', function(ev,query,dataset) 
			{
				$("#browser_location_trigger"+$modal_suffix).removeClass('fa-globe').addClass('fa-circle-o-notch fa-spin');
			});
			$location_autocomplete.bind('typeahead:asyncreceive', function(ev,query,dataset) 
			{
				$("#browser_location_trigger"+$modal_suffix).removeClass('fa-circle-o-notch fa-spin').addClass('fa-globe');
			});
		},
		'listing_title':function()
		{
			var $lid_autocomplete = $("#lid_autocomplete");
			if(!$lid_autocomplete[0]) return;
		
			var db = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('title'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
			  	remote: {
			    	url: site_url+'ajax/autocomplete_listing_title/q:%QUERY/limit:20',
			    	wildcard: '%QUERY',
			    	rateLimitWait:300//ms
			  	}
			});
			$lid_autocomplete.typeahead(null, 
			{
				name: 'lid_autocomplete',
				display: 'title',
				source: db,
				hint:true,
				highlight:true,
				templates: 
				{
				    empty: [
				      '<div class="empty-message">',$("#no_lid_message").val(),'</div>'
				    ].join('\n'),
				    suggestion: Handlebars.compile('<div>#{{listing_id}}. <strong>{{title}}</strong></div>')
				}
			});
			$lid_autocomplete.bind('typeahead:select', function(ev, suggestion) 
			{
				$("#lid").val(suggestion.listing_id);
			});
			$lid_autocomplete.bind('typeahead:asyncrequest', function(ev,query,dataset) 
			{
				$('.listing_title_box .form-control-loading').css({right:$('.btn_location_go').outerWidth()+2}).addClass('fa-circle-o-notch fa-spin');
			});
			$lid_autocomplete.bind('typeahead:asyncreceive', function(ev,query,dataset) 
			{
				$('.listing_title_box .form-control-loading').removeClass('fa-circle-o-notch fa-spin');
			});
		},
		'keywords':function()
		{
			var $keywords_autocomplete = $("#keywords_autocomplete");
			if(!$keywords_autocomplete[0]) return;
		
			var db = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('keywords'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
			  	remote: {
			    	url: site_url+'ajax/autocomplete_keywords/q:%QUERY/limit:20',
			    	wildcard: '%QUERY',
			    	rateLimitWait:300//ms
			  	}
			});
			$keywords_autocomplete.typeahead(null, 
			{
				name: 'keywords_autocomplete',
				display: 'keyword',
				source: db,
				hint:true,
				highlight:true,
				templates: 
				{
				    empty: [
				      '<div class="empty-message">',$("#no_results_message").val(),'</div>'
				    ].join('\n')
				    //,
				    //suggestion: Handlebars.compile('<div>#{{listing_id}}. <strong>{{title}}</strong></div>'),
				}
			});
			$keywords_autocomplete.bind('typeahead:select', function(ev, suggestion) 
			{
				$("#keywords").val(suggestion.keyword);
			});
			$keywords_autocomplete.bind('typeahead:asyncrequest', function(ev,query,dataset) 
			{
				$('.keywords_autocomplete_box .form-control-loading').css({right:$('.btn_keywords_go').outerWidth()+2}).addClass('fa-circle-o-notch fa-spin');
			});
			$keywords_autocomplete.bind('typeahead:asyncreceive', function(ev,query,dataset) 
			{
				$('.keywords_autocomplete_box .form-control-loading').removeClass('fa-circle-o-notch fa-spin');
			});
		}
	}
}();


var search = function(){
	return {
		'change_main_type':function()
		{
			$("input[name='for']").change(
				function()
				{
					/*if($("#location_1")[0])
					{
						$("#location_1").get(0).selectedIndex = 0;
						for(var j=2;j<=5;j++)
						{
							if(typeof $("#location_"+j)[0]!='undefined')
							{
								$("#location_"+j)[0].selectedIndex = 0;
								$("#location_"+j).attr("disabled","disabled");
							}
						}
					}*/
					
					var val = $("input[name='for']:checked").val();
				
					if(val=='rent') 
					{
						$("#price_slider_rent_box").show();
						$("#price_slider_sale_box").hide();
						//$("#price_min").val('');
						//$("#price_max").val('');
					}
					else 
					{
						$("#price_slider_rent_box").hide();
						$("#price_slider_sale_box").show();
						//$("#price_min").val('');
						//$("#price_max").val('');
					}
				}
			);
			$("input[name='for']").trigger('change');
		},
		'change_location':function()
		{
			if(!$("#location_1")[0]) return;
			var $this = this;
			for(var j=1;j<=5;j++) initial_text["location_"+j] = $("#location_"+j).children().eq(0).text();
			
			$('#search_form,#refine_search').find('select.location_picker').change(
				function()
				{
					$this.do_change($(this));
				}
			);
		},
		'do_change':function(el)
		{
			//console.log(el);
			var $this = this;
			//var main_type = $("input[@name='for']:checked").val();		
			var id = el.attr('id');
			var level = parseInt(id.replace('location_',''));
			var next_level = level+1;
			var val = el.val();
			var text = $("#"+id+" :selected").text();
			//get ajax lat,lng
			//$this.o_latlng(val);
					
			//reset the rest
			for(var j=next_level;j<=5;j++)
			{
				if($("#location_"+j)[0])
				{
					$("#location_"+j).attr("disabled","disabled");
					$("#location_"+j).html('<option value="">'+initial_text["location_"+j]+'</option>');
				}
			}
			
			if($("#location_"+next_level)[0])
			{
				var $el = $("#location_"+next_level);
				var position = $el.offset();
				var width = $el.width();
				initial_text['location_'+next_level] = $("#location_"+next_level+" :selected").text();
				if(!$("#spinner")[0])
					$('<img src="'+base_url+'public/images/loading.gif" id="spinner" />').css({'position':'absolute','z-index':1000}).hide().appendTo('body');
							
				try{	
					$.ajax(
					{
						url: site_url+'ajax/get_locations/'+val+'/count_listings:1',
						type: 'GET',
						beforeSend: function()
						{
							$('#spinner').css({ top: position.top+5 , left: position.left+width+5}).fadeIn();
							$el.html('<option val="">Loading...</option>');
							$el.removeAttr('disabled');
						},	
						success: function(data) 
						{	
							var options = new Array();
							options[0] = '<select disabled="disabled" class="s_wide location_picker" name="location_'+next_level+'" id="location_'+next_level+'">';
							options[1] = '<option value="">'+initial_text['location_'+next_level]+'</option>';
							options.push(data);
							options.push('</select>');
							
							//$("#l_"+next_level).html(options.join(''));
							$("#l_"+next_level)[0].innerHTML = options.join('');
							$("#location_"+next_level).bind('change',function(){$this.do_change($(this));});
							$("#location_"+next_level).removeAttr('disabled');
							var $is_mobile = ($(window).width()<760)?true:false;
							$("#location_"+next_level).selectpicker({ 
								width:'100%',mobile:$is_mobile
							});
						},
						complete:function()
						{
							$("#spinner").fadeOut();
						}
					});
				}
				catch (err) { throw 'Error!';}
			}
		}, 
		'set_info_window':function(marker,listing_id)
		{
			google.maps.event.addListener(marker, 'click', function() {
				$.ajax(
				{			
					url: site_url+'ajax/gmap_info_window/'+listing_id,
					type: 'GET',
					beforeSend: function()
					{
						//infowindow.open($map,marker);
						//infowindow.setContent('loading');
					},	
					success: function(data) 
					{
						infowindow.setContent(data);
						infowindow.open($L_gmap,marker);
					}
				});
			});
		},
		'init_google_static_map':function()
		{
			if(!$("#google_map_img")[0]) return;
			if(BO_JSON_obj)
			{
				var parent_width = $("#google_map_box").width();
				var map_height = Math.floor((3 * parent_width) / 4);
				$("#google_map_img").prop(
					'src',
					'https://maps.google.com/maps/api/staticmap?zoom='+BO_JSON_obj.m_google_static.zoom+'&center='+BO_JSON_obj.m_google_static.center.lat+','+BO_JSON_obj.m_google_static.center.lng+'&'+
					BO_JSON_obj.m_google_static.markers_query+'&'+'size='+parent_width+'x'+map_height+'&sensor=false&scale=3'
				);
			}
		},
		'set_google_map_height':function()
		{
			var map_width = $("#google_map").width();
    		var map_height = (3 * map_width)/4;
    		$("#google_map").css({'height':map_height});
		},
		'init_google_map':function(q)
		{
			var o_lat = $("#o_lat").val();
    		var o_lng = $("#o_lng").val();
    		var o_address = $("#o_address").val();
    		var o_zoom = $("#o_zoom").val();
    		o_zoom = parseInt(o_zoom,10);
    		
    		
    		q = q ? q :'';
    		if(!q)
    		{
    			if(typeof BO_JSON_obj!='undefined') q = BO_JSON_obj.m_google.q;
    		}
    		
    		/*var o_zoom =  o_lat!=0 && o_lng!=0?5:JSCFG_map.zoom;
    		var o_lat = o_lat?o_lat:JSCFG_map.center.lat;
    		var o_lng = o_lng?o_lng:JSCFG_map.center.lng;*/
    		
    		
    		//console.log(o_lat+'/'+o_lng);
    		
			if($L_gmap==null)
			{
				
				this.set_google_map_height();
				$L_gmap = new google.maps.Map(document.getElementById("google_map"),
    			{
    				center: new google.maps.LatLng(JSCFG_map.center.lat,JSCFG_map.center.lng),
    				zoom: JSCFG_map.zoom,
    				mapTypeId: eval('google.maps.MapTypeId.'+JSCFG_map.maptype),
    				streetViewControl: eval(JSCFG_map.streetViewControl),
    				scrollwheel:false
    			}
    			);
    			google.maps.event.trigger($L_gmap, 'resize');
    			
    			//start the tools
	    		gmap_tools.init();
				gmap_tools.preparePolygon();
				var g_tool_val = $("#g_tool").val();
				gmap_tools.tool(g_tool_val);
    			if(g_tool_val=='polygon') $(".rb_polygon").trigger('click');
    			else if(g_tool_val=='circle') $(".rb_circle").trigger('click');
    			else if(g_tool_val=='explore') $(".rb_explore").trigger('click');
				gmap_tools.draw_results();
				
				$(document).on('click',"#btn_search_map",
					function(e)
					{
						//$("button[name='btn_search']").val('submit');
						$("#refine_search button[name='btn_search']").val('submit').trigger('click');
						//console.log('clicked');
						//$("#refine_search").submit();
					}
				);
			}
			
			infowindow = new google.maps.InfoWindow();
			
			//custom marker
			CustomMarker.prototype = new google.maps.OverlayView();	
			CustomMarker.prototype.draw = function() 
			{
				var me = this; 		
				// Check if the div has been created.
				var div = this.div_;	    
				var numdiv = this.numdiv_;
				if (!div) 
				{
					// Create a overlay text DIV
				    div = this.div_ = document.createElement('DIV');
				    			
				    // Create the DIV representing our CustomMarker
				    div.setAttribute ( "class", "map_icon" )
				    div.style.width = this.width_+'px';
				    div.style.height = this.height_+'px';
				    div.style.lineHeight = this.height_+'px';
				    div.style.background = 'url('+base_url+'public/images/google_map/'+this.options.icon+') no-repeat 50% 50%';
				    div.innerHTML = this.options.number || '';
				    
				    //var span = document.createElement('SPAN');
				    //span.style.marginTop = '-'+(Math.round(this.height_/2))+'px';
				    //span.innerHTML = this.options.number || '';
				    
				    //div.appendChild(span);
				    			
				    google.maps.event.addDomListener(div, "click", function(event) 
				    {
				    	google.maps.event.trigger(me, "click");
				    });
				    			
				    // Then add the overlay to the DOM
				    var panes = this.getPanes();
				    panes.overlayImage.appendChild(div);
				}
				// Position the overlay 
				var point = this.getProjection().fromLatLngToDivPixel(this.latlng_);
				point.x -= parseInt(this.width_ / 2, 10);
				point.y -= parseInt(this.height_ / 2, 10);
				//console.log(point);
				if (point) 
				{
					div.style.left = point.x + 'px';
				    div.style.top = point.y + 'px';
				}
			};
			CustomMarker.prototype.remove = function() 
			{
				// Check if the overlay was on the map and needs to be removed.
				if (this.div_) 
				{
					this.div_.parentNode.removeChild(this.div_);
					this.div_ = null;
				}
			};
			CustomMarker.prototype.getPosition = function() 
			{
				return this.latlng_;
			};
			//end custom marker
			
			$L_geocoder = new google.maps.Geocoder();
    		if((o_lat=='') && (o_lng==''))
    		{
    			if(o_address && o_address!='')
    			{
	    			$L_geocoder.geocode( { 'address': o_address}, function(results, status) {
	    				if (status == google.maps.GeocoderStatus.OK) 
	    				{
	    					$L_gmap.setCenter(results[0].geometry.location);
	    					//$L_gmap.setZoom(3);
	    					if(o_zoom>0)
	    						$L_gmap.setZoom(o_zoom);
	    					else
	    						$L_gmap.setZoom(3);
	    				} 
	    			});
    			}
    		}
    		else
    		{
    			$L_gmap.setCenter(new google.maps.LatLng(o_lat,o_lng));
    			//$L_gmap.setZoom(3);
    			if(o_zoom>0)
	    			$L_gmap.setZoom(o_zoom);
	    		else 
	    			$L_gmap.setZoom(3);
    		}
    		
    		google.maps.event.addListenerOnce($L_gmap, "bounds_changed", function()
    		{
    			search.load_markers(q);
    		});
    		google.maps.event.addListener($L_gmap, "zoom_changed", function()
    		{
    			search.load_markers(q);
    		});
    		
    		google.maps.event.addListener($L_gmap, "dragend", function()
    		{
    			search.load_markers(q);
    		});
    		
    		
		},
		'toggle_markers': function(opt)
    	{
    		if($L_gmap==null) return;
    		if(typeof opt == 'undefined') opt = !$L_markers[0].getMap();
    		for (var n = 0, marker; marker = $L_markers[n]; n++) 
    		{
    			marker.setMap(opt?$L_gmap : null);
    		}
    	},
		'load_markers':function(q)
		{
			//console.log(q);
			if($L_gmap==null)
				search.init_gogle_map();
			search.toggle_markers(false);
			
    		var bounds = $L_gmap.getBounds();
    		var southWest = bounds.getSouthWest();
    		var northEast = bounds.getNorthEast();
    		var zoom = $L_gmap.getZoom();
    		
    		q = q ?q:'';
    		var post_vars = 'q='+q+'&s_ne='+northEast.toUrlValue()+'&s_sw='+southWest.toUrlValue()+'&s_zoom='+zoom+'&g_center='+$("#g_center").val()+"&g_radius="+$("#g_radius").val()+"&g_radius_point="+$("#g_radius_point").val()+"&g_points="+$("#g_points").val();
    		
    		$.ajax({
    			url:site_url+'ajax/load_markers/',
    			type:'POST',
    			data:post_vars
    		}).done(
    			function(data){
    				if(data)
    				{
    					for(i in data.points) 
    					{
    						var point = new google.maps.LatLng(data.points[i].point.lat,data.points[i].point.lng);
    						if(point)
    						{
    							if(data.points[i].num_rows==1)
    							{
    								//console.log(data.points[i]);
    								var marker = new google.maps.Marker({
	    								position: point,
	    								map: $L_gmap,
	    								title:data.points[i].title,
	    								icon: data.points[i].icon
	    							});	
    							}
    							else
    							{
	    							var marker = new CustomMarker({
	    								position:point,
	    								number:data.points[i].num_rows,
	    								map:$L_gmap,
	    								title:data.points[i].title,
	    								icon:data.points[i].icon.icon,
	    								width:data.points[i].icon.width,
	    								height:data.points[i].icon.height
	    							});
	    							//console.log(marker);
    							}
	    						$L_markers.push(marker);
	    						if(data.points[i].listing_id>0)
	    							search.set_info_window(marker,data.points[i].listing_id);
    						}
    					}
    				}
    			}
    		);
			
		},
		'order_by':function()
		{
			if(!$("#order_by")[0]) return;
			//$("#order_by").customStyle();//replace the dfault select with a nice one
			$("#order_by").change(
				function()
				{
					var val = $(this).val();
					if(val!='') window.location.href = val;
				}
			);
		},
		'start_date_init':function(modal){
			
			var $modal_suffix = modal?'_m':'';
			var today = new Date();
			var $this = this;
			var check_start_date = function()
			{
				if($("#search_start_date"+$modal_suffix).val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#search_start_date"+$modal_suffix).val());
				}
				else 
				{
					//return today;
				}
			}
			var selected = check_start_date();
			
			$("#search_start_date_picker"+$modal_suffix).datepicker({
				minDate:0,
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#search_start_date"+$modal_suffix,
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					if(!selectedDate) return;
					var selected_date = $.datepicker.parseDate(date_format,selectedDate);
					var next_day = selected_date;
					next_day.setDate(selected_date.getDate()+1);
					$( "#search_end_date_picker"+$modal_suffix).datepicker( "option", "minDate", next_day).datepicker('setDate',next_day);
				}
			}).datepicker('setDate',selected);
		},
		'end_date_init':function(modal){
			var $modal_suffix = modal?'_m':'';
			var today = new Date();
			var tomorrow = today;
			tomorrow.setDate(today.getDate()+1);
			var $this = this;
			
			var check_end_date = function()
			{
				if($("#search_end_date"+$modal_suffix).val()) 
				{
					return $.datepicker.parseDate('yy-mm-dd',$("#search_end_date"+$modal_suffix).val());
				}
				else if ($("#start_date"+$modal_suffix).val())
				{
					var start_date = $.datepicker.parseDate('yy-mm-dd',$("#search_start_date"+$modal_suffix).val());
					start_date.setDate(start_date.getDate()+1);
					return start_date;
				}
				//else
					//return tomorrow;
			}
			var selected = check_end_date();
			
			$( "#search_end_date_picker"+$modal_suffix).datepicker({
				defaultDate: "+1w",
				changeMonth: true,
				dateFormat: date_format,
				numberOfMonths: 1,
				altField: "#search_end_date"+$modal_suffix,
				altFormat: "yy-mm-dd",
				showOn: "both",
				buttonImage: base_url+'public/themes/'+theme+'/images/btn_calendar.png',
				buttonImageOnly: true,
				onClose: function( selectedDate ) 
				{
					$( "#search_start_date_picker"+$modal_suffix).datepicker( "option", "maxDate", selectedDate );
				}
			}).datepicker('setDate',selected);
			//if($("#start_date").val()) $("#end_date_picker").datepicker("show");
		}
	}	
}();

var price_slider = function(){
	return {
		'init':function(main_type,modal)
		{
			var $from,$to,$step,$values,$slider,$price_min_label,$price_max_label;
			var thousands_regexp  = new RegExp("\\"+JSCFG_thousands_separator,"g");
			var dec_regexp  = new RegExp("\\"+JSCFG_dec_separator,"g");
			var $section = 'price';
			
			var $modal_suffix = modal?'_m':'';
			
			if(main_type=='') main_type = 'sale';

			$values = [0,0];
			$from = $("#price_min_from_"+main_type+$modal_suffix).val();
			$to = $("#price_max_to_"+main_type+$modal_suffix).val();
			$step = $("#price_step_"+main_type+$modal_suffix).val();
			
			$values[0] = $("#price_min"+$modal_suffix).val();
			$values[0] = $values[0]!=''?$values[0]:$from;
				
			$values[1] = $("#price_max"+$modal_suffix).val();
			$values[1] = $values[1]!=''?$values[1]:$to;
				
			$slider = $("#price_slider_"+main_type+$modal_suffix);
			$min_label = $("#price_min_label_"+main_type+$modal_suffix);
			$max_label = $("#price_max_label_"+main_type+$modal_suffix);
			
			$("#"+$section+"_min"+$modal_suffix).autoGrowInput({ minWidth:10, maxWidth:50, comfortZone:0 });
			$("#"+$section+"_max"+$modal_suffix).autoGrowInput({ minWidth:40, maxWidth:50, comfortZone:0 });
			
			$slider.slider(
				{
					range: true,
					min: parseFloat($from),
					max: parseFloat($to),
					values: $values,
					step: parseFloat($step),
					change: function( event, ui ) {
						$min_label.html($.fn.n_format(ui.values[0]+""));
						$max_label.html($.fn.n_format(ui.values[1]+""));
					},
					slide: function( event, ui ) {
						$min_label.html($.fn.n_format(ui.values[0]+""));
						$max_label.html($.fn.n_format(ui.values[1]+""));
						
						if(ui.values[0]!=$from)
						{
							if(ui.values[1]==$to || ui.values[1]=='')
								$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format(ui.values[0]+"")+"+");
							else 
								$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format(ui.values[0]+""));
						}
						else $("#"+$section+"_min"+$modal_suffix).val("");
						
						if(ui.values[1]!=$to)
						{
							$("#"+$section+"_max"+$modal_suffix).val($.fn.n_format(ui.values[1]+""));
						}
						else $("#"+$section+"_max"+$modal_suffix).val("");
						
						$("#"+$section+"_min"+$modal_suffix).trigger('autogrow');
						$("#"+$section+"_max"+$modal_suffix).trigger('autogrow');
					}
				}
			);
			
			$slider.slider( "option", "values", $values);
			
			$("#"+$section+"_min"+$modal_suffix).change(function () {
				
				$values[0] = $("#"+$section+"_min"+$modal_suffix).val();
			
				$values[0] = $values[0].replace(thousands_regexp,"");
				$values[0] = $values[0].replace(dec_regexp,".");
				$values[0] = $values[0]!=''?$values[0]:$from;
				$values[0] = parseFloat($values[0]);
				
				
				$values[1] = $("#"+$section+"_max"+$modal_suffix).val();
				$values[1] = $values[1].replace(thousands_regexp,"");
				$values[1] = $values[1].replace(dec_regexp,".");
				$values[1] = $values[1]!=''?$values[1]:$to;
				$values[1] = parseFloat($values[1]);
				
				var min = Math.min($values[0],$values[1]);
				var max = Math.max($values[0],$values[1]);
				
				if($values[0]!=$from)
				{
					if($values[1]==$to || $values[1]=='')
						$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format($values[0]+"")+"+");
					else 
						$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format($values[0]+""));
				}
				else $("#"+$section+"_min"+$modal_suffix).val("");
				if($values[1]!=$to)
				{
					$("#"+$section+"_max"+$modal_suffix).val($.fn.n_format($values[1]+""));
				}
				else $("#"+$section+"_max"+$modal_suffix).val("");
				
				$slider.slider( "option", "values", $values);
			});
			
			$("#"+$section+"_max"+$modal_suffix).change(function () {
				
				$values[0] = $("#"+$section+"_min"+$modal_suffix).val();
				$values[0] = $values[0].replace(thousands_regexp,"");
				$values[0] = $values[0].replace(dec_regexp,".");
				$values[0] = $values[0]!=''?$values[0]:$from;
				$values[0] = parseFloat($values[0]);
				
				
				$values[1] = $("#"+$section+"_max"+$modal_suffix).val();
				$values[1] = $values[1].replace(thousands_regexp,"");
				$values[1] = $values[1].replace(dec_regexp,".");
				$values[1] = $values[1]!=''?$values[1]:$to;
				$values[1] = parseFloat($values[1]);
				
				var min = Math.min($values[0],$values[1]);
				var max = Math.max($values[0],$values[1]);
				
				
				if($values[0]!=$from)
				{
					if($values[1]==$to || $values[1]=='')
						$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format($values[0]+"")+"+");
					else 
						$("#"+$section+"_min"+$modal_suffix).val($.fn.n_format($values[0]+""));
				}
				else $("#"+$section+"_min"+$modal_suffix).val("");
				if($values[1]!=$to)
				{
					$("#"+$section+"_max"+$modal_suffix).val($.fn.n_format($values[1]+""));
				}
				else $("#"+$section+"_max"+$modal_suffix).val("");
				
				$slider.slider( "option", "values", $values);
			});
			
			if($("#"+$section+"_min"+$modal_suffix).val()!='' || $("#"+$section+"_max"+$modal_suffix).val()!='')
			{
				$("#"+$section+"_min"+$modal_suffix).trigger('change');
				$("#"+$section+"_max"+$modal_suffix).trigger('change');
			}
		}
	}
}();

var custom_slider = function(){
	return {
		'init':function(config)
		{
			var $from,$to,$step,$values,$slider,$min_label,$max_label;
			var thousands_regexp  = new RegExp("\\"+JSCFG_thousands_separator,"g");
			var dec_regexp  = new RegExp("\\"+JSCFG_dec_separator,"g");
			var config = config||{};
			var $section = config.section;//"year_of_build";
			
			$values = [0,0];
			$from = $("#"+$section+"_from").val();
			$to = $("#"+$section+"_to").val();
			//console.log($from+'-'+$to);
			$step = config.step?config.step:1;
			
		
			$values[0] = $("#"+$section+"_min").val();
			$values[0] = $values[0]!=''?$values[0]:$from;
				
			$values[1] = $("#"+$section+"_max").val();
			$values[1] = $values[1]!=''?$values[1]:$to;
				
			$slider = $("#"+$section+"_slider");
			$min_label = $("#"+$section+"_min_label");
			$max_label = $("#"+$section+"_max_label");
			
			$("#"+$section+"_min").autoGrowInput({ minWidth:10, maxWidth:50, comfortZone:0 });
			$("#"+$section+"_max").autoGrowInput({ minWidth:10, maxWidth:50, comfortZone:0 });
			
			$slider.slider(
				{
					range: true,
					min: parseFloat($from),
					max: parseFloat($to),
					values: $values,
					step: parseFloat($step),
					change: function( event, ui ) {
						$min_label.html($.fn.n_format(ui.values[0]+""));
						$max_label.html($.fn.n_format(ui.values[1]+""));
					},
					slide: function( event, ui ) {
						$min_label.html($.fn.n_format(ui.values[0]+""));
						$max_label.html($.fn.n_format(ui.values[1]+""));
						
						if(ui.values[0]!=$from)
						{
							if(ui.values[1]==$to || ui.values[1]=='')
								$("#"+$section+"_min").val($.fn.n_format(ui.values[0]+"")+"+");
							else 
								$("#"+$section+"_min").val($.fn.n_format(ui.values[0]+""));
						}
						else $("#"+$section+"_min").val("");
						
						if(ui.values[1]!=$to)
						{
							$("#"+$section+"_max").val($.fn.n_format(ui.values[1]+""));
						}
						else $("#"+$section+"_max").val("");
						$("#"+$section+"_min").trigger('autogrow');
						$("#"+$section+"_max").trigger('autogrow');
					}
				}
			);
			
			$slider.slider( "option", "values", $values);
			
			$("#"+$section+"_min").change(function () {
				
				$values[0] = $("#"+$section+"_min").val();
			
				$values[0] = $values[0].replace(thousands_regexp,"");
				$values[0] = $values[0].replace(dec_regexp,".");
				$values[0] = $values[0]!=''?$values[0]:$from;
				$values[0] = parseFloat($values[0]);
				
				
				$values[1] = $("#"+$section+"_max").val();
				$values[1] = $values[1].replace(thousands_regexp,"");
				$values[1] = $values[1].replace(dec_regexp,".");
				$values[1] = $values[1]!=''?$values[1]:$to;
				$values[1] = parseFloat($values[1]);
				
				var min = Math.min($values[0],$values[1]);
				var max = Math.max($values[0],$values[1]);
				
				if($values[0]!=$from)
				{
					if($values[1]==$to || $values[1]=='')
						$("#"+$section+"_min").val($.fn.n_format($values[0]+"")+"+");
					else 
						$("#"+$section+"_min").val($.fn.n_format($values[0]+""));
				}
				else $("#"+$section+"_min").val("");
				if($values[1]!=$to)
				{
					$("#"+$section+"_max").val($.fn.n_format($values[1]+""));
				}
				else $("#"+$section+"_max").val("");
				
				$slider.slider( "option", "values", $values);
			});
			
			$("#"+$section+"_max").change(function () {
				
				$values[0] = $("#"+$section+"_min").val();
				$values[0] = $values[0].replace(thousands_regexp,"");
				$values[0] = $values[0].replace(dec_regexp,".");
				$values[0] = $values[0]!=''?$values[0]:$from;
				$values[0] = parseFloat($values[0]);
				
				
				$values[1] = $("#"+$section+"_max").val();
				$values[1] = $values[1].replace(thousands_regexp,"");
				$values[1] = $values[1].replace(dec_regexp,".");
				$values[1] = $values[1]!=''?$values[1]:$to;
				$values[1] = parseFloat($values[1]);
				
				var min = Math.min($values[0],$values[1]);
				var max = Math.max($values[0],$values[1]);
				
				
				if($values[0]!=$from)
				{
					if($values[1]==$to || $values[1]=='')
						$("#"+$section+"_min").val($.fn.n_format($values[0]+"")+"+");
					else 
						$("#"+$section+"_min").val($.fn.n_format($values[0]+""));
				}
				else $("#"+$section+"_min").val("");
				if($values[1]!=$to)
				{
					$("#"+$section+"_max").val($.fn.n_format($values[1]+""));
				}
				else $("#"+$section+"_max").val("");
				
				$slider.slider( "option", "values", $values);
			});
			
			if($("#"+$section+"_min").val()!='' || $("#"+$section+"_max").val()!='')
			{
				$("#"+$section+"_min").trigger('change');
				$("#"+$section+"_max").trigger('change');
			}
		}
	}
}();

var featured_listings_slideshow = function(){
	return {
		init: function(opts)
    	{
    		var $this = this;
    		var opts = opts||{};
    		var rtl = opts.rtl?opts.rtl:false;
    		
    		if ($('.featured_listings_slideshow')[0]) {
		    	//featured listings slideshow
				$('.featured_listings_slideshow').owlCarousel({
				    loop:true,		 
				    nav:true,
				    dots:false,
				    autoplay:true,
				    autoplayTimeout:5000,
				    //items:3,
				    margin:15,
		      		responsiveClass:true,
		      		navText: ["",""],
		      		responsiveBaseWidth: ".slide_item",
		            transitionStyle : 'fade',
		      		responsive:{
						0:{
							items:1
						},
						480:{
							items:2
						},
						780:{
		      				items:3
						}
		      		}
				});
    		}
    	}
	}
}();
var thumbs_slideshow = function(){
	return {
		init: function(opts)
    	{
    		var $this = this;
    		var opts = opts||{};
    		var rtl = opts.rtl?opts.rtl:false;
    		
    		if ($('.li_thumb_slideshow')[0]) {
				$('.li_thumb_slideshow').owlCarousel({
				    loop:false,		 
				    nav:true,
				    dots:false,
				    autoplay:false,
				    autoplayTimeout:5000,
				    mouseDrag:false,
				    //items:3,
		      		responsiveClass:true,
		      		navText: ["",""],
		      		responsiveBaseWidth: ".thumb_slide_item",
		            transitionStyle : 'fade',
		      		items:1,
		      		lazyLoad:true
				});
    		}
    	}
	}
}();

//for rtl this should be move to tpl
$(window).load(function(){ 
	//search_slideshow.init(); 
});
$(window).resize(
	function()
	{
		search.init_google_static_map();
		if(typeof google!='undefined')
		{
			search.set_google_map_height();
			google.maps.event.trigger($L_gmap, 'resize');
		}
	}
);

$(document).ready(
	function()
	{
		var $is_modal = $("#quicksearch_modal")[0]?true:false;
		
		featured_listings_slideshow.init(); 
		thumbs_slideshow.init();
		
		if(datepicker_conf)
			$.datepicker.setDefaults(datepicker_conf);
		
		search.start_date_init();
		search.end_date_init();
		if($is_modal)
		{
			search.start_date_init($is_modal);
			search.end_date_init($is_modal);
		}
		
		search.change_location();
		search.order_by();
		
		price_slider.init('rent');
		if($is_modal)
			price_slider.init('rent',$is_modal);
		
		custom_slider.init({section:'stars',step:1});
		custom_slider.init({section:'total_square',step:10});
		custom_slider.init({section:'offer',step:1});
		
		autocomplete.locations();
		if($is_modal)
			autocomplete.locations($is_modal);
			
		autocomplete.listing_title();
		autocomplete.keywords();
		
		//listings total animation
		if($("#listings_total")[0])
		{
			$("#listings_total").countTo(
			{
				from: 0,
				to: $("#listings_total").data('listings_total'),
				speed: 1500,
				refreshInterval: 50,
				onComplete: function(value) 
				{
					//console.debug(this);
				}
			}); 
		}
		
		search.init_google_static_map();
	}
);