{if $action_object->m_form_status==1}
{include file="$theme/tpls/forms/form_errors.tpl" force_errors=1}
	{if $action_object->m_payment_form}
		<div class="basic_form">
			<div class="alert alert-success alert-dismissible fade in" role="alert">
				<button class="close" aria-label="{translate text='close'}" data-dismiss="alert" type="button"><span aria-hidden="true">&times;</span></button>
				<p>{$action_object->m_form_ok_message}</p>
		
				<p><strong>{$action_object->m_loading_gateway_text}</strong>
				{if $action_object->m_is_wire_transfer}
					<strong>{translate text='wire_transfer_info'}:</strong><br />
					{$action_object->m_payment_form|@nl2br}
				{else}
					{$action_object->m_payment_form}
				{/if}
				</p>
			</div>
		</div>
	{/if}
{else}
{include file="$theme/tpls/forms/form_errors.tpl"}

<div class="padding_10px booking_form">
	<form id="bookin_form" method="post" action="{site_url}listing/book/{route_suffix for='listings'}.{$action_object->m_listing_info->listing_id}#booking" enctype="multipart/form-data" class="form-horizontal">
	<input type="hidden" name="listing_id" id="listing_id" value="{$action_object->m_listing_info->listing_id}" />
	
	<h3>{translate text='select_your_travel_dates_and_number_guests'}</h3>
	<div class="form-group">
		<label for="start_date_picker" class="col-sm-3 control-label">{translate text="arrival"} {$action_object->check_required('start_date')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="hidden" name="start_date" id="start_date" value="{$action_object->get_value('start_date')}" />
				<input type="text" class="form-control" name="start_date_picker" id="start_date_picker" />
			</div>
		</div>
	</div>
	<div class="form-group">
		<label for="end_date_picker" class="col-sm-3 control-label">{translate text="departure"} {$action_object->check_required('end_date')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="hidden" name="end_date" id="end_date" value="{$action_object->get_value('end_date')}" />
				<input type="text" class="form-control" name="end_date_picker" id="end_date_picker" />
			</div>
		</div>
	</div>
	<div class="form-group">
		<label for="number_adults" class="col-sm-3 control-label">{translate text="adults"} {$action_object->check_required('number_adults')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<select name="number_adults" id="number_adults" data-width="100%">
					{foreach item=val from=$action_object->m_form_fields.number_adults.options}
						<option value="{$val}" {if $action_object->get_value('number_adults')==$val}selected="selected"{/if}>{$val}</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label for="number_children" class="col-sm-3 control-label">{translate text="children"} {$action_object->check_required('number_children')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<select name="number_children" id="number_children" data-width="100%">
					{foreach item=val from=$action_object->m_form_fields.number_children.options}
						<option value="{$val}" {if $action_object->get_value('number_children')==$val}selected="selected"{/if}>{$val}</option>
					{foreachelse}
						<option value="0">0</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	
	{if $action_object->m_listing_info->addons_optional}
	<h3>{translate text='addons'}</h3>
	<div class="table-responsive">
		<table>
			<thead>
				<tr>
					<th scope="col" width="300"><span class="offset">-</span></th>
					<th scope="col">{translate text='price'}</th>
					<th scope="col">{translate text='charge_type'}</th>
				</tr>
			</thead>
			<tbody>
				{foreach item=conf key=value from=$action_object->m_form_fields.addons_optional.options}
				<tr>
					<th scope="row">
						<input type="checkbox" class="addons_optional" name="addons_optional[]"  value="{$value}" {if in_array($value,$action_object->m_form_fields.addons_optional.values)}checked="checked"{/if} /> {$conf.info->title}
					</th>
					<td>
						{if $conf.info->converted_price}
							{$action_object->m_currency->symbol_lft}{format_field col='number' value="`$conf.info->converted_price_plus_taxes`" decimals=2}{$action_object->m_currency->symbol_rgt}
						{else}
							{format_field col='price' value="`$conf.info->price`" listing_id="`$action_object->m_listing_info->listing_id`"}
						{/if}
					</td>
					<td>{translate text="charge_type_`$conf.info->charge_type`"}</td>
				</tr>
				{/foreach}
			</tbody>
		</table>
	</div>
	{/if}
	
	<h3>{translate text='your_contact_details'}</h3>
	<div class="form-group">
		<label for="name" class="col-sm-3 control-label">{translate text="name"} {$action_object->check_required('name')}</label>
		<div class="col-sm-9">
			<input  type="text" class="form-control" name="name" id="name" value="{$action_object->m_form_fields.name.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="company_name" class="col-sm-3 control-label">{translate text="company_name"} {$action_object->check_required('company_name')}</label>
		<div class="col-sm-9">
			<input  type="text" class="form-control" name="company_name" id="company_name" value="{$action_object->m_form_fields.company_name.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="phone" class="col-sm-3 control-label">{translate text="phone"} {$action_object->check_required('phone')}</label>
		<div class="col-sm-9">
			<input  type="text" class="form-control" name="phone" id="phone" value="{$action_object->m_form_fields.phone.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="email" class="col-sm-3 control-label">{translate text="email"} {$action_object->check_required('email')}</label>
		<div class="col-sm-9">
			<input  type="email" class="form-control" name="email" id="email" value="{$action_object->m_form_fields.email.value}" />
		</div>
	</div>
	<div class="form-group">
		<label for="country" class="col-sm-3 control-label">{translate text="country"} {$action_object->check_required('country')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<select name="country" id="country" data-width="100%">
					<option value="">...</option>
					{foreach item=label key=val from=$action_object->m_form_fields.country.options}
						<option value="{$val}" {if $val==$action_object->get_value('country')}selected="selected"{/if}>{$label}</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	<div class="form-group">
		<label for="location" class="col-sm-3 control-label">{translate text="location"} {$action_object->check_required('location')}</label>
		<div class="col-sm-9">
			<input type="text" class="form-control" id="location" name="location" value="{$action_object->get_value('location')}" />
			<p class="help-block">{translate text='location_path_sample'}</p>
		</div>
	</div>
	<div class="form-group">
		<label for="address" class="col-sm-3 control-label">{translate text="address"} {$action_object->check_required('address')}</label>
		<div class="col-sm-9">
			<textarea name="address" id="address" class="form-control" rows="3">{$action_object->get_value('address')}</textarea>
		</div>
	</div>
	<div class="form-group">
		<label for="zip_code" class="col-sm-3 control-label">{translate text="zip_code"} {$action_object->check_required('zip')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="text" class="form-control" id="zip" name="zip" value="{$action_object->get_value('zip')}" />
			</div>
		</div>
	</div>
	<div class="form-group">
		<label for="message" class="col-sm-3 control-label">{translate text="message"} {$action_object->check_required('message')}</label>
		<div class="col-sm-9">
			<textarea name="message" id="message" rows="3" class="form-control">{$action_object->get_value('message')}</textarea>
		</div>
	</div>
	<div class="form-group">
		<div class="checkbox col-sm-9 col-sm-offset-3">
			<label for="terms_and_conditions">
				<input type="checkbox" name="terms_and_conditions" value="1" id="terms_and_conditions" {if $action_object->get_value('terms_and_conditions')==1}checked="checked"{/if} /> 
				<a href="{site_url}booking-terms" class="show_iframe_modal">{translate text='i_agree_booking_terms'}</a>
			</label>
		</div>		
	</div>
	{if $action_object->m_form_fields.payment_system.options}
	<div class="form-group">
		<label for="payment_system" class="col-sm-3 control-label">{translate text="payment_system"} {$action_object->check_required('payment_system')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<select name="payment_system" id="payment_system" data-width="100%">
					<option value="">...</option>
					{foreach item=label key=val from= $action_object->m_form_fields.payment_system.options}
						<option value="{$val}" {if $action_object->get_value('payment_system')==$val}selected="selected"{/if}>{$label}</option>
					{/foreach}
				</select>
			</div>
		</div>
	</div>
	{/if}
	<div class="form-group">
		<label for="coupon_code" class="col-sm-3 control-label">{translate text="coupon_code"} {$action_object->check_required('coupon_code')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input type="text" class="form-control" id="coupon_code" name="coupon_code" value="{$action_object->get_value('coupon_code')}" />
			</div>
		</div>
	</div>
	<div class="form-group">
		<label class="col-sm-3 control-label">{translate text="captcha"} {$action_object->check_required('captcha')}</label>
		<div class="col-sm-9">
			<div class="w50p">
				<input class="form-control" type="text" name="captcha" id="captcha" />
				<div id="captcha_wrapper">{load_bo bo="bo_captcha" action="gen_captcha" assign="captcha"}{$captcha->m_image}</div>
			</div>
		</div>
	</div>
	<div class="form-group">
		<div class="checkbox col-sm-9 col-sm-offset-3">
			<button type="submit" name="submitf" value="book" class="btn_dark_grey">{translate text='book_reservation'}</button>
		</div>		
	</div>
	<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>
	</form>
</div>
{/if}