{load_bo bo="bo_inquiries" action="edit" assign="action_object"}
<h1>{$bo_content_title}</h1>
{include file="$theme/tpls/forms/form_errors.tpl"}

<form id="edit_inquiry" method="post" action="{$action_object->m_form_action}" class="padding_10px">
	<input type="hidden" name="inquiry_status" id="inquiry_status" value="{$action_object->m_form_fields.inquiry_status.value}" />
	<div class="inquiry_info">
		<table>
			<tr>
				<th>{translate text='name'}</th>
				<td>{$action_object->m_inquiry_info->name}</td>
			</tr>
			<tr>
				<th>{translate text='email'}</th>
				<td>{$action_object->m_inquiry_info->from_email}</td>
			</tr>
			<tr>
				<th>{translate text='phone'}</th>
				<td><input type="text" class="form-control" id="phone" name="phone" value="{$action_object->get_value('phone')}" /></td>
			</tr>
			<tr>
				<th>
					{translate text='arrival'}<br />
					{translate text='departure'}<br />
					{translate text='guests'}
				</th>
				<td>
					{format_field col='date_format' value=$action_object->m_inquiry_info->start_date}<br />
					{format_field col='date_format' value=$action_object->m_inquiry_info->end_date}<br />
					{format_field col='number' value=$action_object->m_inquiry_info->no_guests}
				</td>
			</tr>
		</table>
		<table>
			<tr>
				<th>{translate text='date'}</th>
				<td>
					{format_field col=date_format value=$action_object->m_inquiry_info->ctime}
				</td>
			</tr>
			<tr>
				<th>{translate text='ip'}</th>
				<td>
					{ip2country ip=$action_object->m_inquiry_info->ip_address}
				</td>
			</tr>
			<tr>
				<th>{translate text='priority'}</th>
				<td>
					<select name="priority" id="priority">
						{foreach item=label key=val from=$action_object->m_form_fields.priority.options}
							<option value="{$val}" {if $val==$action_object->m_form_fields.priority.value}selected="selected"{/if}>{$label}</option>
						{/foreach}
					</select>
				</td>
			</tr>
		</table>
		<div class="clear"></div>
	</div>
	<div class="inquiry_info inquiry_subject">
		<label>{translate text='subject'}:</label>{$action_object->check_required('subject')}
		{$action_object->m_inquiry_info->subject}
	</div>
	<div class="inquiry_info inquiry_message">
		<label>{translate text='message'}</label>{$action_object->check_required('message')}<div class="clear"></div>
		{$action_object->m_inquiry_info->message}
	</div>
	
	
	{if $action_object->m_inquiry_replies}
		<div class="inquiry_replies_box" id="inquiry_replies_box">
			{foreach item=inquiry_reply from=$action_object->m_inquiry_replies}
				<div class="inquiry_reply">
					<div class="inquiry_reply_header replier_{$inquiry_reply->from_role}">
						<strong>{translate text='sent'}: </strong>{format_field col='date_format' value=$inquiry_reply->ctime} &bull;
						<strong>{translate text='read'}: </strong>{format_field col='date_format' value=$inquiry_reply->rtime} 
					</div>
					<div class="inquiry_reply_message">
						{$inquiry_reply->message}
					</div>
				</div>
			{/foreach}
		</div>
	{/if}
	<div class="inquiry_info">
		<div class="form-group">
			<label for="reply_mesage">{translate text='reply_message'} {$action_object->check_required('reply_message')}</label>
			<textarea class="form-control" name="reply_message" id="reply_message" rows="10">{$action_object->get_value('reply_message')}</textarea>
		</div>
	</div>
	<div class="form-group">
		<div class="text_center">
			<button class="btn_dark_grey" name="submitf" value="edit_inquiry">{translate text='submit'}</button>
		</div>
	</div>
	<div class="form_box_notes"><i class="fa fa-info-circle"></i> {translate text="fields_marked_are_mandatory"}</div>	
</form> 